package base

import (
	"github.com/go-xorm/xorm"
	"leit.com/LAPP_GAAS_GFrame/dao/base/implments"
	"leit.com/LAPP_GAAS_GFrame/grmi"
	model "leit.com/LAPP_GAAS_GFrame/models/base"
)

type AttributeValstDAO interface {
	//插入AttributeValst
	InsertOne(entity *model.AttributeValst) error
	//删除指定键的AttributeValst
	DeleteOne(attrCode int, pos int) error
	//查找指定键的AttributeValst
	SelectOne(attrCode int, pos int) (*model.AttributeValst, error)
	//修改AttributeValst
	UpdateOne(entity *model.AttributeValst) error
	//按条件查询AttributeValst
	Select(predicates []grmi.Predicate, orderByFields []grmi.Field) ([]model.AttributeValst, error)
	//按条件查询AttributeValst并分页
	SelectAndPaging(paging *grmi.Paging, predicates []grmi.Predicate, orderByFields []grmi.Field) (grmi.PagingResult, error)
}

func NewAttributeValstDAO(session *xorm.Session, plantNr int, userid string) AttributeValstDAO {
	return implments.NewAttributeValstDAOImplement(session, plantNr, userid)
}
