package om

import (
	"github.com/go-xorm/xorm"
	"leit.com/LAPP_GAAS_GFrame/dao/om/implments"
	"leit.com/LAPP_GAAS_GFrame/grmi"
	model "leit.com/LAPP_GAAS_GFrame/models/om"
)

type ProdOrderQtyDAO interface {
	//插入ProdOrderQty
	InsertOne(entity *model.ProdOrderQty) error
	//删除指定键的ProdOrderQty
	DeleteOne(prodOrderId string) error
	//查找指定键的ProdOrderQty
	SelectOne(prodOrderId string) (*model.ProdOrderQty, error)
	//修改ProdOrderQty
	UpdateOne(entity *model.ProdOrderQty) error
	//按条件查询ProdOrderQty
	Select(predicates []grmi.Predicate, orderByFields []grmi.Field) ([]model.ProdOrderQty, error)
	//按条件查询ProdOrderQty并分页
	SelectAndPaging(paging *grmi.Paging, predicates []grmi.Predicate, orderByFields []grmi.Field) (grmi.PagingResult, error)
}

func NewProdOrderQtyDAO(session *xorm.Session, plantNr int, userid string) ProdOrderQtyDAO {
	return implments.NewProdOrderQtyDAOImplement(session, plantNr, userid)
}
