package qm

import (
	"github.com/go-xorm/xorm"
	"leit.com/LAPP_GAAS_GFrame/dao/qm/implments"
	"leit.com/LAPP_GAAS_GFrame/grmi"
	model "leit.com/LAPP_GAAS_GFrame/models/qm"
)

type DefectGrpDAO interface {
	//插入DefectGrp
	InsertOne(entity *model.DefectGrp) error
	//删除指定键的DefectGrp
	DeleteOne(defectGrpId string) error
	//查找指定键的DefectGrp
	SelectOne(defectGrpId string) (*model.DefectGrp, error)
	//修改DefectGrp
	UpdateOne(entity *model.DefectGrp) error
	//按条件查询DefectGrp
	Select(predicates []grmi.Predicate, orderByFields []grmi.Field) ([]model.DefectGrp, error)
	//按条件查询DefectGrp并分页
	SelectAndPaging(paging *grmi.Paging, predicates []grmi.Predicate, orderByFields []grmi.Field) (grmi.PagingResult, error)
}

func NewDefectGrpDAO(session *xorm.Session, plantNr int, userid string) DefectGrpDAO {
	return implments.NewDefectGrpDAOImplement(session, plantNr, userid)
}
