package qm

import (
	"github.com/go-xorm/xorm"
	"leit.com/LAPP_GAAS_GFrame/dao/qm/implments"
	"leit.com/LAPP_GAAS_GFrame/grmi"
	model "leit.com/LAPP_GAAS_GFrame/models/qm"
)

type ViewValstDAO interface {
	//插入ViewValst
	InsertOne(entity *model.ViewValst) error
	//删除指定键的ViewValst
	DeleteOne(viewId string, pos int) error
	//查找指定键的ViewValst
	SelectOne(viewId string, pos int) (*model.ViewValst, error)
	//修改ViewValst
	UpdateOne(entity *model.ViewValst) error
	//按条件查询ViewValst
	Select(predicates []grmi.Predicate, orderByFields []grmi.Field) ([]model.ViewValst, error)
	//按条件查询ViewValst并分页
	SelectAndPaging(paging *grmi.Paging, predicates []grmi.Predicate, orderByFields []grmi.Field) (grmi.PagingResult, error)
}

func NewViewValstDAO(session *xorm.Session, plantNr int, userid string) ViewValstDAO {
	return implments.NewViewValstDAOImplement(session, plantNr, userid)
}
