package base

import (
	"leit.com/LAPP_GAAS_GFrame/grmi"
	model "leit.com/LAPP_GAAS_GFrame/models/base"
)

//AttributeGroup的字段元数据
var AttributeGroup_AttrGrpCode = grmi.NewField("AttrGrpCode", "AttrGrpCode", "attrgrpcode", grmi.TypeInt)
var AttributeGroup_Descr = grmi.NewField("Descr", "Descr", "descr", grmi.TypeString)
var AttributeGroup_Color = grmi.NewField("Color", "Color", "color", grmi.TypeString)
var AttributeGroup_AgiPara1 = grmi.NewField("AgiPara1", "AgiPara1", "agipara1", grmi.TypeInt)
var AttributeGroup_AgiPara2 = grmi.NewField("AgiPara2", "AgiPara2", "agipara2", grmi.TypeInt)
var AttributeGroup_AgcPara1 = grmi.NewField("AgcPara1", "AgcPara1", "agcpara1", grmi.TypeString)
var AttributeGroup_AgcPara2 = grmi.NewField("AgcPara2", "AgcPara2", "agcpara2", grmi.TypeString)
var AttributeGroup_LastModify = grmi.NewField("LastModify", "LastModify", "undefined", grmi.TypeDateTime)
var AttributeGroup_LastUser = grmi.NewField("LastUser", "LastUser", "undefined", grmi.TypeString)
var AttributeGroup_CreateTime = grmi.NewField("CreateTime", "CreateTime", "undefined", grmi.TypeDateTime)

//AttributeGroup的元数据
var AttributeGroup = grmi.NewEntity(
	"AttributeGroup",
	func() interface{} { return &model.AttributeGroup{} },
	map[string]grmi.Field{
		AttributeGroup_AttrGrpCode.Name: AttributeGroup_AttrGrpCode,
		AttributeGroup_Descr.Name:       AttributeGroup_Descr,
		AttributeGroup_Color.Name:       AttributeGroup_Color,
		AttributeGroup_AgiPara1.Name:    AttributeGroup_AgiPara1,
		AttributeGroup_AgiPara2.Name:    AttributeGroup_AgiPara2,
		AttributeGroup_AgcPara1.Name:    AttributeGroup_AgcPara1,
		AttributeGroup_AgcPara2.Name:    AttributeGroup_AgcPara2,
		AttributeGroup_LastModify.Name:  AttributeGroup_LastModify,
		AttributeGroup_LastUser.Name:    AttributeGroup_LastUser,
		AttributeGroup_CreateTime.Name:  AttributeGroup_CreateTime,
	})
