package base

import (
	"leit.com/LAPP_GAAS_GFrame/grmi"
	model "leit.com/LAPP_GAAS_GFrame/models/base"
)

//AttributeValst的字段元数据
var AttributeValst_AttrCode = grmi.NewField("AttrCode", "AttrCode", "attrcode", grmi.TypeInt)
var AttributeValst_Pos = grmi.NewField("Pos", "Pos", "pos", grmi.TypeInt)
var AttributeValst_AttrValue = grmi.NewField("AttrValue", "AttrValue", "attrvalue", grmi.TypeString)
var AttributeValst_Descr = grmi.NewField("Descr", "Descr", "descr", grmi.TypeString)
var AttributeValst_ShortCode = grmi.NewField("ShortCode", "ShortCode", "shortcode", grmi.TypeString)
var AttributeValst_Valformat = grmi.NewField("Valformat", "Valformat", "valformat", grmi.TypeString)
var AttributeValst_LastModify = grmi.NewField("LastModify", "LastModify", "undefined", grmi.TypeDateTime)
var AttributeValst_LastUser = grmi.NewField("LastUser", "LastUser", "undefined", grmi.TypeString)
var AttributeValst_CreateTime = grmi.NewField("CreateTime", "CreateTime", "undefined", grmi.TypeDateTime)

//AttributeValst的元数据
var AttributeValst = grmi.NewEntity(
	"AttributeValst",
	func() interface{} { return &model.AttributeValst{} },
	map[string]grmi.Field{
		AttributeValst_AttrCode.Name:   AttributeValst_AttrCode,
		AttributeValst_Pos.Name:        AttributeValst_Pos,
		AttributeValst_AttrValue.Name:  AttributeValst_AttrValue,
		AttributeValst_Descr.Name:      AttributeValst_Descr,
		AttributeValst_ShortCode.Name:  AttributeValst_ShortCode,
		AttributeValst_Valformat.Name:  AttributeValst_Valformat,
		AttributeValst_LastModify.Name: AttributeValst_LastModify,
		AttributeValst_LastUser.Name:   AttributeValst_LastUser,
		AttributeValst_CreateTime.Name: AttributeValst_CreateTime,
	})
