package base

import (
	"leit.com/LAPP_GAAS_GFrame/grmi"
	model "leit.com/LAPP_GAAS_GFrame/models/base"
)

//Plant的字段元数据

var Plant_Status = grmi.NewField("Status", "Status", "status", grmi.TypeInt)
var Plant_Name1 = grmi.NewField("Name1", "Name1", "name1", grmi.TypeString)
var Plant_Name2 = grmi.NewField("Name2", "Name2", "name2", grmi.TypeString)
var Plant_Logo = grmi.NewField("Logo", "Logo", "logo", grmi.TypeString)
var Plant_Abrevname = grmi.NewField("Abrevname", "Abrevname", "abrevname", grmi.TypeString)
var Plant_Country = grmi.NewField("Country", "Country", "country", grmi.TypeString)
var Plant_Street = grmi.NewField("Street", "Street", "street", grmi.TypeString)
var Plant_Address = grmi.NewField("Address", "Address", "address", grmi.TypeString)
var Plant_PostCode = grmi.NewField("PostCode", "PostCode", "postcode", grmi.TypeString)
var Plant_Phone = grmi.NewField("Phone", "Phone", "phone", grmi.TypeString)
var Plant_Fax = grmi.NewField("Fax", "Fax", "fax", grmi.TypeString)
var Plant_StartYear = grmi.NewField("StartYear", "StartYear", "startyear", grmi.TypeInt)
var Plant_EndYear = grmi.NewField("EndYear", "EndYear", "endyear", grmi.TypeInt)
var Plant_CompanyTitle = grmi.NewField("CompanyTitle", "CompanyTitle", "companytitle", grmi.TypeString)
var Plant_CompanyAddress = grmi.NewField("CompanyAddress", "CompanyAddress", "companyaddress", grmi.TypeString)
var Plant_TaxId = grmi.NewField("TaxId", "TaxId", "taxid", grmi.TypeString)
var Plant_AccountBank = grmi.NewField("AccountBank", "AccountBank", "accountbank", grmi.TypeString)
var Plant_AccountNr = grmi.NewField("AccountNr", "AccountNr", "accountnr", grmi.TypeInt)
var Plant_Currency = grmi.NewField("Currency", "Currency", "currency", grmi.TypeString)
var Plant_LastModify = grmi.NewField("LastModify", "LastModify", "undefined", grmi.TypeDateTime)
var Plant_LastUser = grmi.NewField("LastUser", "LastUser", "undefined", grmi.TypeString)
var Plant_CreateTime = grmi.NewField("CreateTime", "CreateTime", "undefined", grmi.TypeDateTime)

//Plant的元数据
var Plant = grmi.NewEntity(
	"Plant",
	func() interface{} { return &model.Plant{} },
	map[string]grmi.Field{

		Plant_Status.Name:         Plant_Status,
		Plant_Name1.Name:          Plant_Name1,
		Plant_Name2.Name:          Plant_Name2,
		Plant_Logo.Name:           Plant_Logo,
		Plant_Abrevname.Name:      Plant_Abrevname,
		Plant_Country.Name:        Plant_Country,
		Plant_Street.Name:         Plant_Street,
		Plant_Address.Name:        Plant_Address,
		Plant_PostCode.Name:       Plant_PostCode,
		Plant_Phone.Name:          Plant_Phone,
		Plant_Fax.Name:            Plant_Fax,
		Plant_StartYear.Name:      Plant_StartYear,
		Plant_EndYear.Name:        Plant_EndYear,
		Plant_CompanyTitle.Name:   Plant_CompanyTitle,
		Plant_CompanyAddress.Name: Plant_CompanyAddress,
		Plant_TaxId.Name:          Plant_TaxId,
		Plant_AccountBank.Name:    Plant_AccountBank,
		Plant_AccountNr.Name:      Plant_AccountNr,
		Plant_Currency.Name:       Plant_Currency,
		Plant_LastModify.Name:     Plant_LastModify,
		Plant_LastUser.Name:       Plant_LastUser,
		Plant_CreateTime.Name:     Plant_CreateTime,
	})
