package base

import (
	"leit.com/LAPP_GAAS_GFrame/grmi"
	model "leit.com/LAPP_GAAS_GFrame/models/base"
)

//Uom的字段元数据
var Uom_UomId = grmi.NewField("UomId", "UomId", "uomid", grmi.TypeString)
var Uom_UomName = grmi.NewField("UomName", "UomName", "uomname", grmi.TypeString)
var Uom_UomType = grmi.NewField("UomType", "UomType", "uomtype", grmi.TypeString)
var Uom_BasicUomToggle = grmi.NewField("BasicUomToggle", "BasicUomToggle", "basicuomtoggle", grmi.TypeBool)
var Uom_BasicUom = grmi.NewField("BasicUom", "BasicUom", "basicuom", grmi.TypeString)
var Uom_ConvertRatio = grmi.NewField("ConvertRatio", "ConvertRatio", "convertratio", grmi.TypeFloat64)
var Uom_LastModify = grmi.NewField("LastModify", "LastModify", "undefined", grmi.TypeDateTime)
var Uom_LastUser = grmi.NewField("LastUser", "LastUser", "undefined", grmi.TypeString)
var Uom_CreateTime = grmi.NewField("CreateTime", "CreateTime", "undefined", grmi.TypeDateTime)

//Uom的元数据
var Uom = grmi.NewEntity(
	"Uom",
	func() interface{} { return &model.Uom{} },
	map[string]grmi.Field{
		Uom_UomId.Name:          Uom_UomId,
		Uom_UomName.Name:        Uom_UomName,
		Uom_UomType.Name:        Uom_UomType,
		Uom_BasicUomToggle.Name: Uom_BasicUomToggle,
		Uom_BasicUom.Name:       Uom_BasicUom,
		Uom_ConvertRatio.Name:   Uom_ConvertRatio,
		Uom_LastModify.Name:     Uom_LastModify,
		Uom_LastUser.Name:       Uom_LastUser,
		Uom_CreateTime.Name:     Uom_CreateTime,
	})
