package base

import (
	"leit.com/LAPP_GAAS_GFrame/grmi"
	model "leit.com/LAPP_GAAS_GFrame/models/base"
)

//WorkLine的字段元数据
var WorkLine_WorkLineid = grmi.NewField("WorkLineid", "WorkLineid", "worklineid", grmi.TypeString)
var WorkLine_Descr = grmi.NewField("Descr", "Descr", "descr", grmi.TypeString)
var WorkLine_LineType = grmi.NewField("LineType", "LineType", "linetype", grmi.TypeString)
var WorkLine_LinePlanMode = grmi.NewField("LinePlanMode", "LinePlanMode", "lineplanmode", grmi.TypeString)
var WorkLine_WeekModelNr = grmi.NewField("WeekModelNr", "WeekModelNr", "weekmodelnr", grmi.TypeInt)
var WorkLine_WorkCalendarNr = grmi.NewField("WorkCalendarNr", "WorkCalendarNr", "workcalendarnr", grmi.TypeInt)
var WorkLine_Location = grmi.NewField("Location", "Location", "location", grmi.TypeString)
var WorkLine_CostCenterId = grmi.NewField("CostCenterId", "CostCenterId", "costcenterid", grmi.TypeString)
var WorkLine_CostRate = grmi.NewField("CostRate", "CostRate", "costrate", grmi.TypeFloat64)
var WorkLine_ProdEff = grmi.NewField("ProdEff", "ProdEff", "prodeff", grmi.TypeFloat64)
var WorkLine_ReqWorkers = grmi.NewField("ReqWorkers", "ReqWorkers", "reqworkers", grmi.TypeInt)
var WorkLine_Pos = grmi.NewField("Pos", "Pos", "pos", grmi.TypeInt)
var WorkLine_TaskQueueSortWay = grmi.NewField("TaskQueueSortWay", "TaskQueueSortWay", "taskqueuesortway", grmi.TypeString)
var WorkLine_MultiQueueMixSortToggle = grmi.NewField("MultiQueueMixSortToggle", "MultiQueueMixSortToggle", "multiqueuemixsorttoggle", grmi.TypeBool)
var WorkLine_TaskQueueMixSortWay = grmi.NewField("TaskQueueMixSortWay", "TaskQueueMixSortWay", "taskqueuemixsortway", grmi.TypeString)
var WorkLine_MixSortLogic = grmi.NewField("MixSortLogic", "MixSortLogic", "mixsortlogic", grmi.TypeString)
var WorkLine_TaskReleaseWay = grmi.NewField("TaskReleaseWay", "TaskReleaseWay", "taskreleaseway", grmi.TypeString)
var WorkLine_ReleaseQtyParameter = grmi.NewField("ReleaseQtyParameter", "ReleaseQtyParameter", "releaseqtyparameter", grmi.TypeInt)
var WorkLine_ReleaseTimeParameter = grmi.NewField("ReleaseTimeParameter", "ReleaseTimeParameter", "releasetimeparameter", grmi.TypeDateTime)
var WorkLine_ReleaseCtrlParameter = grmi.NewField("ReleaseCtrlParameter", "ReleaseCtrlParameter", "releasectrlparameter", grmi.TypeString)
var WorkLine_LastModify = grmi.NewField("LastModify", "LastModify", "undefined", grmi.TypeDateTime)
var WorkLine_LastUser = grmi.NewField("LastUser", "LastUser", "undefined", grmi.TypeString)
var WorkLine_CreateTime = grmi.NewField("CreateTime", "CreateTime", "undefined", grmi.TypeDateTime)

//WorkLine的元数据
var WorkLine = grmi.NewEntity(
	"WorkLine",
	func() interface{} { return &model.WorkLine{} },
	map[string]grmi.Field{
		WorkLine_WorkLineid.Name:              WorkLine_WorkLineid,
		WorkLine_Descr.Name:                   WorkLine_Descr,
		WorkLine_LineType.Name:                WorkLine_LineType,
		WorkLine_LinePlanMode.Name:            WorkLine_LinePlanMode,
		WorkLine_WeekModelNr.Name:             WorkLine_WeekModelNr,
		WorkLine_WorkCalendarNr.Name:          WorkLine_WorkCalendarNr,
		WorkLine_Location.Name:                WorkLine_Location,
		WorkLine_CostCenterId.Name:            WorkLine_CostCenterId,
		WorkLine_CostRate.Name:                WorkLine_CostRate,
		WorkLine_ProdEff.Name:                 WorkLine_ProdEff,
		WorkLine_ReqWorkers.Name:              WorkLine_ReqWorkers,
		WorkLine_Pos.Name:                     WorkLine_Pos,
		WorkLine_TaskQueueSortWay.Name:        WorkLine_TaskQueueSortWay,
		WorkLine_MultiQueueMixSortToggle.Name: WorkLine_MultiQueueMixSortToggle,
		WorkLine_TaskQueueMixSortWay.Name:     WorkLine_TaskQueueMixSortWay,
		WorkLine_MixSortLogic.Name:            WorkLine_MixSortLogic,
		WorkLine_TaskReleaseWay.Name:          WorkLine_TaskReleaseWay,
		WorkLine_ReleaseQtyParameter.Name:     WorkLine_ReleaseQtyParameter,
		WorkLine_ReleaseTimeParameter.Name:    WorkLine_ReleaseTimeParameter,
		WorkLine_ReleaseCtrlParameter.Name:    WorkLine_ReleaseCtrlParameter,
		WorkLine_LastModify.Name:              WorkLine_LastModify,
		WorkLine_LastUser.Name:                WorkLine_LastUser,
		WorkLine_CreateTime.Name:              WorkLine_CreateTime,
	})
