package base

import (
	"leit.com/LAPP_GAAS_GFrame/grmi"
	model "leit.com/LAPP_GAAS_GFrame/models/base"
)

//WorkLineSpecialDay的字段元数据
var WorkLineSpecialDay_WorkLineid = grmi.NewField("WorkLineid", "WorkLineid", "worklineid", grmi.TypeString)
var WorkLineSpecialDay_SpecialDay = grmi.NewField("SpecialDay", "SpecialDay", "specialday", grmi.TypeString)
var WorkLineSpecialDay_DayModelNr = grmi.NewField("DayModelNr", "DayModelNr", "daymodelnr", grmi.TypeInt)
var WorkLineSpecialDay_Descr = grmi.NewField("Descr", "Descr", "descr", grmi.TypeString)
var WorkLineSpecialDay_LastModify = grmi.NewField("LastModify", "LastModify", "undefined", grmi.TypeDateTime)
var WorkLineSpecialDay_LastUser = grmi.NewField("LastUser", "LastUser", "undefined", grmi.TypeString)
var WorkLineSpecialDay_CreateTime = grmi.NewField("CreateTime", "CreateTime", "undefined", grmi.TypeDateTime)

//WorkLineSpecialDay的元数据
var WorkLineSpecialDay = grmi.NewEntity(
	"WorkLineSpecialDay",
	func() interface{} { return &model.WorkLineSpecialDay{} },
	map[string]grmi.Field{
		WorkLineSpecialDay_WorkLineid.Name: WorkLineSpecialDay_WorkLineid,
		WorkLineSpecialDay_SpecialDay.Name: WorkLineSpecialDay_SpecialDay,
		WorkLineSpecialDay_DayModelNr.Name: WorkLineSpecialDay_DayModelNr,
		WorkLineSpecialDay_Descr.Name:      WorkLineSpecialDay_Descr,
		WorkLineSpecialDay_LastModify.Name: WorkLineSpecialDay_LastModify,
		WorkLineSpecialDay_LastUser.Name:   WorkLineSpecialDay_LastUser,
		WorkLineSpecialDay_CreateTime.Name: WorkLineSpecialDay_CreateTime,
	})
