package base

import (
	"leit.com/LAPP_GAAS_GFrame/grmi"
	model "leit.com/LAPP_GAAS_GFrame/models/base"
)

//WorkShift的字段元数据
var WorkShift_WorkShiftNr = grmi.NewField("WorkShiftNr", "WorkShiftNr", "workshiftnr", grmi.TypeInt)
var WorkShift_Descr = grmi.NewField("Descr", "Descr", "descr", grmi.TypeString)
var WorkShift_Abrev = grmi.NewField("Abrev", "Abrev", "abrev", grmi.TypeString)
var WorkShift_HexColor = grmi.NewField("HexColor", "HexColor", "hexcolor", grmi.TypeString)
var WorkShift_PlanPersonQty = grmi.NewField("PlanPersonQty", "PlanPersonQty", "planpersonqty", grmi.TypeInt)
var WorkShift_PlanEfficiency = grmi.NewField("PlanEfficiency", "PlanEfficiency", "planefficiency", grmi.TypeFloat64)
var WorkShift_SBeg = grmi.NewField("SBeg", "S_Beg", "sbeg", grmi.TypeInt)
var WorkShift_SEnd = grmi.NewField("SEnd", "S_End", "send", grmi.TypeInt)
var WorkShift_SLen = grmi.NewField("SLen", "S_Len", "slen", grmi.TypeInt)
var WorkShift_SB1Beg = grmi.NewField("SB1Beg", "S_B1_Beg", "sb1beg", grmi.TypeInt)
var WorkShift_SB1End = grmi.NewField("SB1End", "S_B1_End", "sb1end", grmi.TypeInt)
var WorkShift_SB2Beg = grmi.NewField("SB2Beg", "S_B2_Beg", "sb2beg", grmi.TypeInt)
var WorkShift_SB2End = grmi.NewField("SB2End", "S_B2_End", "sb2end", grmi.TypeInt)
var WorkShift_SB3Beg = grmi.NewField("SB3Beg", "S_B3_Beg", "sb3beg", grmi.TypeInt)
var WorkShift_SB3End = grmi.NewField("SB3End", "S_B3_End", "sb3end", grmi.TypeInt)
var WorkShift_SB4Beg = grmi.NewField("SB4Beg", "S_B4_Beg", "sb4beg", grmi.TypeInt)
var WorkShift_SB4End = grmi.NewField("SB4End", "S_B4_End", "sb4end", grmi.TypeInt)
var WorkShift_SB5Beg = grmi.NewField("SB5Beg", "S_B5_Beg", "sb5beg", grmi.TypeInt)
var WorkShift_SB5End = grmi.NewField("SB5End", "S_B5_End", "sb5end", grmi.TypeInt)
var WorkShift_LastModify = grmi.NewField("LastModify", "LastModify", "undefined", grmi.TypeDateTime)
var WorkShift_LastUser = grmi.NewField("LastUser", "LastUser", "undefined", grmi.TypeString)
var WorkShift_CreateTime = grmi.NewField("CreateTime", "CreateTime", "undefined", grmi.TypeDateTime)

//WorkShift的元数据
var WorkShift = grmi.NewEntity(
	"WorkShift",
	func() interface{} { return &model.WorkShift{} },
	map[string]grmi.Field{
		WorkShift_WorkShiftNr.Name:    WorkShift_WorkShiftNr,
		WorkShift_Descr.Name:          WorkShift_Descr,
		WorkShift_Abrev.Name:          WorkShift_Abrev,
		WorkShift_HexColor.Name:       WorkShift_HexColor,
		WorkShift_PlanPersonQty.Name:  WorkShift_PlanPersonQty,
		WorkShift_PlanEfficiency.Name: WorkShift_PlanEfficiency,
		WorkShift_SBeg.Name:           WorkShift_SBeg,
		WorkShift_SEnd.Name:           WorkShift_SEnd,
		WorkShift_SLen.Name:           WorkShift_SLen,
		WorkShift_SB1Beg.Name:         WorkShift_SB1Beg,
		WorkShift_SB1End.Name:         WorkShift_SB1End,
		WorkShift_SB2Beg.Name:         WorkShift_SB2Beg,
		WorkShift_SB2End.Name:         WorkShift_SB2End,
		WorkShift_SB3Beg.Name:         WorkShift_SB3Beg,
		WorkShift_SB3End.Name:         WorkShift_SB3End,
		WorkShift_SB4Beg.Name:         WorkShift_SB4Beg,
		WorkShift_SB4End.Name:         WorkShift_SB4End,
		WorkShift_SB5Beg.Name:         WorkShift_SB5Beg,
		WorkShift_SB5End.Name:         WorkShift_SB5End,
		WorkShift_LastModify.Name:     WorkShift_LastModify,
		WorkShift_LastUser.Name:       WorkShift_LastUser,
		WorkShift_CreateTime.Name:     WorkShift_CreateTime,
	})
