package log

import (
	"leit.com/LAPP_GAAS_GFrame/grmi"
	model "leit.com/LAPP_GAAS_GFrame/models/log"
)

//ArtDemandHead的字段元数据
var ArtDemandHead_ArtId = grmi.NewField("ArtId", "ArtId", "artid", grmi.TypeString)
var ArtDemandHead_DemandId = grmi.NewField("DemandId", "DemandId", "demandid", grmi.TypeString)
var ArtDemandHead_DemandType = grmi.NewField("DemandType", "DemandType", "demandtype", grmi.TypeString)
var ArtDemandHead_DemandYear = grmi.NewField("DemandYear", "DemandYear", "demandyear", grmi.TypeInt)
var ArtDemandHead_DemandMonth = grmi.NewField("DemandMonth", "DemandMonth", "demandmonth", grmi.TypeInt)
var ArtDemandHead_DemandWeek = grmi.NewField("DemandWeek", "DemandWeek", "demandweek", grmi.TypeInt)
var ArtDemandHead_DemandDate = grmi.NewField("DemandDate", "DemandDate", "demanddate", grmi.TypeDateTime)
var ArtDemandHead_DemandHour = grmi.NewField("DemandHour", "DemandHour", "demandhour", grmi.TypeInt)
var ArtDemandHead_DemandTime = grmi.NewField("DemandTime", "DemandTime", "demandtime", grmi.TypeDateTime)
var ArtDemandHead_DemandQty = grmi.NewField("DemandQty", "DemandQty", "demandqty", grmi.TypeFloat64)
var ArtDemandHead_QtyUomId = grmi.NewField("QtyUomId", "QtyUomId", "qtyuomid", grmi.TypeString)
var ArtDemandHead_Status = grmi.NewField("Status", "Status", "status", grmi.TypeInt)
var ArtDemandHead_DemandSendTime = grmi.NewField("DemandSendTime", "DemandSendTime", "demandsendtime", grmi.TypeDateTime)
var ArtDemandHead_DemandRecieveTime = grmi.NewField("DemandRecieveTime", "DemandRecieveTime", "demandrecievetime", grmi.TypeDateTime)
var ArtDemandHead_DemandConfirmTime = grmi.NewField("DemandConfirmTime", "DemandConfirmTime", "demandconfirmtime", grmi.TypeDateTime)
var ArtDemandHead_DemandCloseTime = grmi.NewField("DemandCloseTime", "DemandCloseTime", "demandclosetime", grmi.TypeDateTime)
var ArtDemandHead_DemandDeliveredQty = grmi.NewField("DemandDeliveredQty", "DemandDeliveredQty", "demanddeliveredqty", grmi.TypeFloat64)
var ArtDemandHead_DemandCtrlPara1 = grmi.NewField("DemandCtrlPara1", "DemandCtrlPara1", "demandctrlpara1", grmi.TypeInt)
var ArtDemandHead_DemandCtrlPara2 = grmi.NewField("DemandCtrlPara2", "DemandCtrlPara2", "demandctrlpara2", grmi.TypeInt)
var ArtDemandHead_DemandCtrlPara3 = grmi.NewField("DemandCtrlPara3", "DemandCtrlPara3", "demandctrlpara3", grmi.TypeString)
var ArtDemandHead_DemandCtrlPara4 = grmi.NewField("DemandCtrlPara4", "DemandCtrlPara4", "demandctrlpara4", grmi.TypeString)
var ArtDemandHead_DemandCtrlTime1 = grmi.NewField("DemandCtrlTime1", "DemandCtrlTime1", "demandctrltime1", grmi.TypeDateTime)
var ArtDemandHead_DemandCtrlTime2 = grmi.NewField("DemandCtrlTime2", "DemandCtrlTime2", "demandctrltime2", grmi.TypeDateTime)
var ArtDemandHead_LastModify = grmi.NewField("LastModify", "LastModify", "undefined", grmi.TypeDateTime)
var ArtDemandHead_LastUser = grmi.NewField("LastUser", "LastUser", "undefined", grmi.TypeString)
var ArtDemandHead_CreateTime = grmi.NewField("CreateTime", "CreateTime", "undefined", grmi.TypeDateTime)

//ArtDemandHead的元数据
var ArtDemandHead = grmi.NewEntity(
	"LOG_ArtDemandHead",
	func() interface{} { return &model.ArtDemandHead{} },
	map[string]grmi.Field{
		ArtDemandHead_ArtId.Name:              ArtDemandHead_ArtId,
		ArtDemandHead_DemandId.Name:           ArtDemandHead_DemandId,
		ArtDemandHead_DemandType.Name:         ArtDemandHead_DemandType,
		ArtDemandHead_DemandYear.Name:         ArtDemandHead_DemandYear,
		ArtDemandHead_DemandMonth.Name:        ArtDemandHead_DemandMonth,
		ArtDemandHead_DemandWeek.Name:         ArtDemandHead_DemandWeek,
		ArtDemandHead_DemandDate.Name:         ArtDemandHead_DemandDate,
		ArtDemandHead_DemandHour.Name:         ArtDemandHead_DemandHour,
		ArtDemandHead_DemandTime.Name:         ArtDemandHead_DemandTime,
		ArtDemandHead_DemandQty.Name:          ArtDemandHead_DemandQty,
		ArtDemandHead_QtyUomId.Name:           ArtDemandHead_QtyUomId,
		ArtDemandHead_Status.Name:             ArtDemandHead_Status,
		ArtDemandHead_DemandSendTime.Name:     ArtDemandHead_DemandSendTime,
		ArtDemandHead_DemandRecieveTime.Name:  ArtDemandHead_DemandRecieveTime,
		ArtDemandHead_DemandConfirmTime.Name:  ArtDemandHead_DemandConfirmTime,
		ArtDemandHead_DemandCloseTime.Name:    ArtDemandHead_DemandCloseTime,
		ArtDemandHead_DemandDeliveredQty.Name: ArtDemandHead_DemandDeliveredQty,
		ArtDemandHead_DemandCtrlPara1.Name:    ArtDemandHead_DemandCtrlPara1,
		ArtDemandHead_DemandCtrlPara2.Name:    ArtDemandHead_DemandCtrlPara2,
		ArtDemandHead_DemandCtrlPara3.Name:    ArtDemandHead_DemandCtrlPara3,
		ArtDemandHead_DemandCtrlPara4.Name:    ArtDemandHead_DemandCtrlPara4,
		ArtDemandHead_DemandCtrlTime1.Name:    ArtDemandHead_DemandCtrlTime1,
		ArtDemandHead_DemandCtrlTime2.Name:    ArtDemandHead_DemandCtrlTime2,
		ArtDemandHead_LastModify.Name:         ArtDemandHead_LastModify,
		ArtDemandHead_LastUser.Name:           ArtDemandHead_LastUser,
		ArtDemandHead_CreateTime.Name:         ArtDemandHead_CreateTime,
	})
