package log

import (
	"leit.com/LAPP_GAAS_GFrame/grmi"
	model "leit.com/LAPP_GAAS_GFrame/models/log"
)

//PackOrder的字段元数据
var PackOrder_PackOrderId = grmi.NewField("PackOrderId", "PackOrderId", "packorderid", grmi.TypeString)
var PackOrder_OrderInfo = grmi.NewField("OrderInfo", "OrderInfo", "orderinfo", grmi.TypeString)
var PackOrder_PackTemplateId = grmi.NewField("PackTemplateId", "PackTemplateId", "packtemplateid", grmi.TypeString)
var PackOrder_PackTypeId = grmi.NewField("PackTypeId", "PackTypeId", "packtypeid", grmi.TypeString)
var PackOrder_TerminalId = grmi.NewField("TerminalId", "TerminalId", "terminalid", grmi.TypeString)
var PackOrder_WorkplaceId = grmi.NewField("WorkplaceId", "WorkplaceId", "workplaceid", grmi.TypeString)
var PackOrder_PersonNr = grmi.NewField("PersonNr", "PersonNr", "personnr", grmi.TypeInt)
var PackOrder_ShiftId = grmi.NewField("ShiftId", "ShiftId", "shiftid", grmi.TypeString)
var PackOrder_MaterialId = grmi.NewField("MaterialId", "MaterialId", "materialid", grmi.TypeString)
var PackOrder_Status = grmi.NewField("Status", "Status", "status", grmi.TypeInt)
var PackOrder_ShortPack = grmi.NewField("ShortPack", "ShortPack", "shortpack", grmi.TypeInt)
var PackOrder_ShortBy = grmi.NewField("ShortBy", "ShortBy", "shortby", grmi.TypeString)
var PackOrder_ShortTime = grmi.NewField("ShortTime", "ShortTime", "shorttime", grmi.TypeDateTime)
var PackOrder_ShipStatus = grmi.NewField("ShipStatus", "ShipStatus", "shipstatus", grmi.TypeInt)
var PackOrder_PlanQty = grmi.NewField("PlanQty", "PlanQty", "planqty", grmi.TypeFloat64)
var PackOrder_ActQty = grmi.NewField("ActQty", "ActQty", "actqty", grmi.TypeFloat64)
var PackOrder_OpenTime = grmi.NewField("OpenTime", "OpenTime", "opentime", grmi.TypeDateTime)
var PackOrder_CloseTime = grmi.NewField("CloseTime", "CloseTime", "closetime", grmi.TypeDateTime)
var PackOrder_BackFlushStatus = grmi.NewField("BackFlushStatus", "BackFlushStatus", "backflushstatus", grmi.TypeInt)
var PackOrder_BackFlushTime = grmi.NewField("BackFlushTime", "BackFlushTime", "backflushtime", grmi.TypeDateTime)
var PackOrder_BoxSid = grmi.NewField("BoxSid", "BoxSid", "boxsid", grmi.TypeString)
var PackOrder_SyncSid = grmi.NewField("SyncSid", "SyncSid", "syncsid", grmi.TypeString)
var PackOrder_PKOCustC1 = grmi.NewField("PKOCustC1", "PKO_CustC1", "pkocustc1", grmi.TypeString)
var PackOrder_PKOCustC2 = grmi.NewField("PKOCustC2", "PKO_CustC2", "pkocustc2", grmi.TypeString)
var PackOrder_PKOCustI1 = grmi.NewField("PKOCustI1", "PKO_CustI1", "pkocusti1", grmi.TypeInt)
var PackOrder_PKOCustI2 = grmi.NewField("PKOCustI2", "PKO_CustI2", "pkocusti2", grmi.TypeInt)
var PackOrder_LastModify = grmi.NewField("LastModify", "LastModify", "undefined", grmi.TypeDateTime)
var PackOrder_LastUser = grmi.NewField("LastUser", "LastUser", "undefined", grmi.TypeString)
var PackOrder_CreateTime = grmi.NewField("CreateTime", "CreateTime", "undefined", grmi.TypeDateTime)

//PackOrder的元数据
var PackOrder = grmi.NewEntity(
	"LOG_PackOrder",
	func() interface{} { return &model.PackOrder{} },
	map[string]grmi.Field{
		PackOrder_PackOrderId.Name:     PackOrder_PackOrderId,
		PackOrder_OrderInfo.Name:       PackOrder_OrderInfo,
		PackOrder_PackTemplateId.Name:  PackOrder_PackTemplateId,
		PackOrder_PackTypeId.Name:      PackOrder_PackTypeId,
		PackOrder_TerminalId.Name:      PackOrder_TerminalId,
		PackOrder_WorkplaceId.Name:     PackOrder_WorkplaceId,
		PackOrder_PersonNr.Name:        PackOrder_PersonNr,
		PackOrder_ShiftId.Name:         PackOrder_ShiftId,
		PackOrder_MaterialId.Name:      PackOrder_MaterialId,
		PackOrder_Status.Name:          PackOrder_Status,
		PackOrder_ShortPack.Name:       PackOrder_ShortPack,
		PackOrder_ShortBy.Name:         PackOrder_ShortBy,
		PackOrder_ShortTime.Name:       PackOrder_ShortTime,
		PackOrder_ShipStatus.Name:      PackOrder_ShipStatus,
		PackOrder_PlanQty.Name:         PackOrder_PlanQty,
		PackOrder_ActQty.Name:          PackOrder_ActQty,
		PackOrder_OpenTime.Name:        PackOrder_OpenTime,
		PackOrder_CloseTime.Name:       PackOrder_CloseTime,
		PackOrder_BackFlushStatus.Name: PackOrder_BackFlushStatus,
		PackOrder_BackFlushTime.Name:   PackOrder_BackFlushTime,
		PackOrder_BoxSid.Name:          PackOrder_BoxSid,
		PackOrder_SyncSid.Name:         PackOrder_SyncSid,
		PackOrder_PKOCustC1.Name:       PackOrder_PKOCustC1,
		PackOrder_PKOCustC2.Name:       PackOrder_PKOCustC2,
		PackOrder_PKOCustI1.Name:       PackOrder_PKOCustI1,
		PackOrder_PKOCustI2.Name:       PackOrder_PKOCustI2,
		PackOrder_LastModify.Name:      PackOrder_LastModify,
		PackOrder_LastUser.Name:        PackOrder_LastUser,
		PackOrder_CreateTime.Name:      PackOrder_CreateTime,
	})
