package log

import (
	"leit.com/LAPP_GAAS_GFrame/grmi"
	model "leit.com/LAPP_GAAS_GFrame/models/log"
)

//PackOrderItemlst的字段元数据
var PackOrderItemlst_PackOrderId = grmi.NewField("PackOrderId", "PackOrderId", "packorderid", grmi.TypeString)
var PackOrderItemlst_Pos = grmi.NewField("Pos", "Pos", "pos", grmi.TypeInt)
var PackOrderItemlst_PosCode = grmi.NewField("PosCode", "PosCode", "poscode", grmi.TypeString)
var PackOrderItemlst_MaterialId = grmi.NewField("MaterialId", "MaterialId", "materialid", grmi.TypeString)
var PackOrderItemlst_SerialOrderId = grmi.NewField("SerialOrderId", "SerialOrderId", "serialorderid", grmi.TypeString)
var PackOrderItemlst_PlanQty = grmi.NewField("PlanQty", "PlanQty", "planqty", grmi.TypeFloat64)
var PackOrderItemlst_ActQty = grmi.NewField("ActQty", "ActQty", "actqty", grmi.TypeFloat64)
var PackOrderItemlst_Status = grmi.NewField("Status", "Status", "status", grmi.TypeInt)
var PackOrderItemlst_Seq = grmi.NewField("Seq", "Seq", "seq", grmi.TypeInt)
var PackOrderItemlst_PKOICustC1 = grmi.NewField("PKOICustC1", "PKOI_CustC1", "pkoicustc1", grmi.TypeString)
var PackOrderItemlst_PKOICustC2 = grmi.NewField("PKOICustC2", "PKOI_CustC2", "pkoicustc2", grmi.TypeString)
var PackOrderItemlst_PKOICustI1 = grmi.NewField("PKOICustI1", "PKOI_CustI1", "pkoicusti1", grmi.TypeInt)
var PackOrderItemlst_PKOICustI2 = grmi.NewField("PKOICustI2", "PKOI_CustI2", "pkoicusti2", grmi.TypeInt)
var PackOrderItemlst_LastModify = grmi.NewField("LastModify", "LastModify", "undefined", grmi.TypeDateTime)
var PackOrderItemlst_LastUser = grmi.NewField("LastUser", "LastUser", "undefined", grmi.TypeString)
var PackOrderItemlst_CreateTime = grmi.NewField("CreateTime", "CreateTime", "undefined", grmi.TypeDateTime)

//PackOrderItemlst的元数据
var PackOrderItemlst = grmi.NewEntity(
	"LOG_PackOrderItemlst",
	func() interface{} { return &model.PackOrderItemlst{} },
	map[string]grmi.Field{
		PackOrderItemlst_PackOrderId.Name:   PackOrderItemlst_PackOrderId,
		PackOrderItemlst_Pos.Name:           PackOrderItemlst_Pos,
		PackOrderItemlst_PosCode.Name:       PackOrderItemlst_PosCode,
		PackOrderItemlst_MaterialId.Name:    PackOrderItemlst_MaterialId,
		PackOrderItemlst_SerialOrderId.Name: PackOrderItemlst_SerialOrderId,
		PackOrderItemlst_PlanQty.Name:       PackOrderItemlst_PlanQty,
		PackOrderItemlst_ActQty.Name:        PackOrderItemlst_ActQty,
		PackOrderItemlst_Status.Name:        PackOrderItemlst_Status,
		PackOrderItemlst_Seq.Name:           PackOrderItemlst_Seq,
		PackOrderItemlst_PKOICustC1.Name:    PackOrderItemlst_PKOICustC1,
		PackOrderItemlst_PKOICustC2.Name:    PackOrderItemlst_PKOICustC2,
		PackOrderItemlst_PKOICustI1.Name:    PackOrderItemlst_PKOICustI1,
		PackOrderItemlst_PKOICustI2.Name:    PackOrderItemlst_PKOICustI2,
		PackOrderItemlst_LastModify.Name:    PackOrderItemlst_LastModify,
		PackOrderItemlst_LastUser.Name:      PackOrderItemlst_LastUser,
		PackOrderItemlst_CreateTime.Name:    PackOrderItemlst_CreateTime,
	})
