package log

import (
	"leit.com/LAPP_GAAS_GFrame/grmi"
	model "leit.com/LAPP_GAAS_GFrame/models/log"
)

//VendorArtLst的字段元数据
var VendorArtLst_ArtId = grmi.NewField("ArtId", "ArtId", "artid", grmi.TypeString)
var VendorArtLst_VendorId = grmi.NewField("VendorId", "VendorId", "vendorid", grmi.TypeString)
var VendorArtLst_Pos = grmi.NewField("Pos", "Pos", "pos", grmi.TypeInt)
var VendorArtLst_CtrlLevel = grmi.NewField("CtrlLevel", "CtrlLevel", "ctrllevel", grmi.TypeInt)
var VendorArtLst_CtrlPara1 = grmi.NewField("CtrlPara1", "CtrlPara1", "ctrlpara1", grmi.TypeInt)
var VendorArtLst_CtrlPara2 = grmi.NewField("CtrlPara2", "CtrlPara2", "ctrlpara2", grmi.TypeInt)
var VendorArtLst_CtrlPara3 = grmi.NewField("CtrlPara3", "CtrlPara3", "ctrlpara3", grmi.TypeString)
var VendorArtLst_CtrlPara4 = grmi.NewField("CtrlPara4", "CtrlPara4", "ctrlpara4", grmi.TypeString)
var VendorArtLst_LastModify = grmi.NewField("LastModify", "LastModify", "undefined", grmi.TypeDateTime)
var VendorArtLst_LastUser = grmi.NewField("LastUser", "LastUser", "undefined", grmi.TypeString)
var VendorArtLst_CreateTime = grmi.NewField("CreateTime", "CreateTime", "undefined", grmi.TypeDateTime)

//VendorArtLst的元数据
var VendorArtLst = grmi.NewEntity(
	"LOG_VendorArtLst",
	func() interface{} { return &model.VendorArtLst{} },
	map[string]grmi.Field{
		VendorArtLst_ArtId.Name:      VendorArtLst_ArtId,
		VendorArtLst_VendorId.Name:   VendorArtLst_VendorId,
		VendorArtLst_Pos.Name:        VendorArtLst_Pos,
		VendorArtLst_CtrlLevel.Name:  VendorArtLst_CtrlLevel,
		VendorArtLst_CtrlPara1.Name:  VendorArtLst_CtrlPara1,
		VendorArtLst_CtrlPara2.Name:  VendorArtLst_CtrlPara2,
		VendorArtLst_CtrlPara3.Name:  VendorArtLst_CtrlPara3,
		VendorArtLst_CtrlPara4.Name:  VendorArtLst_CtrlPara4,
		VendorArtLst_LastModify.Name: VendorArtLst_LastModify,
		VendorArtLst_LastUser.Name:   VendorArtLst_LastUser,
		VendorArtLst_CreateTime.Name: VendorArtLst_CreateTime,
	})
