package log

import (
	"leit.com/LAPP_GAAS_GFrame/grmi"
	model "leit.com/LAPP_GAAS_GFrame/models/log"
)

//VendorUserLst的字段元数据
var VendorUserLst_VendorId = grmi.NewField("VendorId", "VendorId", "vendorid", grmi.TypeString)
var VendorUserLst_UserId = grmi.NewField("UserId", "UserId", "userid", grmi.TypeString)
var VendorUserLst_Pos = grmi.NewField("Pos", "Pos", "pos", grmi.TypeInt)
var VendorUserLst_CtrlLevel = grmi.NewField("CtrlLevel", "CtrlLevel", "ctrllevel", grmi.TypeInt)
var VendorUserLst_CtrlPara1 = grmi.NewField("CtrlPara1", "CtrlPara1", "ctrlpara1", grmi.TypeInt)
var VendorUserLst_CtrlPara2 = grmi.NewField("CtrlPara2", "CtrlPara2", "ctrlpara2", grmi.TypeInt)
var VendorUserLst_CtrlPara3 = grmi.NewField("CtrlPara3", "CtrlPara3", "ctrlpara3", grmi.TypeString)
var VendorUserLst_CtrlPara4 = grmi.NewField("CtrlPara4", "CtrlPara4", "ctrlpara4", grmi.TypeString)
var VendorUserLst_LastModify = grmi.NewField("LastModify", "LastModify", "undefined", grmi.TypeDateTime)
var VendorUserLst_LastUser = grmi.NewField("LastUser", "LastUser", "undefined", grmi.TypeString)
var VendorUserLst_CreateTime = grmi.NewField("CreateTime", "CreateTime", "undefined", grmi.TypeDateTime)

//VendorUserLst的元数据
var VendorUserLst = grmi.NewEntity(
	"LOG_VendorUserLst",
	func() interface{} { return &model.VendorUserLst{} },
	map[string]grmi.Field{
		VendorUserLst_VendorId.Name:   VendorUserLst_VendorId,
		VendorUserLst_UserId.Name:     VendorUserLst_UserId,
		VendorUserLst_Pos.Name:        VendorUserLst_Pos,
		VendorUserLst_CtrlLevel.Name:  VendorUserLst_CtrlLevel,
		VendorUserLst_CtrlPara1.Name:  VendorUserLst_CtrlPara1,
		VendorUserLst_CtrlPara2.Name:  VendorUserLst_CtrlPara2,
		VendorUserLst_CtrlPara3.Name:  VendorUserLst_CtrlPara3,
		VendorUserLst_CtrlPara4.Name:  VendorUserLst_CtrlPara4,
		VendorUserLst_LastModify.Name: VendorUserLst_LastModify,
		VendorUserLst_LastUser.Name:   VendorUserLst_LastUser,
		VendorUserLst_CreateTime.Name: VendorUserLst_CreateTime,
	})
