package om

import (
	"leit.com/LAPP_GAAS_GFrame/grmi"
	model "leit.com/LAPP_GAAS_GFrame/models/om"
)

//ProdOrder的字段元数据
var ProdOrder_ProdOrderId = grmi.NewField("ProdOrderId", "ProdOrderId", "prodorderid", grmi.TypeString)
var ProdOrder_ArtId = grmi.NewField("ArtId", "ArtId", "artid", grmi.TypeString)
var ProdOrder_CustArtId = grmi.NewField("CustArtId", "CustArtId", "custartid", grmi.TypeString)
var ProdOrder_RouteTemplateId = grmi.NewField("RouteTemplateId", "RouteTemplateId", "routetemplateid", grmi.TypeString)
var ProdOrder_OrderType = grmi.NewField("OrderType", "OrderType", "ordertype", grmi.TypeString)
var ProdOrder_OrderInfo = grmi.NewField("OrderInfo", "OrderInfo", "orderinfo", grmi.TypeString)
var ProdOrder_CustOrderId = grmi.NewField("CustOrderId", "CustOrderId", "custorderid", grmi.TypeString)
var ProdOrder_ErpOrderId = grmi.NewField("ErpOrderId", "ErpOrderId", "erporderid", grmi.TypeString)
var ProdOrder_ParentOrderId = grmi.NewField("ParentOrderId", "ParentOrderId", "parentorderid", grmi.TypeString)
var ProdOrder_Priority = grmi.NewField("Priority", "Priority", "priority", grmi.TypeInt)
var ProdOrder_Status = grmi.NewField("Status", "Status", "status", grmi.TypeInt)
var ProdOrder_PlanResourceGroupId = grmi.NewField("PlanResourceGroupId", "PlanResourceGroupId", "planresourcegroupid", grmi.TypeString)
var ProdOrder_PlanResourceId = grmi.NewField("PlanResourceId", "PlanResourceId", "planresourceid", grmi.TypeString)
var ProdOrder_UsedResourceId = grmi.NewField("UsedResourceId", "UsedResourceId", "usedresourceid", grmi.TypeString)
var ProdOrder_PlanQty = grmi.NewField("PlanQty", "PlanQty", "planqty", grmi.TypeFloat64)
var ProdOrder_QtyUomId = grmi.NewField("QtyUomId", "QtyUomId", "qtyuomid", grmi.TypeString)
var ProdOrder_RatePerHourToggle = grmi.NewField("RatePerHourToggle", "RatePerHourToggle", "rateperhourtoggle", grmi.TypeBool)
var ProdOrder_TimePerItemToggle = grmi.NewField("TimePerItemToggle", "TimePerItemToggle", "timeperitemtoggle", grmi.TypeBool)
var ProdOrder_TimePerBatchToggle = grmi.NewField("TimePerBatchToggle", "TimePerBatchToggle", "timeperbatchtoggle", grmi.TypeBool)
var ProdOrder_BatchTimeFieldToggle = grmi.NewField("BatchTimeFieldToggle", "BatchTimeFieldToggle", "batchtimefieldtoggle", grmi.TypeBool)
var ProdOrder_OpTimePerItem = grmi.NewField("OpTimePerItem", "OpTimePerItem", "optimeperitem", grmi.TypeFloat64)
var ProdOrder_BatchTime = grmi.NewField("BatchTime", "BatchTime", "batchtime", grmi.TypeFloat64)
var ProdOrder_QuantityPerHour = grmi.NewField("QuantityPerHour", "QuantityPerHour", "quantityperhour", grmi.TypeFloat64)
var ProdOrder_MidBatchQuantity = grmi.NewField("MidBatchQuantity", "MidBatchQuantity", "midbatchquantity", grmi.TypeInt)
var ProdOrder_MidBatchTime = grmi.NewField("MidBatchTime", "MidBatchTime", "midbatchtime", grmi.TypeDateTime)
var ProdOrder_BatchingMethod = grmi.NewField("BatchingMethod", "BatchingMethod", "batchingmethod", grmi.TypeInt)
var ProdOrder_PlanStartDate = grmi.NewField("PlanStartDate", "PlanStartDate", "planstartdate", grmi.TypeDateTime)
var ProdOrder_PlanEndDate = grmi.NewField("PlanEndDate", "PlanEndDate", "planenddate", grmi.TypeDateTime)
var ProdOrder_PlanStartTime = grmi.NewField("PlanStartTime", "PlanStartTime", "planstarttime", grmi.TypeDateTime)
var ProdOrder_PlanEndTime = grmi.NewField("PlanEndTime", "PlanEndTime", "planendtime", grmi.TypeDateTime)
var ProdOrder_ActStartTime = grmi.NewField("ActStartTime", "ActStartTime", "actstarttime", grmi.TypeDateTime)
var ProdOrder_ActEndTime = grmi.NewField("ActEndTime", "ActEndTime", "actendtime", grmi.TypeDateTime)
var ProdOrder_ProjectId = grmi.NewField("ProjectId", "ProjectId", "projectid", grmi.TypeString)
var ProdOrder_CustomerId = grmi.NewField("CustomerId", "CustomerId", "customerid", grmi.TypeString)
var ProdOrder_CustomerName = grmi.NewField("CustomerName", "CustomerName", "customername", grmi.TypeString)
var ProdOrder_BackflushStatus = grmi.NewField("BackflushStatus", "BackflushStatus", "backflushstatus", grmi.TypeInt)
var ProdOrder_BackflushTime = grmi.NewField("BackflushTime", "BackflushTime", "backflushtime", grmi.TypeDateTime)
var ProdOrder_PackStatus = grmi.NewField("PackStatus", "PackStatus", "packstatus", grmi.TypeInt)
var ProdOrder_PackTime = grmi.NewField("PackTime", "PackTime", "packtime", grmi.TypeDateTime)
var ProdOrder_ShipStatus = grmi.NewField("ShipStatus", "ShipStatus", "shipstatus", grmi.TypeInt)
var ProdOrder_ShipTime = grmi.NewField("ShipTime", "ShipTime", "shiptime", grmi.TypeDateTime)
var ProdOrder_LastModify = grmi.NewField("LastModify", "LastModify", "undefined", grmi.TypeDateTime)
var ProdOrder_LastUser = grmi.NewField("LastUser", "LastUser", "undefined", grmi.TypeString)
var ProdOrder_CreateTime = grmi.NewField("CreateTime", "CreateTime", "undefined", grmi.TypeDateTime)

//ProdOrder的元数据
var ProdOrder = grmi.NewEntity(
	"OM_ProdOrder",
	func() interface{} { return &model.ProdOrder{} },
	map[string]grmi.Field{
		ProdOrder_ProdOrderId.Name:          ProdOrder_ProdOrderId,
		ProdOrder_ArtId.Name:                ProdOrder_ArtId,
		ProdOrder_CustArtId.Name:            ProdOrder_CustArtId,
		ProdOrder_RouteTemplateId.Name:      ProdOrder_RouteTemplateId,
		ProdOrder_OrderType.Name:            ProdOrder_OrderType,
		ProdOrder_OrderInfo.Name:            ProdOrder_OrderInfo,
		ProdOrder_CustOrderId.Name:          ProdOrder_CustOrderId,
		ProdOrder_ErpOrderId.Name:           ProdOrder_ErpOrderId,
		ProdOrder_ParentOrderId.Name:        ProdOrder_ParentOrderId,
		ProdOrder_Priority.Name:             ProdOrder_Priority,
		ProdOrder_Status.Name:               ProdOrder_Status,
		ProdOrder_PlanResourceGroupId.Name:  ProdOrder_PlanResourceGroupId,
		ProdOrder_PlanResourceId.Name:       ProdOrder_PlanResourceId,
		ProdOrder_UsedResourceId.Name:       ProdOrder_UsedResourceId,
		ProdOrder_PlanQty.Name:              ProdOrder_PlanQty,
		ProdOrder_QtyUomId.Name:             ProdOrder_QtyUomId,
		ProdOrder_RatePerHourToggle.Name:    ProdOrder_RatePerHourToggle,
		ProdOrder_TimePerItemToggle.Name:    ProdOrder_TimePerItemToggle,
		ProdOrder_TimePerBatchToggle.Name:   ProdOrder_TimePerBatchToggle,
		ProdOrder_BatchTimeFieldToggle.Name: ProdOrder_BatchTimeFieldToggle,
		ProdOrder_OpTimePerItem.Name:        ProdOrder_OpTimePerItem,
		ProdOrder_BatchTime.Name:            ProdOrder_BatchTime,
		ProdOrder_QuantityPerHour.Name:      ProdOrder_QuantityPerHour,
		ProdOrder_MidBatchQuantity.Name:     ProdOrder_MidBatchQuantity,
		ProdOrder_MidBatchTime.Name:         ProdOrder_MidBatchTime,
		ProdOrder_BatchingMethod.Name:       ProdOrder_BatchingMethod,
		ProdOrder_PlanStartDate.Name:        ProdOrder_PlanStartDate,
		ProdOrder_PlanEndDate.Name:          ProdOrder_PlanEndDate,
		ProdOrder_PlanStartTime.Name:        ProdOrder_PlanStartTime,
		ProdOrder_PlanEndTime.Name:          ProdOrder_PlanEndTime,
		ProdOrder_ActStartTime.Name:         ProdOrder_ActStartTime,
		ProdOrder_ActEndTime.Name:           ProdOrder_ActEndTime,
		ProdOrder_ProjectId.Name:            ProdOrder_ProjectId,
		ProdOrder_CustomerId.Name:           ProdOrder_CustomerId,
		ProdOrder_CustomerName.Name:         ProdOrder_CustomerName,
		ProdOrder_BackflushStatus.Name:      ProdOrder_BackflushStatus,
		ProdOrder_BackflushTime.Name:        ProdOrder_BackflushTime,
		ProdOrder_PackStatus.Name:           ProdOrder_PackStatus,
		ProdOrder_PackTime.Name:             ProdOrder_PackTime,
		ProdOrder_ShipStatus.Name:           ProdOrder_ShipStatus,
		ProdOrder_ShipTime.Name:             ProdOrder_ShipTime,
		ProdOrder_LastModify.Name:           ProdOrder_LastModify,
		ProdOrder_LastUser.Name:             ProdOrder_LastUser,
		ProdOrder_CreateTime.Name:           ProdOrder_CreateTime,
	})
