package om

import (
	"leit.com/LAPP_GAAS_GFrame/grmi"
	model "leit.com/LAPP_GAAS_GFrame/models/om"
)

//ProdOrderQty的字段元数据
var ProdOrderQty_ProdOrderId = grmi.NewField("ProdOrderId", "ProdOrderId", "prodorderid", grmi.TypeString)
var ProdOrderQty_ActQty = grmi.NewField("ActQty", "ActQty", "actqty", grmi.TypeFloat64)
var ProdOrderQty_ActGoodQty = grmi.NewField("ActGoodQty", "ActGoodQty", "actgoodqty", grmi.TypeFloat64)
var ProdOrderQty_ActScrapQty = grmi.NewField("ActScrapQty", "ActScrapQty", "actscrapqty", grmi.TypeFloat64)
var ProdOrderQty_ActReworkQty = grmi.NewField("ActReworkQty", "ActReworkQty", "actreworkqty", grmi.TypeFloat64)
var ProdOrderQty_ActQty1 = grmi.NewField("ActQty1", "ActQty1", "actqty1", grmi.TypeFloat64)
var ProdOrderQty_ActQty2 = grmi.NewField("ActQty2", "ActQty2", "actqty2", grmi.TypeFloat64)
var ProdOrderQty_ActQty3 = grmi.NewField("ActQty3", "ActQty3", "actqty3", grmi.TypeFloat64)
var ProdOrderQty_ActQty4 = grmi.NewField("ActQty4", "ActQty4", "actqty4", grmi.TypeFloat64)
var ProdOrderQty_LastModify = grmi.NewField("LastModify", "LastModify", "undefined", grmi.TypeDateTime)
var ProdOrderQty_LastUser = grmi.NewField("LastUser", "LastUser", "undefined", grmi.TypeString)
var ProdOrderQty_CreateTime = grmi.NewField("CreateTime", "CreateTime", "undefined", grmi.TypeDateTime)

//ProdOrderQty的元数据
var ProdOrderQty = grmi.NewEntity(
	"OM_ProdOrderQty",
	func() interface{} { return &model.ProdOrderQty{} },
	map[string]grmi.Field{
		ProdOrderQty_ProdOrderId.Name:  ProdOrderQty_ProdOrderId,
		ProdOrderQty_ActQty.Name:       ProdOrderQty_ActQty,
		ProdOrderQty_ActGoodQty.Name:   ProdOrderQty_ActGoodQty,
		ProdOrderQty_ActScrapQty.Name:  ProdOrderQty_ActScrapQty,
		ProdOrderQty_ActReworkQty.Name: ProdOrderQty_ActReworkQty,
		ProdOrderQty_ActQty1.Name:      ProdOrderQty_ActQty1,
		ProdOrderQty_ActQty2.Name:      ProdOrderQty_ActQty2,
		ProdOrderQty_ActQty3.Name:      ProdOrderQty_ActQty3,
		ProdOrderQty_ActQty4.Name:      ProdOrderQty_ActQty4,
		ProdOrderQty_LastModify.Name:   ProdOrderQty_LastModify,
		ProdOrderQty_LastUser.Name:     ProdOrderQty_LastUser,
		ProdOrderQty_CreateTime.Name:   ProdOrderQty_CreateTime,
	})
