package om

import (
	"leit.com/LAPP_GAAS_GFrame/grmi"
	model "leit.com/LAPP_GAAS_GFrame/models/om"
)

//ProdOrderQtyRecLst的字段元数据
var ProdOrderQtyRecLst_ProdOrderId = grmi.NewField("ProdOrderId", "ProdOrderId", "prodorderid", grmi.TypeString)
var ProdOrderQtyRecLst_Pos = grmi.NewField("Pos", "Pos", "pos", grmi.TypeInt)
var ProdOrderQtyRecLst_ActQty = grmi.NewField("ActQty", "ActQty", "actqty", grmi.TypeFloat64)
var ProdOrderQtyRecLst_OrderQtyType = grmi.NewField("OrderQtyType", "OrderQtyType", "orderqtytype", grmi.TypeString)
var ProdOrderQtyRecLst_RecordTime = grmi.NewField("RecordTime", "RecordTime", "recordtime", grmi.TypeString)
var ProdOrderQtyRecLst_TriggerEvent = grmi.NewField("TriggerEvent", "TriggerEvent", "triggerevent", grmi.TypeString)
var ProdOrderQtyRecLst_TriggerObjectId = grmi.NewField("TriggerObjectId", "TriggerObjectId", "triggerobjectid", grmi.TypeString)
var ProdOrderQtyRecLst_TriggerSubObjectId = grmi.NewField("TriggerSubObjectId", "TriggerSubObjectId", "triggersubobjectid", grmi.TypeString)
var ProdOrderQtyRecLst_OutputEvent = grmi.NewField("OutputEvent", "OutputEvent", "outputevent", grmi.TypeString)
var ProdOrderQtyRecLst_OutputEventMessageId = grmi.NewField("OutputEventMessageId", "OutputEventMessageId", "outputeventmessageid", grmi.TypeString)
var ProdOrderQtyRecLst_OutputObjectId = grmi.NewField("OutputObjectId", "OutputObjectId", "outputobjectid", grmi.TypeString)
var ProdOrderQtyRecLst_OutputSubObjectId = grmi.NewField("OutputSubObjectId", "OutputSubObjectId", "outputsubobjectid", grmi.TypeString)
var ProdOrderQtyRecLst_Remark1 = grmi.NewField("Remark1", "Remark1", "remark1", grmi.TypeString)
var ProdOrderQtyRecLst_Remark2 = grmi.NewField("Remark2", "Remark2", "remark2", grmi.TypeString)
var ProdOrderQtyRecLst_LastModify = grmi.NewField("LastModify", "LastModify", "undefined", grmi.TypeDateTime)
var ProdOrderQtyRecLst_LastUser = grmi.NewField("LastUser", "LastUser", "undefined", grmi.TypeString)
var ProdOrderQtyRecLst_CreateTime = grmi.NewField("CreateTime", "CreateTime", "undefined", grmi.TypeDateTime)

//ProdOrderQtyRecLst的元数据
var ProdOrderQtyRecLst = grmi.NewEntity(
	"OM_ProdOrderQtyRecLst",
	func() interface{} { return &model.ProdOrderQtyRecLst{} },
	map[string]grmi.Field{
		ProdOrderQtyRecLst_ProdOrderId.Name:          ProdOrderQtyRecLst_ProdOrderId,
		ProdOrderQtyRecLst_Pos.Name:                  ProdOrderQtyRecLst_Pos,
		ProdOrderQtyRecLst_ActQty.Name:               ProdOrderQtyRecLst_ActQty,
		ProdOrderQtyRecLst_OrderQtyType.Name:         ProdOrderQtyRecLst_OrderQtyType,
		ProdOrderQtyRecLst_RecordTime.Name:           ProdOrderQtyRecLst_RecordTime,
		ProdOrderQtyRecLst_TriggerEvent.Name:         ProdOrderQtyRecLst_TriggerEvent,
		ProdOrderQtyRecLst_TriggerObjectId.Name:      ProdOrderQtyRecLst_TriggerObjectId,
		ProdOrderQtyRecLst_TriggerSubObjectId.Name:   ProdOrderQtyRecLst_TriggerSubObjectId,
		ProdOrderQtyRecLst_OutputEvent.Name:          ProdOrderQtyRecLst_OutputEvent,
		ProdOrderQtyRecLst_OutputEventMessageId.Name: ProdOrderQtyRecLst_OutputEventMessageId,
		ProdOrderQtyRecLst_OutputObjectId.Name:       ProdOrderQtyRecLst_OutputObjectId,
		ProdOrderQtyRecLst_OutputSubObjectId.Name:    ProdOrderQtyRecLst_OutputSubObjectId,
		ProdOrderQtyRecLst_Remark1.Name:              ProdOrderQtyRecLst_Remark1,
		ProdOrderQtyRecLst_Remark2.Name:              ProdOrderQtyRecLst_Remark2,
		ProdOrderQtyRecLst_LastModify.Name:           ProdOrderQtyRecLst_LastModify,
		ProdOrderQtyRecLst_LastUser.Name:             ProdOrderQtyRecLst_LastUser,
		ProdOrderQtyRecLst_CreateTime.Name:           ProdOrderQtyRecLst_CreateTime,
	})
