package om

import (
	"leit.com/LAPP_GAAS_GFrame/grmi"
	model "leit.com/LAPP_GAAS_GFrame/models/om"
)

//ProdOrderStatus的字段元数据
var ProdOrderStatus_ProdOrderId = grmi.NewField("ProdOrderId", "ProdOrderId", "prodorderid", grmi.TypeString)
var ProdOrderStatus_Status = grmi.NewField("Status", "Status", "status", grmi.TypeInt)
var ProdOrderStatus_TriggerEvent = grmi.NewField("TriggerEvent", "TriggerEvent", "triggerevent", grmi.TypeString)
var ProdOrderStatus_TriggerObjectId = grmi.NewField("TriggerObjectId", "TriggerObjectId", "triggerobjectid", grmi.TypeString)
var ProdOrderStatus_TriggerSubObjectId = grmi.NewField("TriggerSubObjectId", "TriggerSubObjectId", "triggersubobjectid", grmi.TypeString)
var ProdOrderStatus_LastModify = grmi.NewField("LastModify", "LastModify", "undefined", grmi.TypeDateTime)
var ProdOrderStatus_LastUser = grmi.NewField("LastUser", "LastUser", "undefined", grmi.TypeString)
var ProdOrderStatus_CreateTime = grmi.NewField("CreateTime", "CreateTime", "undefined", grmi.TypeDateTime)

//ProdOrderStatus的元数据
var ProdOrderStatus = grmi.NewEntity(
	"OM_ProdOrderStatus",
	func() interface{} { return &model.ProdOrderStatus{} },
	map[string]grmi.Field{
		ProdOrderStatus_ProdOrderId.Name:        ProdOrderStatus_ProdOrderId,
		ProdOrderStatus_Status.Name:             ProdOrderStatus_Status,
		ProdOrderStatus_TriggerEvent.Name:       ProdOrderStatus_TriggerEvent,
		ProdOrderStatus_TriggerObjectId.Name:    ProdOrderStatus_TriggerObjectId,
		ProdOrderStatus_TriggerSubObjectId.Name: ProdOrderStatus_TriggerSubObjectId,
		ProdOrderStatus_LastModify.Name:         ProdOrderStatus_LastModify,
		ProdOrderStatus_LastUser.Name:           ProdOrderStatus_LastUser,
		ProdOrderStatus_CreateTime.Name:         ProdOrderStatus_CreateTime,
	})
