package qm

import (
	"leit.com/LAPP_GAAS_GFrame/grmi"
	model "leit.com/LAPP_GAAS_GFrame/models/qm"
)

//DefectGrp的字段元数据
var DefectGrp_DefectGrpId = grmi.NewField("DefectGrpId", "DefectGrpId", "defectgrpid", grmi.TypeString)
var DefectGrp_Descr = grmi.NewField("Descr", "Descr", "descr", grmi.TypeString)
var DefectGrp_LastModify = grmi.NewField("LastModify", "LastModify", "undefined", grmi.TypeDateTime)
var DefectGrp_LastUser = grmi.NewField("LastUser", "LastUser", "undefined", grmi.TypeString)
var DefectGrp_CreateTime = grmi.NewField("CreateTime", "CreateTime", "undefined", grmi.TypeDateTime)

//DefectGrp的元数据
var DefectGrp = grmi.NewEntity(
	"QM_DefectGrp",
	func() interface{} { return &model.DefectGrp{} },
	map[string]grmi.Field{
		DefectGrp_DefectGrpId.Name: DefectGrp_DefectGrpId,
		DefectGrp_Descr.Name:       DefectGrp_Descr,
		DefectGrp_LastModify.Name:  DefectGrp_LastModify,
		DefectGrp_LastUser.Name:    DefectGrp_LastUser,
		DefectGrp_CreateTime.Name:  DefectGrp_CreateTime,
	})
