package qm

import (
	"leit.com/LAPP_GAAS_GFrame/grmi"
	model "leit.com/LAPP_GAAS_GFrame/models/qm"
)

//DefectReason的字段元数据
var DefectReason_DefectReasonId = grmi.NewField("DefectReasonId", "DefectReasonId", "defectreasonid", grmi.TypeString)
var DefectReason_Descr = grmi.NewField("Descr", "Descr", "descr", grmi.TypeString)
var DefectReason_LastModify = grmi.NewField("LastModify", "LastModify", "undefined", grmi.TypeDateTime)
var DefectReason_LastUser = grmi.NewField("LastUser", "LastUser", "undefined", grmi.TypeString)
var DefectReason_CreateTime = grmi.NewField("CreateTime", "CreateTime", "undefined", grmi.TypeDateTime)

//DefectReason的元数据
var DefectReason = grmi.NewEntity(
	"QM_DefectReason",
	func() interface{} { return &model.DefectReason{} },
	map[string]grmi.Field{
		DefectReason_DefectReasonId.Name: DefectReason_DefectReasonId,
		DefectReason_Descr.Name:          DefectReason_Descr,
		DefectReason_LastModify.Name:     DefectReason_LastModify,
		DefectReason_LastUser.Name:       DefectReason_LastUser,
		DefectReason_CreateTime.Name:     DefectReason_CreateTime,
	})
