package qm

import (
	"leit.com/LAPP_GAAS_GFrame/grmi"
	model "leit.com/LAPP_GAAS_GFrame/models/qm"
)

//DefectRecord的字段元数据
var DefectRecord_RecNr = grmi.NewField("RecNr", "RecNr", "recnr", grmi.TypeInt)
var DefectRecord_SerialOrderId = grmi.NewField("SerialOrderId", "SerialOrderId", "serialorderid", grmi.TypeString)
var DefectRecord_OperationNr = grmi.NewField("OperationNr", "OperationNr", "operationnr", grmi.TypeInt)
var DefectRecord_Qty = grmi.NewField("Qty", "qty", "qty", grmi.TypeInt)
var DefectRecord_ViewId = grmi.NewField("ViewId", "ViewId", "viewid", grmi.TypeString)
var DefectRecord_ViewDescr = grmi.NewField("ViewDescr", "ViewDescr", "viewdescr", grmi.TypeString)
var DefectRecord_ViewPicture = grmi.NewField("ViewPicture", "ViewPicture", "viewpicture", grmi.TypeString)
var DefectRecord_ViewCode = grmi.NewField("ViewCode", "ViewCode", "viewcode", grmi.TypeInt)
var DefectRecord_Width = grmi.NewField("Width", "Width", "width", grmi.TypeInt)
var DefectRecord_Height = grmi.NewField("Height", "Height", "height", grmi.TypeInt)
var DefectRecord_EndProduct = grmi.NewField("EndProduct", "EndProduct", "endproduct", grmi.TypeString)
var DefectRecord_AreaId = grmi.NewField("AreaId", "AreaId", "areaid", grmi.TypeInt)
var DefectRecord_XStart = grmi.NewField("XStart", "XStart", "xstart", grmi.TypeInt)
var DefectRecord_XEnd = grmi.NewField("XEnd", "XEnd", "xend", grmi.TypeInt)
var DefectRecord_YStart = grmi.NewField("YStart", "YStart", "ystart", grmi.TypeInt)
var DefectRecord_YEnd = grmi.NewField("YEnd", "YEnd", "yend", grmi.TypeInt)
var DefectRecord_XPos = grmi.NewField("XPos", "XPos", "xpos", grmi.TypeInt)
var DefectRecord_YPos = grmi.NewField("YPos", "YPos", "ypos", grmi.TypeInt)
var DefectRecord_WorkplaceId = grmi.NewField("WorkplaceId", "WorkplaceId", "workplaceid", grmi.TypeString)
var DefectRecord_ReworkplaceId = grmi.NewField("ReworkplaceId", "ReworkplaceId", "reworkplaceid", grmi.TypeString)
var DefectRecord_Status = grmi.NewField("Status", "status", "status", grmi.TypeString)
var DefectRecord_DefectGrpId = grmi.NewField("DefectGrpId", "DefectGrpId", "defectgrpid", grmi.TypeString)
var DefectRecord_DefectGrpDescr = grmi.NewField("DefectGrpDescr", "DefectGrpDescr", "defectgrpdescr", grmi.TypeString)
var DefectRecord_DefectReasonId = grmi.NewField("DefectReasonId", "DefectReasonId", "defectreasonid", grmi.TypeString)
var DefectRecord_DefectDescr = grmi.NewField("DefectDescr", "DefectDescr", "defectdescr", grmi.TypeString)
var DefectRecord_InspectTime = grmi.NewField("InspectTime", "InspectTime", "inspecttime", grmi.TypeDateTime)
var DefectRecord_InspectShiftId = grmi.NewField("InspectShiftId", "InspectShiftId", "inspectshiftid", grmi.TypeString)
var DefectRecord_Inspector = grmi.NewField("Inspector", "Inspector", "inspector", grmi.TypeString)
var DefectRecord_ReworkTime = grmi.NewField("ReworkTime", "ReworkTime", "reworktime", grmi.TypeDateTime)
var DefectRecord_ReworkShiftId = grmi.NewField("ReworkShiftId", "ReworkShiftId", "reworkshiftid", grmi.TypeString)
var DefectRecord_Reworker = grmi.NewField("Reworker", "Reworker", "reworker", grmi.TypeString)
var DefectRecord_BuildCode = grmi.NewField("BuildCode", "BuildCode", "buildcode", grmi.TypeString)
var DefectRecord_DDCCustC1 = grmi.NewField("DDCCustC1", "DDC_CustC1", "ddccustc1", grmi.TypeString)
var DefectRecord_DDCCustC2 = grmi.NewField("DDCCustC2", "DDC_CustC2", "ddccustc2", grmi.TypeString)
var DefectRecord_DDCCustC3 = grmi.NewField("DDCCustC3", "DDC_CustC3", "ddccustc3", grmi.TypeString)
var DefectRecord_DDCCustC4 = grmi.NewField("DDCCustC4", "DDC_CustC4", "ddccustc4", grmi.TypeString)
var DefectRecord_DDCCustI1 = grmi.NewField("DDCCustI1", "DDC_CustI1", "ddccusti1", grmi.TypeInt)
var DefectRecord_DDCCustI2 = grmi.NewField("DDCCustI2", "DDC_CustI2", "ddccusti2", grmi.TypeInt)
var DefectRecord_DDCCustI3 = grmi.NewField("DDCCustI3", "DDC_CustI3", "ddccusti3", grmi.TypeInt)
var DefectRecord_DDCCustI4 = grmi.NewField("DDCCustI4", "DDC_CustI4", "ddccusti4", grmi.TypeInt)
var DefectRecord_DDCCustT1 = grmi.NewField("DDCCustT1", "DDC_CustT1", "ddccustt1", grmi.TypeDateTime)
var DefectRecord_DDCCustT2 = grmi.NewField("DDCCustT2", "DDC_CustT2", "ddccustt2", grmi.TypeDateTime)
var DefectRecord_LastModify = grmi.NewField("LastModify", "LastModify", "undefined", grmi.TypeDateTime)
var DefectRecord_LastUser = grmi.NewField("LastUser", "LastUser", "undefined", grmi.TypeString)
var DefectRecord_CreateTime = grmi.NewField("CreateTime", "CreateTime", "undefined", grmi.TypeDateTime)

//DefectRecord的元数据
var DefectRecord = grmi.NewEntity(
	"QM_DefectRecord",
	func() interface{} { return &model.DefectRecord{} },
	map[string]grmi.Field{
		DefectRecord_RecNr.Name:          DefectRecord_RecNr,
		DefectRecord_SerialOrderId.Name:  DefectRecord_SerialOrderId,
		DefectRecord_OperationNr.Name:    DefectRecord_OperationNr,
		DefectRecord_Qty.Name:            DefectRecord_Qty,
		DefectRecord_ViewId.Name:         DefectRecord_ViewId,
		DefectRecord_ViewDescr.Name:      DefectRecord_ViewDescr,
		DefectRecord_ViewPicture.Name:    DefectRecord_ViewPicture,
		DefectRecord_ViewCode.Name:       DefectRecord_ViewCode,
		DefectRecord_Width.Name:          DefectRecord_Width,
		DefectRecord_Height.Name:         DefectRecord_Height,
		DefectRecord_EndProduct.Name:     DefectRecord_EndProduct,
		DefectRecord_AreaId.Name:         DefectRecord_AreaId,
		DefectRecord_XStart.Name:         DefectRecord_XStart,
		DefectRecord_XEnd.Name:           DefectRecord_XEnd,
		DefectRecord_YStart.Name:         DefectRecord_YStart,
		DefectRecord_YEnd.Name:           DefectRecord_YEnd,
		DefectRecord_XPos.Name:           DefectRecord_XPos,
		DefectRecord_YPos.Name:           DefectRecord_YPos,
		DefectRecord_WorkplaceId.Name:    DefectRecord_WorkplaceId,
		DefectRecord_ReworkplaceId.Name:  DefectRecord_ReworkplaceId,
		DefectRecord_Status.Name:         DefectRecord_Status,
		DefectRecord_DefectGrpId.Name:    DefectRecord_DefectGrpId,
		DefectRecord_DefectGrpDescr.Name: DefectRecord_DefectGrpDescr,
		DefectRecord_DefectReasonId.Name: DefectRecord_DefectReasonId,
		DefectRecord_DefectDescr.Name:    DefectRecord_DefectDescr,
		DefectRecord_InspectTime.Name:    DefectRecord_InspectTime,
		DefectRecord_InspectShiftId.Name: DefectRecord_InspectShiftId,
		DefectRecord_Inspector.Name:      DefectRecord_Inspector,
		DefectRecord_ReworkTime.Name:     DefectRecord_ReworkTime,
		DefectRecord_ReworkShiftId.Name:  DefectRecord_ReworkShiftId,
		DefectRecord_Reworker.Name:       DefectRecord_Reworker,
		DefectRecord_BuildCode.Name:      DefectRecord_BuildCode,
		DefectRecord_DDCCustC1.Name:      DefectRecord_DDCCustC1,
		DefectRecord_DDCCustC2.Name:      DefectRecord_DDCCustC2,
		DefectRecord_DDCCustC3.Name:      DefectRecord_DDCCustC3,
		DefectRecord_DDCCustC4.Name:      DefectRecord_DDCCustC4,
		DefectRecord_DDCCustI1.Name:      DefectRecord_DDCCustI1,
		DefectRecord_DDCCustI2.Name:      DefectRecord_DDCCustI2,
		DefectRecord_DDCCustI3.Name:      DefectRecord_DDCCustI3,
		DefectRecord_DDCCustI4.Name:      DefectRecord_DDCCustI4,
		DefectRecord_DDCCustT1.Name:      DefectRecord_DDCCustT1,
		DefectRecord_DDCCustT2.Name:      DefectRecord_DDCCustT2,
		DefectRecord_LastModify.Name:     DefectRecord_LastModify,
		DefectRecord_LastUser.Name:       DefectRecord_LastUser,
		DefectRecord_CreateTime.Name:     DefectRecord_CreateTime,
	})
