package base

import (
	"leit.com/LAPP_GAAS_GFrame/grmi"
	"xorm.io/core"
)

//AttributeGroupValst的实体映射
type AttributeGroupValst struct {
	PlantNr     int           `xorm:"pk int 'PlantNr'" json:"AttributeGroupValst-PlantNr"`
	AttrCode    int           `xorm:"pk int 'AttrCode'" json:"AttributeGroupValst-AttrCode"`
	AttrGrpCode int           `xorm:"pk int 'AttrGrpCode'" json:"AttributeGroupValst-AttrGrpCode"`
	Pos         int           `xorm:"int 'Pos' not null" json:"AttributeGroupValst-Pos"`
	LastModify  grmi.DateTime `xorm:"datetime 'LastModify' not null updated" json:"AttributeGroupValst-LastModify"`
	LastUser    string        `xorm:"nvarchar(20) 'LastUser' not null" json:"AttributeGroupValst-LastUser"`
	CreateTime  grmi.DateTime `xorm:"datetime 'CreateTime' not null created" json:"AttributeGroupValst-CreateTime"`
}

//获取AttributeGroupValst的主键
func (self *AttributeGroupValst) GetKey() core.PK {
	return core.PK{self.PlantNr, self.AttrCode, self.AttrGrpCode}
}
