package base

import (
	"leit.com/LAPP_GAAS_GFrame/grmi"
	"xorm.io/core"
)

//CodeParser的实体映射
type CodeParser struct {
	PlantNr    int           `xorm:"pk int 'PlantNr'" json:"CodeParser-PlantNr"`
	ParserId   string        `xorm:"pk nvarchar(20) 'ParserId'" json:"CodeParser-ParserId"`
	StartPos   int           `xorm:"int 'StartPos' not null" json:"CodeParser-StartPos"`
	Length     int           `xorm:"int 'Length' not null" json:"CodeParser-Length"`
	ParserType string        `xorm:"nvarchar(20) 'ParserType' not null" json:"CodeParser-ParserType"`
	Descr      string        `xorm:"nvarchar(100) 'Descr' not null" json:"CodeParser-Descr"`
	LastModify grmi.DateTime `xorm:"datetime 'LastModify' not null updated" json:"CodeParser-LastModify"`
	LastUser   string        `xorm:"nvarchar(20) 'LastUser' not null" json:"CodeParser-LastUser"`
	CreateTime grmi.DateTime `xorm:"datetime 'CreateTime' not null created" json:"CodeParser-CreateTime"`
}

//获取CodeParser的主键
func (self *CodeParser) GetKey() core.PK {
	return core.PK{self.PlantNr, self.ParserId}
}
