package base

import (
	"leit.com/LAPP_GAAS_GFrame/grmi"
	"xorm.io/core"
)

//WorkCalendarLst的实体映射
type WorkCalendarLst struct {
	PlantNr        int           `xorm:"pk int 'PlantNr'" json:"WorkCalendarLst-PlantNr"`
	WorkCalendarNr int           `xorm:"pk int 'WorkCalendarNr'" json:"WorkCalendarLst-WorkCalendarNr"`
	WorkDate       int           `xorm:"pk int 'WorkDate'" json:"WorkCalendarLst-WorkDate"`
	DayModelNr     int           `xorm:"int 'DayModelNr' not null" json:"WorkCalendarLst-DayModelNr"`
	LastModify     grmi.DateTime `xorm:"datetime 'LastModify' not null updated" json:"WorkCalendarLst-LastModify"`
	LastUser       string        `xorm:"nvarchar(20) 'LastUser' not null" json:"WorkCalendarLst-LastUser"`
	CreateTime     grmi.DateTime `xorm:"datetime 'CreateTime' not null created" json:"WorkCalendarLst-CreateTime"`
}

//获取WorkCalendarLst的主键
func (self *WorkCalendarLst) GetKey() core.PK {
	return core.PK{self.PlantNr, self.WorkCalendarNr, self.WorkDate}
}
