package base

import (
	"leit.com/LAPP_GAAS_GFrame/grmi"
	"xorm.io/core"
)

//WorkLineSpecialDay的实体映射
type WorkLineSpecialDay struct {
	PlantNr    int           `xorm:"pk int 'PlantNr'" json:"WorkLineSpecialDay-PlantNr"`
	WorkLineid string        `xorm:"pk nvarchar(40) 'WorkLineid'" json:"WorkLineSpecialDay-WorkLineid"`
	SpecialDay string        `xorm:"pk nvarchar(8) 'SpecialDay'" json:"WorkLineSpecialDay-SpecialDay"`
	DayModelNr int           `xorm:"int 'DayModelNr' not null" json:"WorkLineSpecialDay-DayModelNr"`
	Descr      string        `xorm:"nvarchar(100) 'Descr' not null" json:"WorkLineSpecialDay-Descr"`
	LastModify grmi.DateTime `xorm:"datetime 'LastModify' not null updated" json:"WorkLineSpecialDay-LastModify"`
	LastUser   string        `xorm:"nvarchar(20) 'LastUser' not null" json:"WorkLineSpecialDay-LastUser"`
	CreateTime grmi.DateTime `xorm:"datetime 'CreateTime' not null created" json:"WorkLineSpecialDay-CreateTime"`
}

//获取WorkLineSpecialDay的主键
func (self *WorkLineSpecialDay) GetKey() core.PK {
	return core.PK{self.PlantNr, self.WorkLineid, self.SpecialDay}
}
