package base

import (
	"leit.com/LAPP_GAAS_GFrame/grmi"
	"xorm.io/core"
)

//WorkLineWorkShiftLst的实体映射
type WorkLineWorkShiftLst struct {
	PlantNr     int           `xorm:"pk int 'PlantNr'" json:"WorkLineWorkShiftLst-PlantNr"`
	WorkLineId  string        `xorm:"pk nvarchar(40) 'WorkLineId'" json:"WorkLineWorkShiftLst-WorkLineId"`
	WorkDay     string        `xorm:"pk nvarchar(8) 'WorkDay'" json:"WorkLineWorkShiftLst-WorkDay"`
	Pos         int           `xorm:"pk int 'Pos'" json:"WorkLineWorkShiftLst-Pos"`
	WorkShiftNr int           `xorm:"int 'WorkShiftNr' not null" json:"WorkLineWorkShiftLst-WorkShiftNr"`
	LevelId     string        `xorm:"nvarchar(20) 'LevelId'" json:"WorkLineWorkShiftLst-LevelId"`
	LastModify  grmi.DateTime `xorm:"datetime 'LastModify' not null updated" json:"WorkLineWorkShiftLst-LastModify"`
	LastUser    string        `xorm:"nvarchar(20) 'LastUser' not null" json:"WorkLineWorkShiftLst-LastUser"`
	CreateTime  grmi.DateTime `xorm:"datetime 'CreateTime' not null created" json:"WorkLineWorkShiftLst-CreateTime"`
}

//获取WorkLineWorkShiftLst的主键
func (self *WorkLineWorkShiftLst) GetKey() core.PK {
	return core.PK{self.PlantNr, self.WorkLineId, self.WorkDay, self.Pos}
}
