package base

import (
	"leit.com/LAPP_GAAS_GFrame/grmi"
	"xorm.io/core"
)

//WorkShiftEffLst的实体映射
type WorkShiftEffLst struct {
	PlantNr          int           `xorm:"pk int 'PlantNr'" json:"WorkShiftEffLst-PlantNr"`
	WorkShiftNr      int           `xorm:"pk int 'WorkShiftNr'" json:"WorkShiftEffLst-WorkShiftNr"`
	LevelId          string        `xorm:"pk nvarchar(40) 'LevelId'" json:"WorkShiftEffLst-LevelId"`
	Descr            string        `xorm:"nvarchar(100) 'Descr'" json:"WorkShiftEffLst-Descr"`
	PlanPersonUclQty int           `xorm:"int 'PlanPersonUclQty'" json:"WorkShiftEffLst-PlanPersonUclQty"`
	PlanPersonLclQty int           `xorm:"int 'PlanPersonLclQty'" json:"WorkShiftEffLst-PlanPersonLclQty"`
	PlanEfficiency   float64       `xorm:"float 'PlanEfficiency' not null" json:"WorkShiftEffLst-PlanEfficiency"`
	LastModify       grmi.DateTime `xorm:"datetime 'LastModify' not null updated" json:"WorkShiftEffLst-LastModify"`
	LastUser         string        `xorm:"nvarchar(20) 'LastUser' not null" json:"WorkShiftEffLst-LastUser"`
	CreateTime       grmi.DateTime `xorm:"datetime 'CreateTime' not null created" json:"WorkShiftEffLst-CreateTime"`
}

//获取WorkShiftEffLst的主键
func (self *WorkShiftEffLst) GetKey() core.PK {
	return core.PK{self.PlantNr, self.WorkShiftNr, self.LevelId}
}
