package ods

import (
	"leit.com/LAPP_GAAS_GFrame/grmi"
	"xorm.io/core"
)

//ArtRouteOdsLst的实体映射
type ArtRouteOdsLst struct {
	PlantNr       int           `xorm:"pk int 'PlantNr'" json:"ODS_ArtRouteOdsLst-PlantNr"`
	ArtId         string        `xorm:"pk nvarchar(40) 'ArtId'" json:"ODS_ArtRouteOdsLst-ArtId"`
	OperationNr   int           `xorm:"pk int 'OperationNr'" json:"ODS_ArtRouteOdsLst-OperationNr"`
	Pos           int           `xorm:"pk int 'Pos'" json:"ODS_ArtRouteOdsLst-Pos"`
	WorkPlaceId   string        `xorm:"nvarchar(40) 'WorkPlaceId' not null" json:"ODS_ArtRouteOdsLst-WorkPlaceId"`
	Descr         string        `xorm:"nvarchar(100) 'Descr' not null" json:"ODS_ArtRouteOdsLst-Descr"`
	OdsId         string        `xorm:"nvarchar(40) 'OdsId' not null" json:"ODS_ArtRouteOdsLst-OdsId"`
	OdsTypeId     string        `xorm:"nvarchar(40) 'OdsTypeId' not null" json:"ODS_ArtRouteOdsLst-OdsTypeId"`
	OdsContentIdx string        `xorm:"nvarchar(255) 'OdsContentIdx' not null" json:"ODS_ArtRouteOdsLst-OdsContentIdx"`
	CtrlPara1     int           `xorm:"int 'CtrlPara1' not null" json:"ODS_ArtRouteOdsLst-CtrlPara1"`
	CtrlPara2     int           `xorm:"int 'CtrlPara2' not null" json:"ODS_ArtRouteOdsLst-CtrlPara2"`
	CtrlPara3     string        `xorm:"nvarchar(100) 'CtrlPara3' not null" json:"ODS_ArtRouteOdsLst-CtrlPara3"`
	CtrlPara4     string        `xorm:"nvarchar(100) 'CtrlPara4' not null" json:"ODS_ArtRouteOdsLst-CtrlPara4"`
	LastModify    grmi.DateTime `xorm:"datetime 'LastModify' not null updated" json:"ODS_ArtRouteOdsLst-LastModify"`
	LastUser      string        `xorm:"nvarchar(20) 'LastUser' not null" json:"ODS_ArtRouteOdsLst-LastUser"`
	CreateTime    grmi.DateTime `xorm:"datetime 'CreateTime' not null created" json:"ODS_ArtRouteOdsLst-CreateTime"`
}

//获取ArtRouteOdsLst的主键
func (self *ArtRouteOdsLst) GetKey() core.PK {
	return core.PK{self.PlantNr, self.ArtId, self.OperationNr, self.Pos}
}
