package ods

import (
	"leit.com/LAPP_GAAS_GFrame/grmi"
	"xorm.io/core"
)

//OdsHead的实体映射
type OdsHead struct {
	PlantNr       int           `xorm:"pk int 'PlantNr'" json:"ODS_OdsHead-PlantNr"`
	OdsId         string        `xorm:"pk nvarchar(40) 'OdsId'" json:"ODS_OdsHead-OdsId"`
	Descr         string        `xorm:"nvarchar(100) 'Descr' not null" json:"ODS_OdsHead-Descr"`
	OdsTypeId     string        `xorm:"nvarchar(40) 'OdsTypeId' not null" json:"ODS_OdsHead-OdsTypeId"`
	OdsContentIdx string        `xorm:"nvarchar(255) 'OdsContentIdx' not null" json:"ODS_OdsHead-OdsContentIdx"`
	CtrlPara1     int           `xorm:"int 'CtrlPara1' not null" json:"ODS_OdsHead-CtrlPara1"`
	CtrlPara2     int           `xorm:"int 'CtrlPara2' not null" json:"ODS_OdsHead-CtrlPara2"`
	CtrlPara3     string        `xorm:"nvarchar(100) 'CtrlPara3' not null" json:"ODS_OdsHead-CtrlPara3"`
	CtrlPara4     string        `xorm:"nvarchar(100) 'CtrlPara4' not null" json:"ODS_OdsHead-CtrlPara4"`
	LastModify    grmi.DateTime `xorm:"datetime 'LastModify' not null updated" json:"ODS_OdsHead-LastModify"`
	LastUser      string        `xorm:"nvarchar(20) 'LastUser' not null" json:"ODS_OdsHead-LastUser"`
	CreateTime    grmi.DateTime `xorm:"datetime 'CreateTime' not null created" json:"ODS_OdsHead-CreateTime"`
}

//获取OdsHead的主键
func (self *OdsHead) GetKey() core.PK {
	return core.PK{self.PlantNr, self.OdsId}
}
