package om

import (
	"leit.com/LAPP_GAAS_GFrame/grmi"
	"xorm.io/core"
)

//ProdOrderQty的实体映射
type ProdOrderQty struct {
	PlantNr      int           `xorm:"pk int 'PlantNr'" json:"OM_ProdOrderQty-PlantNr"`
	ProdOrderId  string        `xorm:"pk nvarchar(40) 'ProdOrderId'" json:"OM_ProdOrderQty-ProdOrderId"`
	ActQty       float64       `xorm:"float 'ActQty' not null" json:"OM_ProdOrderQty-ActQty"`
	ActGoodQty   float64       `xorm:"float 'ActGoodQty' not null" json:"OM_ProdOrderQty-ActGoodQty"`
	ActScrapQty  float64       `xorm:"float 'ActScrapQty' not null" json:"OM_ProdOrderQty-ActScrapQty"`
	ActReworkQty float64       `xorm:"float 'ActReworkQty' not null" json:"OM_ProdOrderQty-ActReworkQty"`
	ActQty1      float64       `xorm:"float 'ActQty1' not null" json:"OM_ProdOrderQty-ActQty1"`
	ActQty2      float64       `xorm:"float 'ActQty2' not null" json:"OM_ProdOrderQty-ActQty2"`
	ActQty3      float64       `xorm:"float 'ActQty3' not null" json:"OM_ProdOrderQty-ActQty3"`
	ActQty4      float64       `xorm:"float 'ActQty4' not null" json:"OM_ProdOrderQty-ActQty4"`
	LastModify   grmi.DateTime `xorm:"datetime 'LastModify' not null updated" json:"OM_ProdOrderQty-LastModify"`
	LastUser     string        `xorm:"nvarchar(20) 'LastUser' not null" json:"OM_ProdOrderQty-LastUser"`
	CreateTime   grmi.DateTime `xorm:"datetime 'CreateTime' not null created" json:"OM_ProdOrderQty-CreateTime"`
}

//获取ProdOrderQty的主键
func (self *ProdOrderQty) GetKey() core.PK {
	return core.PK{self.PlantNr, self.ProdOrderId}
}
