package qm

import (
	"leit.com/LAPP_GAAS_GFrame/grmi"
	"xorm.io/core"
)

//ViewDefectlst的实体映射
type ViewDefectlst struct {
	PlantNr        int           `xorm:"pk int 'PlantNr'" json:"QM_ViewDefectlst-PlantNr"`
	ViewId         string        `xorm:"pk nvarchar(20) 'ViewId'" json:"QM_ViewDefectlst-ViewId"`
	DefectReasonId string        `xorm:"pk nvarchar(20) 'DefectReasonId'" json:"QM_ViewDefectlst-DefectReasonId"`
	Pos            int           `xorm:"int 'Pos' not null" json:"QM_ViewDefectlst-Pos"`
	LastModify     grmi.DateTime `xorm:"datetime 'LastModify' not null updated" json:"QM_ViewDefectlst-LastModify"`
	LastUser       string        `xorm:"nvarchar(20) 'LastUser' not null" json:"QM_ViewDefectlst-LastUser"`
	CreateTime     grmi.DateTime `xorm:"datetime 'CreateTime' not null created" json:"QM_ViewDefectlst-CreateTime"`
}

//获取ViewDefectlst的主键
func (self *ViewDefectlst) GetKey() core.PK {
	return core.PK{self.PlantNr, self.ViewId, self.DefectReasonId}
}
