package base

import (
	model "leit.com/LAPP_GAAS_GFrame/models/base"
	"leit.com/LAPP_GAAS_GFrame/services/base/implments"
	"leit.com/LAPP_GAAS_GFrame/web/models"
)

type CostCenterService interface {
	Select(map[string]string, *models.Usertab) (interface{}, error)
	InsertOne(*models.Usertab, *model.CostCenter) error
	DeleteOne(*models.Usertab, string) error
	SelectOne(*models.Usertab, string) (*model.CostCenter, error)
	UpdateOne(*models.Usertab, *model.CostCenter) error
}

func NewCostCenterService() CostCenterService {
	return implments.NewCostCenterServiceImplement()
}
