package base

import (
	model "leit.com/LAPP_GAAS_GFrame/models/base"
	"leit.com/LAPP_GAAS_GFrame/services/base/implments"
	"leit.com/LAPP_GAAS_GFrame/web/models"
)

type DayModelService interface {
	Select(map[string]string, *models.Usertab) (interface{}, error)
	InsertOne(*models.Usertab, *model.DayModel) error
	DeleteOne(*models.Usertab, int) error
	SelectOne(*models.Usertab, int) (*model.DayModel, error)
	UpdateOne(*models.Usertab, *model.DayModel) error
}

func NewDayModelService() DayModelService {
	return implments.NewDayModelServiceImplement()
}
