package base

import (
	model "leit.com/LAPP_GAAS_GFrame/models/base"
	"leit.com/LAPP_GAAS_GFrame/services/base/implments"
	"leit.com/LAPP_GAAS_GFrame/web/models"
)

type WorkCalendarService interface {
	Select(map[string]string, *models.Usertab) (interface{}, error)
	InsertOne(*models.Usertab, *model.WorkCalendar) error
	DeleteOne(*models.Usertab, int) error
	SelectOne(*models.Usertab, int) (*model.WorkCalendar, error)
	UpdateOne(*models.Usertab, *model.WorkCalendar) error
}

func NewWorkCalendarService() WorkCalendarService {
	return implments.NewWorkCalendarServiceImplement()
}
