package base

import (
	model "leit.com/LAPP_GAAS_GFrame/models/base"
	"leit.com/LAPP_GAAS_GFrame/services/base/implments"
	"leit.com/LAPP_GAAS_GFrame/web/models"
)

type WorkLineService interface {
	Select(map[string]string, *models.Usertab) (interface{}, error)
	InsertOne(*models.Usertab, *model.WorkLine) error
	DeleteOne(*models.Usertab, string) error
	SelectOne(*models.Usertab, string) (*model.WorkLine, error)
	UpdateOne(*models.Usertab, *model.WorkLine) error
}

func NewWorkLineService() WorkLineService {
	return implments.NewWorkLineServiceImplement()
}
