package base

import (
	model "leit.com/LAPP_GAAS_GFrame/models/base"
	"leit.com/LAPP_GAAS_GFrame/services/base/implments"
	"leit.com/LAPP_GAAS_GFrame/web/models"
)

type WorkShiftEffLstService interface {
	Select(map[string]string, *models.Usertab) (interface{}, error)
	InsertOne(*models.Usertab, *model.WorkShiftEffLst) error
	DeleteOne(*models.Usertab, int, string) error
	SelectOne(*models.Usertab, int, string) (*model.WorkShiftEffLst, error)
	UpdateOne(*models.Usertab, *model.WorkShiftEffLst) error
}

func NewWorkShiftEffLstService() WorkShiftEffLstService {
	return implments.NewWorkShiftEffLstServiceImplement()
}
