package log

import (
	model "leit.com/LAPP_GAAS_GFrame/models/log"
	"leit.com/LAPP_GAAS_GFrame/services/log/implments"
	"leit.com/LAPP_GAAS_GFrame/web/models"
)

type ArtDemandHeadService interface {
	Select(map[string]string, *models.Usertab) (interface{}, error)
	InsertOne(*models.Usertab, *model.ArtDemandHead) error
	DeleteOne(*models.Usertab, string, string) error
	SelectOne(*models.Usertab, string, string) (*model.ArtDemandHead, error)
	UpdateOne(*models.Usertab, *model.ArtDemandHead) error
}

func NewArtDemandHeadService() ArtDemandHeadService {
	return implments.NewArtDemandHeadServiceImplement()
}
