package log

import (
	model "leit.com/LAPP_GAAS_GFrame/models/log"
	"leit.com/LAPP_GAAS_GFrame/services/log/implments"
	"leit.com/LAPP_GAAS_GFrame/web/models"
)

type PackTypeService interface {
	Select(map[string]string, *models.Usertab) (interface{}, error)
	InsertOne(*models.Usertab, *model.PackType) error
	DeleteOne(*models.Usertab, string) error
	SelectOne(*models.Usertab, string) (*model.PackType, error)
	UpdateOne(*models.Usertab, *model.PackType) error
}

func NewPackTypeService() PackTypeService {
	return implments.NewPackTypeServiceImplement()
}
