package log

import (
	model "leit.com/LAPP_GAAS_GFrame/models/log"
	"leit.com/LAPP_GAAS_GFrame/services/log/implments"
	"leit.com/LAPP_GAAS_GFrame/web/models"
)

type VendorArtLstService interface {
	Select(map[string]string, *models.Usertab) (interface{}, error)
	InsertOne(*models.Usertab, *model.VendorArtLst) error
	DeleteOne(*models.Usertab, string) error
	SelectOne(*models.Usertab, string) (*model.VendorArtLst, error)
	UpdateOne(*models.Usertab, *model.VendorArtLst) error
}

func NewVendorArtLstService() VendorArtLstService {
	return implments.NewVendorArtLstServiceImplement()
}
