package log

import (
	model "leit.com/LAPP_GAAS_GFrame/models/log"
	"leit.com/LAPP_GAAS_GFrame/services/log/implments"
	"leit.com/LAPP_GAAS_GFrame/web/models"
)

type VendorUserLstService interface {
	Select(map[string]string, *models.Usertab) (interface{}, error)
	InsertOne(*models.Usertab, *model.VendorUserLst) error
	DeleteOne(*models.Usertab, string) error
	SelectOne(*models.Usertab, string) (*model.VendorUserLst, error)
	UpdateOne(*models.Usertab, *model.VendorUserLst) error
}

func NewVendorUserLstService() VendorUserLstService {
	return implments.NewVendorUserLstServiceImplement()
}
