package ods

import (
	model "leit.com/LAPP_GAAS_GFrame/models/ods"
	"leit.com/LAPP_GAAS_GFrame/services/ods/implments"
	"leit.com/LAPP_GAAS_GFrame/web/models"
)

type ArtRouteOdsLstService interface {
	Select(map[string]string, *models.Usertab) (interface{}, error)
	InsertOne(*models.Usertab, *model.ArtRouteOdsLst) error
	DeleteOne(*models.Usertab, string, int, int) error
	SelectOne(*models.Usertab, string, int, int) (*model.ArtRouteOdsLst, error)
	UpdateOne(*models.Usertab, *model.ArtRouteOdsLst) error
}

func NewArtRouteOdsLstService() ArtRouteOdsLstService {
	return implments.NewArtRouteOdsLstServiceImplement()
}
