package ods

import (
	model "leit.com/LAPP_GAAS_GFrame/models/ods"
	"leit.com/LAPP_GAAS_GFrame/services/ods/implments"
	"leit.com/LAPP_GAAS_GFrame/web/models"
)

type OdsHeadService interface {
	Select(map[string]string, *models.Usertab) (interface{}, error)
	InsertOne(*models.Usertab, *model.OdsHead) error
	DeleteOne(*models.Usertab, string) error
	SelectOne(*models.Usertab, string) (*model.OdsHead, error)
	UpdateOne(*models.Usertab, *model.OdsHead) error
}

func NewOdsHeadService() OdsHeadService {
	return implments.NewOdsHeadServiceImplement()
}
