package ods

import (
	model "leit.com/LAPP_GAAS_GFrame/models/ods"
	"leit.com/LAPP_GAAS_GFrame/services/ods/implments"
	"leit.com/LAPP_GAAS_GFrame/web/models"
)

type OdsTypeService interface {
	Select(map[string]string, *models.Usertab) (interface{}, error)
	InsertOne(*models.Usertab, *model.OdsType) error
	DeleteOne(*models.Usertab, string) error
	SelectOne(*models.Usertab, string) (*model.OdsType, error)
	UpdateOne(*models.Usertab, *model.OdsType) error
}

func NewOdsTypeService() OdsTypeService {
	return implments.NewOdsTypeServiceImplement()
}
