package om

import (
	model "leit.com/LAPP_GAAS_GFrame/models/om"
	"leit.com/LAPP_GAAS_GFrame/services/om/implments"
	"leit.com/LAPP_GAAS_GFrame/web/models"
)

type ProdOrderService interface {
	Select(map[string]string, *models.Usertab) (interface{}, error)
	InsertOne(*models.Usertab, *model.ProdOrder) error
	DeleteOne(*models.Usertab, string) error
	SelectOne(*models.Usertab, string) (*model.ProdOrder, error)
	UpdateOne(*models.Usertab, *model.ProdOrder) error
}

func NewProdOrderService() ProdOrderService {
	return implments.NewProdOrderServiceImplement()
}
