package om

import (
	model "leit.com/LAPP_GAAS_GFrame/models/om"
	"leit.com/LAPP_GAAS_GFrame/services/om/implments"
	"leit.com/LAPP_GAAS_GFrame/web/models"
)

type ProdOrderQtyService interface {
	Select(map[string]string, *models.Usertab) (interface{}, error)
	InsertOne(*models.Usertab, *model.ProdOrderQty) error
	DeleteOne(*models.Usertab, string) error
	SelectOne(*models.Usertab, string) (*model.ProdOrderQty, error)
	UpdateOne(*models.Usertab, *model.ProdOrderQty) error
}

func NewProdOrderQtyService() ProdOrderQtyService {
	return implments.NewProdOrderQtyServiceImplement()
}
