package om

import (
	model "leit.com/LAPP_GAAS_GFrame/models/om"
	"leit.com/LAPP_GAAS_GFrame/services/om/implments"
	"leit.com/LAPP_GAAS_GFrame/web/models"
)

type ProdOrderQtyRecLstService interface {
	Select(map[string]string, *models.Usertab) (interface{}, error)
	InsertOne(*models.Usertab, *model.ProdOrderQtyRecLst) error
	DeleteOne(*models.Usertab, string, int) error
	SelectOne(*models.Usertab, string, int) (*model.ProdOrderQtyRecLst, error)
	UpdateOne(*models.Usertab, *model.ProdOrderQtyRecLst) error
}

func NewProdOrderQtyRecLstService() ProdOrderQtyRecLstService {
	return implments.NewProdOrderQtyRecLstServiceImplement()
}
