package om

import (
	model "leit.com/LAPP_GAAS_GFrame/models/om"
	"leit.com/LAPP_GAAS_GFrame/services/om/implments"
	"leit.com/LAPP_GAAS_GFrame/web/models"
)

type ProdOrderStatusService interface {
	Select(map[string]string, *models.Usertab) (interface{}, error)
	InsertOne(*models.Usertab, *model.ProdOrderStatus) error
	DeleteOne(*models.Usertab, string) error
	SelectOne(*models.Usertab, string) (*model.ProdOrderStatus, error)
	UpdateOne(*models.Usertab, *model.ProdOrderStatus) error
}

func NewProdOrderStatusService() ProdOrderStatusService {
	return implments.NewProdOrderStatusServiceImplement()
}
