package qm

import (
	model "leit.com/LAPP_GAAS_GFrame/models/qm"
	"leit.com/LAPP_GAAS_GFrame/services/qm/implments"
	"leit.com/LAPP_GAAS_GFrame/web/models"
)

type DefectGrpReasonLstService interface {
	Select(map[string]string, *models.Usertab) (interface{}, error)
	InsertOne(*models.Usertab, *model.DefectGrpReasonLst) error
	DeleteOne(*models.Usertab, string, string) error
	SelectOne(*models.Usertab, string, string) (*model.DefectGrpReasonLst, error)
	UpdateOne(*models.Usertab, *model.DefectGrpReasonLst) error
}

func NewDefectGrpReasonLstService() DefectGrpReasonLstService {
	return implments.NewDefectGrpReasonLstServiceImplement()
}
