package qm

import (
	model "leit.com/LAPP_GAAS_GFrame/models/qm"
	"leit.com/LAPP_GAAS_GFrame/services/qm/implments"
	"leit.com/LAPP_GAAS_GFrame/web/models"
)

type DefectReasonService interface {
	Select(map[string]string, *models.Usertab) (interface{}, error)
	InsertOne(*models.Usertab, *model.DefectReason) error
	DeleteOne(*models.Usertab, string) error
	SelectOne(*models.Usertab, string) (*model.DefectReason, error)
	UpdateOne(*models.Usertab, *model.DefectReason) error
}

func NewDefectReasonService() DefectReasonService {
	return implments.NewDefectReasonServiceImplement()
}
