package qm

import (
	model "leit.com/LAPP_GAAS_GFrame/models/qm"
	"leit.com/LAPP_GAAS_GFrame/services/qm/implments"
	"leit.com/LAPP_GAAS_GFrame/web/models"
)

type DefectRecordService interface {
	Select(map[string]string, *models.Usertab) (interface{}, error)
	InsertOne(*models.Usertab, *model.DefectRecord) error
	DeleteOne(*models.Usertab, int) error
	SelectOne(*models.Usertab, int) (*model.DefectRecord, error)
	UpdateOne(*models.Usertab, *model.DefectRecord) error
}

func NewDefectRecordService() DefectRecordService {
	return implments.NewDefectRecordServiceImplement()
}
