package qm

import (
	model "leit.com/LAPP_GAAS_GFrame/models/qm"
	"leit.com/LAPP_GAAS_GFrame/services/qm/implments"
	"leit.com/LAPP_GAAS_GFrame/web/models"
)

type ViewService interface {
	Select(map[string]string, *models.Usertab) (interface{}, error)
	InsertOne(*models.Usertab, *model.View) error
	DeleteOne(*models.Usertab, string) error
	SelectOne(*models.Usertab, string) (*model.View, error)
	UpdateOne(*models.Usertab, *model.View) error
}

func NewViewService() ViewService {
	return implments.NewViewServiceImplement()
}
