package om

import (
	"github.com/kataras/iris/v12/core/router"
	"leit.com/LAPP_GAAS_GFrame/grmi"
	svr "leit.com/LAPP_GAAS_GFrame/services/om"
)

func RegisterRoutes() {
	grmi.RegisterRouteMapping("/om", func(party router.Party) {

		// prodorder
		prodorder := party.Party("/prodorder")

		var serviceOfProdOrder = svr.NewProdOrderService()

		// prodorder Insert
		// RegisterInsertOneProdOrder(prodorder, "/insert", serviceOfProdOrder.InsertOne)

		// prodorder Delete
		// RegisterDeleteOneProdOrder(prodorder, "/delete/{prodOrderId:string}", serviceOfProdOrder.DeleteOne)

		// prodorder Select
		RegisterSelectProdOrder(prodorder, "/query", serviceOfProdOrder.Select)
		RegisterSelectOneProdOrder(prodorder, "/get", serviceOfProdOrder.SelectOne)

		// prodorder Update
		// RegisterUpdateOneProdOrder(prodorder, "/update", serviceOfProdOrder.UpdateOne)

		// prodorderstatus
		prodorderstatus := party.Party("/prodorderstatus")

		var serviceOfProdOrderStatus = svr.NewProdOrderStatusService()

		// prodorderstatus Insert
		// RegisterInsertOneProdOrderStatus(prodorderstatus, "/insert", serviceOfProdOrderStatus.InsertOne)

		// prodorderstatus Delete
		// RegisterDeleteOneProdOrderStatus(prodorderstatus, "/delete/{prodOrderId:string}", serviceOfProdOrderStatus.DeleteOne)

		// prodorderstatus Select
		RegisterSelectProdOrderStatus(prodorderstatus, "/query", serviceOfProdOrderStatus.Select)
		RegisterSelectOneProdOrderStatus(prodorderstatus, "/get", serviceOfProdOrderStatus.SelectOne)

		// prodorderstatus Update
		// RegisterUpdateOneProdOrderStatus(prodorderstatus, "/update", serviceOfProdOrderStatus.UpdateOne)

		// prodorderstatusreclst
		prodorderstatusreclst := party.Party("/prodorderstatusreclst")

		var serviceOfProdOrderStatusRecLst = svr.NewProdOrderStatusRecLstService()

		// prodorderstatusreclst Insert
		// RegisterInsertOneProdOrderStatusRecLst(prodorderstatusreclst, "/insert", serviceOfProdOrderStatusRecLst.InsertOne)

		// prodorderstatusreclst Delete
		// RegisterDeleteOneProdOrderStatusRecLst(prodorderstatusreclst, "/delete/{prodOrderId:string}/{pos:int}", serviceOfProdOrderStatusRecLst.DeleteOne)

		// prodorderstatusreclst Select
		RegisterSelectProdOrderStatusRecLst(prodorderstatusreclst, "/query", serviceOfProdOrderStatusRecLst.Select)
		RegisterSelectOneProdOrderStatusRecLst(prodorderstatusreclst, "/get", serviceOfProdOrderStatusRecLst.SelectOne)

		// prodorderstatusreclst Update
		// RegisterUpdateOneProdOrderStatusRecLst(prodorderstatusreclst, "/update", serviceOfProdOrderStatusRecLst.UpdateOne)

		// prodorderqty
		prodorderqty := party.Party("/prodorderqty")

		var serviceOfProdOrderQty = svr.NewProdOrderQtyService()

		// prodorderqty Insert
		// RegisterInsertOneProdOrderQty(prodorderqty, "/insert", serviceOfProdOrderQty.InsertOne)

		// prodorderqty Delete
		// RegisterDeleteOneProdOrderQty(prodorderqty, "/delete/{prodOrderId:string}", serviceOfProdOrderQty.DeleteOne)

		// prodorderqty Select
		RegisterSelectProdOrderQty(prodorderqty, "/query", serviceOfProdOrderQty.Select)
		RegisterSelectOneProdOrderQty(prodorderqty, "/get", serviceOfProdOrderQty.SelectOne)

		// prodorderqty Update
		// RegisterUpdateOneProdOrderQty(prodorderqty, "/update", serviceOfProdOrderQty.UpdateOne)

		// prodorderqtyreclst
		prodorderqtyreclst := party.Party("/prodorderqtyreclst")

		var serviceOfProdOrderQtyRecLst = svr.NewProdOrderQtyRecLstService()

		// prodorderqtyreclst Insert
		// RegisterInsertOneProdOrderQtyRecLst(prodorderqtyreclst, "/insert", serviceOfProdOrderQtyRecLst.InsertOne)

		// prodorderqtyreclst Delete
		// RegisterDeleteOneProdOrderQtyRecLst(prodorderqtyreclst, "/delete/{prodOrderId:string}/{pos:int}", serviceOfProdOrderQtyRecLst.DeleteOne)

		// prodorderqtyreclst Select
		RegisterSelectProdOrderQtyRecLst(prodorderqtyreclst, "/query", serviceOfProdOrderQtyRecLst.Select)
		RegisterSelectOneProdOrderQtyRecLst(prodorderqtyreclst, "/get", serviceOfProdOrderQtyRecLst.SelectOne)

		// prodorderqtyreclst Update
		// RegisterUpdateOneProdOrderQtyRecLst(prodorderqtyreclst, "/update", serviceOfProdOrderQtyRecLst.UpdateOne)

	})
}

func init() {
	RegisterRoutes()
}
