package log

import (
	"github.com/go-xorm/xorm"
	"leit.com/LAPP_GAAS_GFrame/dao/log/implments"
	"leit.com/LAPP_GAAS_GFrame/grmi"
	model "leit.com/LAPP_GAAS_GFrame/models/log"
)

type PackOrderItemlstDAO interface {
	//插入PackOrderItemlst
	InsertOne(entity *model.PackOrderItemlst) error
	//删除指定键的PackOrderItemlst
	DeleteOne(packOrderId string, pos int) error
	//查找指定键的PackOrderItemlst
	SelectOne(packOrderId string, pos int) (*model.PackOrderItemlst, error)
	//修改PackOrderItemlst
	UpdateOne(entity *model.PackOrderItemlst) error
	//按条件查询PackOrderItemlst
	Select(predicates []grmi.Predicate, orderByFields []grmi.Field) ([]model.PackOrderItemlst, error)
	//按条件查询PackOrderItemlst并分页
	SelectAndPaging(paging *grmi.Paging, predicates []grmi.Predicate, orderByFields []grmi.Field) (grmi.PagingResult, error)
}

func NewPackOrderItemlstDAO(session *xorm.Session, plantNr int, userid string) PackOrderItemlstDAO {
	return implments.NewPackOrderItemlstDAOImplement(session, plantNr, userid)
}
