package log

import (
	"github.com/go-xorm/xorm"
	"leit.com/LAPP_GAAS_GFrame/dao/log/implments"
	"leit.com/LAPP_GAAS_GFrame/grmi"
	model "leit.com/LAPP_GAAS_GFrame/models/log"
)

type PackTemplateItemlstDAO interface {
	//插入PackTemplateItemlst
	InsertOne(entity *model.PackTemplateItemlst) error
	//删除指定键的PackTemplateItemlst
	DeleteOne(packTemplateId string, pos int) error
	//查找指定键的PackTemplateItemlst
	SelectOne(packTemplateId string, pos int) (*model.PackTemplateItemlst, error)
	//修改PackTemplateItemlst
	UpdateOne(entity *model.PackTemplateItemlst) error
	//按条件查询PackTemplateItemlst
	Select(predicates []grmi.Predicate, orderByFields []grmi.Field) ([]model.PackTemplateItemlst, error)
	//按条件查询PackTemplateItemlst并分页
	SelectAndPaging(paging *grmi.Paging, predicates []grmi.Predicate, orderByFields []grmi.Field) (grmi.PagingResult, error)
}

func NewPackTemplateItemlstDAO(session *xorm.Session, plantNr int, userid string) PackTemplateItemlstDAO {
	return implments.NewPackTemplateItemlstDAOImplement(session, plantNr, userid)
}
