package log

import (
	"github.com/go-xorm/xorm"
	"leit.com/LAPP_GAAS_GFrame/dao/log/implments"
	"leit.com/LAPP_GAAS_GFrame/grmi"
	model "leit.com/LAPP_GAAS_GFrame/models/log"
)

type PackTemplatePrintlstDAO interface {
	//插入PackTemplatePrintlst
	InsertOne(entity *model.PackTemplatePrintlst) error
	//删除指定键的PackTemplatePrintlst
	DeleteOne(packTemplateId string, pos int) error
	//查找指定键的PackTemplatePrintlst
	SelectOne(packTemplateId string, pos int) (*model.PackTemplatePrintlst, error)
	//修改PackTemplatePrintlst
	UpdateOne(entity *model.PackTemplatePrintlst) error
	//按条件查询PackTemplatePrintlst
	Select(predicates []grmi.Predicate, orderByFields []grmi.Field) ([]model.PackTemplatePrintlst, error)
	//按条件查询PackTemplatePrintlst并分页
	SelectAndPaging(paging *grmi.Paging, predicates []grmi.Predicate, orderByFields []grmi.Field) (grmi.PagingResult, error)
}

func NewPackTemplatePrintlstDAO(session *xorm.Session, plantNr int, userid string) PackTemplatePrintlstDAO {
	return implments.NewPackTemplatePrintlstDAOImplement(session, plantNr, userid)
}
