package ods

import (
	"github.com/go-xorm/xorm"
	"leit.com/LAPP_GAAS_GFrame/dao/ods/implments"
	"leit.com/LAPP_GAAS_GFrame/grmi"
	model "leit.com/LAPP_GAAS_GFrame/models/ods"
)

type ArtRouteStepOdsLstDAO interface {
	//插入ArtRouteStepOdsLst
	InsertOne(entity *model.ArtRouteStepOdsLst) error
	//删除指定键的ArtRouteStepOdsLst
	DeleteOne(artId string, operationNr int, step int, pos int) error
	//查找指定键的ArtRouteStepOdsLst
	SelectOne(artId string, operationNr int, step int, pos int) (*model.ArtRouteStepOdsLst, error)
	//修改ArtRouteStepOdsLst
	UpdateOne(entity *model.ArtRouteStepOdsLst) error
	//按条件查询ArtRouteStepOdsLst
	Select(predicates []grmi.Predicate, orderByFields []grmi.Field) ([]model.ArtRouteStepOdsLst, error)
	//按条件查询ArtRouteStepOdsLst并分页
	SelectAndPaging(paging *grmi.Paging, predicates []grmi.Predicate, orderByFields []grmi.Field) (grmi.PagingResult, error)
}

func NewArtRouteStepOdsLstDAO(session *xorm.Session, plantNr int, userid string) ArtRouteStepOdsLstDAO {
	return implments.NewArtRouteStepOdsLstDAOImplement(session, plantNr, userid)
}
