package ods

import (
	"github.com/go-xorm/xorm"
	"leit.com/LAPP_GAAS_GFrame/dao/ods/implments"
	"leit.com/LAPP_GAAS_GFrame/grmi"
	model "leit.com/LAPP_GAAS_GFrame/models/ods"
)

type OdsStepLstDAO interface {
	//插入OdsStepLst
	InsertOne(entity *model.OdsStepLst) error
	//删除指定键的OdsStepLst
	DeleteOne(odsId string, pos int) error
	//查找指定键的OdsStepLst
	SelectOne(odsId string, pos int) (*model.OdsStepLst, error)
	//修改OdsStepLst
	UpdateOne(entity *model.OdsStepLst) error
	//按条件查询OdsStepLst
	Select(predicates []grmi.Predicate, orderByFields []grmi.Field) ([]model.OdsStepLst, error)
	//按条件查询OdsStepLst并分页
	SelectAndPaging(paging *grmi.Paging, predicates []grmi.Predicate, orderByFields []grmi.Field) (grmi.PagingResult, error)
}

func NewOdsStepLstDAO(session *xorm.Session, plantNr int, userid string) OdsStepLstDAO {
	return implments.NewOdsStepLstDAOImplement(session, plantNr, userid)
}
