package qm

import (
	"github.com/go-xorm/xorm"
	"leit.com/LAPP_GAAS_GFrame/dao/qm/implments"
	"leit.com/LAPP_GAAS_GFrame/grmi"
	model "leit.com/LAPP_GAAS_GFrame/models/qm"
)

type DefectGrpReasonLstDAO interface {
	//插入DefectGrpReasonLst
	InsertOne(entity *model.DefectGrpReasonLst) error
	//删除指定键的DefectGrpReasonLst
	DeleteOne(defectGrpId string, defectReasonId string) error
	//查找指定键的DefectGrpReasonLst
	SelectOne(defectGrpId string, defectReasonId string) (*model.DefectGrpReasonLst, error)
	//修改DefectGrpReasonLst
	UpdateOne(entity *model.DefectGrpReasonLst) error
	//按条件查询DefectGrpReasonLst
	Select(predicates []grmi.Predicate, orderByFields []grmi.Field) ([]model.DefectGrpReasonLst, error)
	//按条件查询DefectGrpReasonLst并分页
	SelectAndPaging(paging *grmi.Paging, predicates []grmi.Predicate, orderByFields []grmi.Field) (grmi.PagingResult, error)
}

func NewDefectGrpReasonLstDAO(session *xorm.Session, plantNr int, userid string) DefectGrpReasonLstDAO {
	return implments.NewDefectGrpReasonLstDAOImplement(session, plantNr, userid)
}
