package qm

import (
	"github.com/go-xorm/xorm"
	"leit.com/LAPP_GAAS_GFrame/dao/qm/implments"
	"leit.com/LAPP_GAAS_GFrame/grmi"
	model "leit.com/LAPP_GAAS_GFrame/models/qm"
)

type DefectReasonDAO interface {
	//插入DefectReason
	InsertOne(entity *model.DefectReason) error
	//删除指定键的DefectReason
	DeleteOne(defectReasonId string) error
	//查找指定键的DefectReason
	SelectOne(defectReasonId string) (*model.DefectReason, error)
	//修改DefectReason
	UpdateOne(entity *model.DefectReason) error
	//按条件查询DefectReason
	Select(predicates []grmi.Predicate, orderByFields []grmi.Field) ([]model.DefectReason, error)
	//按条件查询DefectReason并分页
	SelectAndPaging(paging *grmi.Paging, predicates []grmi.Predicate, orderByFields []grmi.Field) (grmi.PagingResult, error)
}

func NewDefectReasonDAO(session *xorm.Session, plantNr int, userid string) DefectReasonDAO {
	return implments.NewDefectReasonDAOImplement(session, plantNr, userid)
}
