package base

import (
	"leit.com/LAPP_GAAS_GFrame/grmi"
	model "leit.com/LAPP_GAAS_GFrame/models/base"
)

//Article的字段元数据
var Article_ArtId = grmi.NewField("ArtId", "ArtId", "artid", grmi.TypeString)
var Article_Descr1 = grmi.NewField("Descr1", "Descr1", "descr1", grmi.TypeString)
var Article_Descr2 = grmi.NewField("Descr2", "Descr2", "descr2", grmi.TypeString)
var Article_ArtTypeId = grmi.NewField("ArtTypeId", "ArtTypeId", "arttypeid", grmi.TypeString)
var Article_ProjectId = grmi.NewField("ProjectId", "ProjectId", "projectid", grmi.TypeString)
var Article_CustMaterialId = grmi.NewField("CustMaterialId", "CustMaterialId", "custmaterialid", grmi.TypeString)
var Article_AlternativeMaterialId = grmi.NewField("AlternativeMaterialId", "AlternativeMaterialId", "alternativematerialid", grmi.TypeString)
var Article_UomId = grmi.NewField("UomId", "UomId", "uomid", grmi.TypeString)
var Article_QuantityPerHour = grmi.NewField("QuantityPerHour", "QuantityPerHour", "quantityperhour", grmi.TypeFloat64)
var Article_DeliveryBuffer = grmi.NewField("DeliveryBuffer", "DeliveryBuffer", "deliverybuffer", grmi.TypeFloat64)
var Article_Icon = grmi.NewField("Icon", "Icon", "icon", grmi.TypeString)
var Article_DisplayColor = grmi.NewField("DisplayColor", "DisplayColor", "displaycolor", grmi.TypeString)
var Article_Document = grmi.NewField("Document", "Document", "document", grmi.TypeString)
var Article_DefaultRoute = grmi.NewField("DefaultRoute", "DefaultRoute", "defaultroute", grmi.TypeString)
var Article_LotSize = grmi.NewField("LotSize", "LotSize", "lotsize", grmi.TypeFloat64)
var Article_ABCClass = grmi.NewField("ABCClass", "ABCClass", "abcclass", grmi.TypeString)
var Article_ArtSize1 = grmi.NewField("ArtSize1", "ArtSize1", "artsize1", grmi.TypeString)
var Article_ArtSize2 = grmi.NewField("ArtSize2", "ArtSize2", "artsize2", grmi.TypeString)
var Article_ArtSize3 = grmi.NewField("ArtSize3", "ArtSize3", "artsize3", grmi.TypeString)
var Article_ArtSize4 = grmi.NewField("ArtSize4", "ArtSize4", "artsize4", grmi.TypeString)
var Article_ArtSize5 = grmi.NewField("ArtSize5", "ArtSize5", "artsize5", grmi.TypeString)
var Article_ArtSpec1 = grmi.NewField("ArtSpec1", "ArtSpec1", "artspec1", grmi.TypeString)
var Article_ArtSpec2 = grmi.NewField("ArtSpec2", "ArtSpec2", "artspec2", grmi.TypeString)
var Article_ArtSpec3 = grmi.NewField("ArtSpec3", "ArtSpec3", "artspec3", grmi.TypeString)
var Article_ArtSpec4 = grmi.NewField("ArtSpec4", "ArtSpec4", "artspec4", grmi.TypeString)
var Article_ArtSpec5 = grmi.NewField("ArtSpec5", "ArtSpec5", "artspec5", grmi.TypeString)
var Article_DefaultInspectPlanId = grmi.NewField("DefaultInspectPlanId", "DefaultInspectPlanId", "defaultinspectplanid", grmi.TypeString)
var Article_LastModify = grmi.NewField("LastModify", "LastModify", "undefined", grmi.TypeDateTime)
var Article_LastUser = grmi.NewField("LastUser", "LastUser", "undefined", grmi.TypeString)
var Article_CreateTime = grmi.NewField("CreateTime", "CreateTime", "undefined", grmi.TypeDateTime)

//Article的元数据
var Article = grmi.NewEntity(
	"Article",
	func() interface{} { return &model.Article{} },
	map[string]grmi.Field{
		Article_ArtId.Name:                 Article_ArtId,
		Article_Descr1.Name:                Article_Descr1,
		Article_Descr2.Name:                Article_Descr2,
		Article_ArtTypeId.Name:             Article_ArtTypeId,
		Article_ProjectId.Name:             Article_ProjectId,
		Article_CustMaterialId.Name:        Article_CustMaterialId,
		Article_AlternativeMaterialId.Name: Article_AlternativeMaterialId,
		Article_UomId.Name:                 Article_UomId,
		Article_QuantityPerHour.Name:       Article_QuantityPerHour,
		Article_DeliveryBuffer.Name:        Article_DeliveryBuffer,
		Article_Icon.Name:                  Article_Icon,
		Article_DisplayColor.Name:          Article_DisplayColor,
		Article_Document.Name:              Article_Document,
		Article_DefaultRoute.Name:          Article_DefaultRoute,
		Article_LotSize.Name:               Article_LotSize,
		Article_ABCClass.Name:              Article_ABCClass,
		Article_ArtSize1.Name:              Article_ArtSize1,
		Article_ArtSize2.Name:              Article_ArtSize2,
		Article_ArtSize3.Name:              Article_ArtSize3,
		Article_ArtSize4.Name:              Article_ArtSize4,
		Article_ArtSize5.Name:              Article_ArtSize5,
		Article_ArtSpec1.Name:              Article_ArtSpec1,
		Article_ArtSpec2.Name:              Article_ArtSpec2,
		Article_ArtSpec3.Name:              Article_ArtSpec3,
		Article_ArtSpec4.Name:              Article_ArtSpec4,
		Article_ArtSpec5.Name:              Article_ArtSpec5,
		Article_DefaultInspectPlanId.Name:  Article_DefaultInspectPlanId,
		Article_LastModify.Name:            Article_LastModify,
		Article_LastUser.Name:              Article_LastUser,
		Article_CreateTime.Name:            Article_CreateTime,
	})
