package base

import (
	"leit.com/LAPP_GAAS_GFrame/grmi"
	model "leit.com/LAPP_GAAS_GFrame/models/base"
)

//CodeParser的字段元数据
var CodeParser_ParserId = grmi.NewField("ParserId", "ParserId", "parserid", grmi.TypeString)
var CodeParser_StartPos = grmi.NewField("StartPos", "StartPos", "startpos", grmi.TypeInt)
var CodeParser_Length = grmi.NewField("Length", "Length", "length", grmi.TypeInt)
var CodeParser_ParserType = grmi.NewField("ParserType", "ParserType", "parsertype", grmi.TypeString)
var CodeParser_Descr = grmi.NewField("Descr", "Descr", "descr", grmi.TypeString)
var CodeParser_LastModify = grmi.NewField("LastModify", "LastModify", "undefined", grmi.TypeDateTime)
var CodeParser_LastUser = grmi.NewField("LastUser", "LastUser", "undefined", grmi.TypeString)
var CodeParser_CreateTime = grmi.NewField("CreateTime", "CreateTime", "undefined", grmi.TypeDateTime)

//CodeParser的元数据
var CodeParser = grmi.NewEntity(
	"CodeParser",
	func() interface{} { return &model.CodeParser{} },
	map[string]grmi.Field{
		CodeParser_ParserId.Name:   CodeParser_ParserId,
		CodeParser_StartPos.Name:   CodeParser_StartPos,
		CodeParser_Length.Name:     CodeParser_Length,
		CodeParser_ParserType.Name: CodeParser_ParserType,
		CodeParser_Descr.Name:      CodeParser_Descr,
		CodeParser_LastModify.Name: CodeParser_LastModify,
		CodeParser_LastUser.Name:   CodeParser_LastUser,
		CodeParser_CreateTime.Name: CodeParser_CreateTime,
	})
