package base

import (
	"leit.com/LAPP_GAAS_GFrame/grmi"
	model "leit.com/LAPP_GAAS_GFrame/models/base"
)

//StatusColor的字段元数据
var StatusColor_StatusObj = grmi.NewField("StatusObj", "StatusObj", "statusobj", grmi.TypeString)
var StatusColor_StatusVal = grmi.NewField("StatusVal", "StatusVal", "statusval", grmi.TypeString)
var StatusColor_Descr = grmi.NewField("Descr", "Descr", "descr", grmi.TypeString)
var StatusColor_StatusRgb = grmi.NewField("StatusRgb", "StatusRgb", "statusrgb", grmi.TypeString)
var StatusColor_StatusHexColor = grmi.NewField("StatusHexColor", "StatusHexColor", "statushexcolor", grmi.TypeString)
var StatusColor_StatusBitmap = grmi.NewField("StatusBitmap", "StatusBitmap", "statusbitmap", grmi.TypeString)
var StatusColor_LastModify = grmi.NewField("LastModify", "LastModify", "undefined", grmi.TypeDateTime)
var StatusColor_LastUser = grmi.NewField("LastUser", "LastUser", "undefined", grmi.TypeString)
var StatusColor_CreateTime = grmi.NewField("CreateTime", "CreateTime", "undefined", grmi.TypeDateTime)

//StatusColor的元数据
var StatusColor = grmi.NewEntity(
	"StatusColor",
	func() interface{} { return &model.StatusColor{} },
	map[string]grmi.Field{
		StatusColor_StatusObj.Name:      StatusColor_StatusObj,
		StatusColor_StatusVal.Name:      StatusColor_StatusVal,
		StatusColor_Descr.Name:          StatusColor_Descr,
		StatusColor_StatusRgb.Name:      StatusColor_StatusRgb,
		StatusColor_StatusHexColor.Name: StatusColor_StatusHexColor,
		StatusColor_StatusBitmap.Name:   StatusColor_StatusBitmap,
		StatusColor_LastModify.Name:     StatusColor_LastModify,
		StatusColor_LastUser.Name:       StatusColor_LastUser,
		StatusColor_CreateTime.Name:     StatusColor_CreateTime,
	})
