package base

import (
	"leit.com/LAPP_GAAS_GFrame/grmi"
	model "leit.com/LAPP_GAAS_GFrame/models/base"
)

//WeekModelLst的字段元数据
var WeekModelLst_WeekModelNr = grmi.NewField("WeekModelNr", "WeekModelNr", "weekmodelnr", grmi.TypeInt)
var WeekModelLst_WorkDate = grmi.NewField("WorkDate", "WorkDate", "workdate", grmi.TypeInt)
var WeekModelLst_DayModelNr = grmi.NewField("DayModelNr", "DayModelNr", "daymodelnr", grmi.TypeInt)
var WeekModelLst_LastModify = grmi.NewField("LastModify", "LastModify", "undefined", grmi.TypeDateTime)
var WeekModelLst_LastUser = grmi.NewField("LastUser", "LastUser", "undefined", grmi.TypeString)
var WeekModelLst_CreateTime = grmi.NewField("CreateTime", "CreateTime", "undefined", grmi.TypeDateTime)

//WeekModelLst的元数据
var WeekModelLst = grmi.NewEntity(
	"WeekModelLst",
	func() interface{} { return &model.WeekModelLst{} },
	map[string]grmi.Field{
		WeekModelLst_WeekModelNr.Name: WeekModelLst_WeekModelNr,
		WeekModelLst_WorkDate.Name:    WeekModelLst_WorkDate,
		WeekModelLst_DayModelNr.Name:  WeekModelLst_DayModelNr,
		WeekModelLst_LastModify.Name:  WeekModelLst_LastModify,
		WeekModelLst_LastUser.Name:    WeekModelLst_LastUser,
		WeekModelLst_CreateTime.Name:  WeekModelLst_CreateTime,
	})
