package base

import (
	"leit.com/LAPP_GAAS_GFrame/grmi"
	model "leit.com/LAPP_GAAS_GFrame/models/base"
)

//WorkCalendar的字段元数据
var WorkCalendar_WorkCalendarNr = grmi.NewField("WorkCalendarNr", "WorkCalendarNr", "workcalendarnr", grmi.TypeInt)
var WorkCalendar_Descr = grmi.NewField("Descr", "Descr", "descr", grmi.TypeString)
var WorkCalendar_LastModify = grmi.NewField("LastModify", "LastModify", "undefined", grmi.TypeDateTime)
var WorkCalendar_LastUser = grmi.NewField("LastUser", "LastUser", "undefined", grmi.TypeString)
var WorkCalendar_CreateTime = grmi.NewField("CreateTime", "CreateTime", "undefined", grmi.TypeDateTime)

//WorkCalendar的元数据
var WorkCalendar = grmi.NewEntity(
	"WorkCalendar",
	func() interface{} { return &model.WorkCalendar{} },
	map[string]grmi.Field{
		WorkCalendar_WorkCalendarNr.Name: WorkCalendar_WorkCalendarNr,
		WorkCalendar_Descr.Name:          WorkCalendar_Descr,
		WorkCalendar_LastModify.Name:     WorkCalendar_LastModify,
		WorkCalendar_LastUser.Name:       WorkCalendar_LastUser,
		WorkCalendar_CreateTime.Name:     WorkCalendar_CreateTime,
	})
