package base

import (
	"leit.com/LAPP_GAAS_GFrame/grmi"
	model "leit.com/LAPP_GAAS_GFrame/models/base"
)

//WorkShiftEffLst的字段元数据
var WorkShiftEffLst_WorkShiftNr = grmi.NewField("WorkShiftNr", "WorkShiftNr", "workshiftnr", grmi.TypeInt)
var WorkShiftEffLst_LevelId = grmi.NewField("LevelId", "LevelId", "levelid", grmi.TypeString)
var WorkShiftEffLst_Descr = grmi.NewField("Descr", "Descr", "descr", grmi.TypeString)
var WorkShiftEffLst_PlanPersonUclQty = grmi.NewField("PlanPersonUclQty", "PlanPersonUclQty", "planpersonuclqty", grmi.TypeInt)
var WorkShiftEffLst_PlanPersonLclQty = grmi.NewField("PlanPersonLclQty", "PlanPersonLclQty", "planpersonlclqty", grmi.TypeInt)
var WorkShiftEffLst_PlanEfficiency = grmi.NewField("PlanEfficiency", "PlanEfficiency", "planefficiency", grmi.TypeFloat64)
var WorkShiftEffLst_LastModify = grmi.NewField("LastModify", "LastModify", "undefined", grmi.TypeDateTime)
var WorkShiftEffLst_LastUser = grmi.NewField("LastUser", "LastUser", "undefined", grmi.TypeString)
var WorkShiftEffLst_CreateTime = grmi.NewField("CreateTime", "CreateTime", "undefined", grmi.TypeDateTime)

//WorkShiftEffLst的元数据
var WorkShiftEffLst = grmi.NewEntity(
	"WorkShiftEffLst",
	func() interface{} { return &model.WorkShiftEffLst{} },
	map[string]grmi.Field{
		WorkShiftEffLst_WorkShiftNr.Name:      WorkShiftEffLst_WorkShiftNr,
		WorkShiftEffLst_LevelId.Name:          WorkShiftEffLst_LevelId,
		WorkShiftEffLst_Descr.Name:            WorkShiftEffLst_Descr,
		WorkShiftEffLst_PlanPersonUclQty.Name: WorkShiftEffLst_PlanPersonUclQty,
		WorkShiftEffLst_PlanPersonLclQty.Name: WorkShiftEffLst_PlanPersonLclQty,
		WorkShiftEffLst_PlanEfficiency.Name:   WorkShiftEffLst_PlanEfficiency,
		WorkShiftEffLst_LastModify.Name:       WorkShiftEffLst_LastModify,
		WorkShiftEffLst_LastUser.Name:         WorkShiftEffLst_LastUser,
		WorkShiftEffLst_CreateTime.Name:       WorkShiftEffLst_CreateTime,
	})
