package log

import (
	"leit.com/LAPP_GAAS_GFrame/grmi"
	model "leit.com/LAPP_GAAS_GFrame/models/log"
)

//PackTemplate的字段元数据
var PackTemplate_PackTemplateId = grmi.NewField("PackTemplateId", "PackTemplateId", "packtemplateid", grmi.TypeString)
var PackTemplate_Descr = grmi.NewField("Descr", "Descr", "descr", grmi.TypeString)
var PackTemplate_ActiveToggle = grmi.NewField("ActiveToggle", "ActiveToggle", "activetoggle", grmi.TypeBool)
var PackTemplate_PackTypeId = grmi.NewField("PackTypeId", "PackTypeId", "packtypeid", grmi.TypeString)
var PackTemplate_PrinterId = grmi.NewField("PrinterId", "PrinterId", "printerid", grmi.TypeString)
var PackTemplate_TemplateFile = grmi.NewField("TemplateFile", "TemplateFile", "templatefile", grmi.TypeString)
var PackTemplate_PrintQty = grmi.NewField("PrintQty", "PrintQty", "printqty", grmi.TypeInt)
var PackTemplate_PackOrderSn = grmi.NewField("PackOrderSn", "PackOrderSn", "packordersn", grmi.TypeString)
var PackTemplate_BoxSn = grmi.NewField("BoxSn", "BoxSn", "boxsn", grmi.TypeString)
var PackTemplate_SyncToggle = grmi.NewField("SyncToggle", "SyncToggle", "synctoggle", grmi.TypeBool)
var PackTemplate_SyncSn = grmi.NewField("SyncSn", "SyncSn", "syncsn", grmi.TypeString)
var PackTemplate_TwoDSheet = grmi.NewField("TwoDSheet", "TwoDSheet", "twodsheet", grmi.TypeInt)
var PackTemplate_FullFillToggle = grmi.NewField("FullFillToggle", "FullFillToggle", "fullfilltoggle", grmi.TypeBool)
var PackTemplate_MaterialId = grmi.NewField("MaterialId", "MaterialId", "materialid", grmi.TypeString)
var PackTemplate_PlanQty = grmi.NewField("PlanQty", "PlanQty", "planqty", grmi.TypeInt)
var PackTemplate_PKTMPCustC1 = grmi.NewField("PKTMPCustC1", "PKTMP_CustC1", "pktmpcustc1", grmi.TypeString)
var PackTemplate_PKTMPCustC2 = grmi.NewField("PKTMPCustC2", "PKTMP_CustC2", "pktmpcustc2", grmi.TypeString)
var PackTemplate_PKTMPCustI1 = grmi.NewField("PKTMPCustI1", "PKTMP_CustI1", "pktmpcusti1", grmi.TypeInt)
var PackTemplate_PKTMPCustI2 = grmi.NewField("PKTMPCustI2", "PKTMP_CustI2", "pktmpcusti2", grmi.TypeInt)
var PackTemplate_LastModify = grmi.NewField("LastModify", "LastModify", "undefined", grmi.TypeDateTime)
var PackTemplate_LastUser = grmi.NewField("LastUser", "LastUser", "undefined", grmi.TypeString)
var PackTemplate_CreateTime = grmi.NewField("CreateTime", "CreateTime", "undefined", grmi.TypeDateTime)

//PackTemplate的元数据
var PackTemplate = grmi.NewEntity(
	"LOG_PackTemplate",
	func() interface{} { return &model.PackTemplate{} },
	map[string]grmi.Field{
		PackTemplate_PackTemplateId.Name: PackTemplate_PackTemplateId,
		PackTemplate_Descr.Name:          PackTemplate_Descr,
		PackTemplate_ActiveToggle.Name:   PackTemplate_ActiveToggle,
		PackTemplate_PackTypeId.Name:     PackTemplate_PackTypeId,
		PackTemplate_PrinterId.Name:      PackTemplate_PrinterId,
		PackTemplate_TemplateFile.Name:   PackTemplate_TemplateFile,
		PackTemplate_PrintQty.Name:       PackTemplate_PrintQty,
		PackTemplate_PackOrderSn.Name:    PackTemplate_PackOrderSn,
		PackTemplate_BoxSn.Name:          PackTemplate_BoxSn,
		PackTemplate_SyncToggle.Name:     PackTemplate_SyncToggle,
		PackTemplate_SyncSn.Name:         PackTemplate_SyncSn,
		PackTemplate_TwoDSheet.Name:      PackTemplate_TwoDSheet,
		PackTemplate_FullFillToggle.Name: PackTemplate_FullFillToggle,
		PackTemplate_MaterialId.Name:     PackTemplate_MaterialId,
		PackTemplate_PlanQty.Name:        PackTemplate_PlanQty,
		PackTemplate_PKTMPCustC1.Name:    PackTemplate_PKTMPCustC1,
		PackTemplate_PKTMPCustC2.Name:    PackTemplate_PKTMPCustC2,
		PackTemplate_PKTMPCustI1.Name:    PackTemplate_PKTMPCustI1,
		PackTemplate_PKTMPCustI2.Name:    PackTemplate_PKTMPCustI2,
		PackTemplate_LastModify.Name:     PackTemplate_LastModify,
		PackTemplate_LastUser.Name:       PackTemplate_LastUser,
		PackTemplate_CreateTime.Name:     PackTemplate_CreateTime,
	})
