package log

import (
	"leit.com/LAPP_GAAS_GFrame/grmi"
	model "leit.com/LAPP_GAAS_GFrame/models/log"
)

//PackType的字段元数据
var PackType_PackTypeId = grmi.NewField("PackTypeId", "PackTypeId", "packtypeid", grmi.TypeString)
var PackType_Descr = grmi.NewField("Descr", "Descr", "descr", grmi.TypeString)
var PackType_SortWay = grmi.NewField("SortWay", "SortWay", "sortway", grmi.TypeString)
var PackType_VerifySlotToggle = grmi.NewField("VerifySlotToggle", "VerifySlotToggle", "verifyslottoggle", grmi.TypeBool)
var PackType_VerifyRule = grmi.NewField("VerifyRule", "VerifyRule", "verifyrule", grmi.TypeString)
var PackType_Length = grmi.NewField("Length", "Length", "length", grmi.TypeFloat64)
var PackType_Width = grmi.NewField("Width", "Width", "width", grmi.TypeFloat64)
var PackType_Height = grmi.NewField("Height", "Height", "height", grmi.TypeFloat64)
var PackType_SizeUom = grmi.NewField("SizeUom", "SizeUom", "sizeuom", grmi.TypeString)
var PackType_Weight = grmi.NewField("Weight", "Weight", "weight", grmi.TypeFloat64)
var PackType_WeightUom = grmi.NewField("WeightUom", "WeightUom", "weightuom", grmi.TypeString)
var PackType_LastModify = grmi.NewField("LastModify", "LastModify", "undefined", grmi.TypeDateTime)
var PackType_LastUser = grmi.NewField("LastUser", "LastUser", "undefined", grmi.TypeString)
var PackType_CreateTime = grmi.NewField("CreateTime", "CreateTime", "undefined", grmi.TypeDateTime)

//PackType的元数据
var PackType = grmi.NewEntity(
	"LOG_PackType",
	func() interface{} { return &model.PackType{} },
	map[string]grmi.Field{
		PackType_PackTypeId.Name:       PackType_PackTypeId,
		PackType_Descr.Name:            PackType_Descr,
		PackType_SortWay.Name:          PackType_SortWay,
		PackType_VerifySlotToggle.Name: PackType_VerifySlotToggle,
		PackType_VerifyRule.Name:       PackType_VerifyRule,
		PackType_Length.Name:           PackType_Length,
		PackType_Width.Name:            PackType_Width,
		PackType_Height.Name:           PackType_Height,
		PackType_SizeUom.Name:          PackType_SizeUom,
		PackType_Weight.Name:           PackType_Weight,
		PackType_WeightUom.Name:        PackType_WeightUom,
		PackType_LastModify.Name:       PackType_LastModify,
		PackType_LastUser.Name:         PackType_LastUser,
		PackType_CreateTime.Name:       PackType_CreateTime,
	})
