package log

import (
	"leit.com/LAPP_GAAS_GFrame/grmi"
	model "leit.com/LAPP_GAAS_GFrame/models/log"
)

//Vendor的字段元数据
var Vendor_VendorId = grmi.NewField("VendorId", "VendorId", "vendorid", grmi.TypeString)
var Vendor_Descr = grmi.NewField("Descr", "Descr", "descr", grmi.TypeString)
var Vendor_Address = grmi.NewField("Address", "Address", "address", grmi.TypeString)
var Vendor_VendorNr = grmi.NewField("VendorNr", "VendorNr", "vendornr", grmi.TypeInt)
var Vendor_Name = grmi.NewField("Name", "Name", "name", grmi.TypeString)
var Vendor_Name1 = grmi.NewField("Name1", "Name1", "name1", grmi.TypeString)
var Vendor_Name2 = grmi.NewField("Name2", "Name2", "name2", grmi.TypeString)
var Vendor_ValidStartDate = grmi.NewField("ValidStartDate", "ValidStartDate", "validstartdate", grmi.TypeDateTime)
var Vendor_Country = grmi.NewField("Country", "Country", "country", grmi.TypeString)
var Vendor_City = grmi.NewField("City", "City", "city", grmi.TypeString)
var Vendor_District = grmi.NewField("District", "District", "district", grmi.TypeString)
var Vendor_Street = grmi.NewField("Street", "Street", "street", grmi.TypeString)
var Vendor_Location = grmi.NewField("Location", "Location", "location", grmi.TypeString)
var Vendor_PostCode = grmi.NewField("PostCode", "PostCode", "postcode", grmi.TypeString)
var Vendor_Phone = grmi.NewField("Phone", "Phone", "phone", grmi.TypeString)
var Vendor_Mobile = grmi.NewField("Mobile", "Mobile", "mobile", grmi.TypeString)
var Vendor_Fax = grmi.NewField("Fax", "Fax", "fax", grmi.TypeString)
var Vendor_Email1 = grmi.NewField("Email1", "Email1", "email1", grmi.TypeString)
var Vendor_Email2 = grmi.NewField("Email2", "Email2", "email2", grmi.TypeString)
var Vendor_ContactPerson = grmi.NewField("ContactPerson", "ContactPerson", "contactperson", grmi.TypeString)
var Vendor_PersonTitle = grmi.NewField("PersonTitle", "PersonTitle", "persontitle", grmi.TypeString)
var Vendor_ContactAddress = grmi.NewField("ContactAddress", "ContactAddress", "contactaddress", grmi.TypeString)
var Vendor_Account = grmi.NewField("Account", "Account", "account", grmi.TypeInt)
var Vendor_TaxRate = grmi.NewField("TaxRate", "TaxRate", "taxrate", grmi.TypeString)
var Vendor_Status = grmi.NewField("Status", "Status", "status", grmi.TypeInt)
var Vendor_LastModify = grmi.NewField("LastModify", "LastModify", "undefined", grmi.TypeDateTime)
var Vendor_LastUser = grmi.NewField("LastUser", "LastUser", "undefined", grmi.TypeString)
var Vendor_CreateTime = grmi.NewField("CreateTime", "CreateTime", "undefined", grmi.TypeDateTime)

//Vendor的元数据
var Vendor = grmi.NewEntity(
	"LOG_Vendor",
	func() interface{} { return &model.Vendor{} },
	map[string]grmi.Field{
		Vendor_VendorId.Name:       Vendor_VendorId,
		Vendor_Descr.Name:          Vendor_Descr,
		Vendor_Address.Name:        Vendor_Address,
		Vendor_VendorNr.Name:       Vendor_VendorNr,
		Vendor_Name.Name:           Vendor_Name,
		Vendor_Name1.Name:          Vendor_Name1,
		Vendor_Name2.Name:          Vendor_Name2,
		Vendor_ValidStartDate.Name: Vendor_ValidStartDate,
		Vendor_Country.Name:        Vendor_Country,
		Vendor_City.Name:           Vendor_City,
		Vendor_District.Name:       Vendor_District,
		Vendor_Street.Name:         Vendor_Street,
		Vendor_Location.Name:       Vendor_Location,
		Vendor_PostCode.Name:       Vendor_PostCode,
		Vendor_Phone.Name:          Vendor_Phone,
		Vendor_Mobile.Name:         Vendor_Mobile,
		Vendor_Fax.Name:            Vendor_Fax,
		Vendor_Email1.Name:         Vendor_Email1,
		Vendor_Email2.Name:         Vendor_Email2,
		Vendor_ContactPerson.Name:  Vendor_ContactPerson,
		Vendor_PersonTitle.Name:    Vendor_PersonTitle,
		Vendor_ContactAddress.Name: Vendor_ContactAddress,
		Vendor_Account.Name:        Vendor_Account,
		Vendor_TaxRate.Name:        Vendor_TaxRate,
		Vendor_Status.Name:         Vendor_Status,
		Vendor_LastModify.Name:     Vendor_LastModify,
		Vendor_LastUser.Name:       Vendor_LastUser,
		Vendor_CreateTime.Name:     Vendor_CreateTime,
	})
