package ods

import (
	"leit.com/LAPP_GAAS_GFrame/grmi"
	model "leit.com/LAPP_GAAS_GFrame/models/ods"
)

//ArtRouteOdsLst的字段元数据
var ArtRouteOdsLst_ArtId = grmi.NewField("ArtId", "ArtId", "artid", grmi.TypeString)
var ArtRouteOdsLst_OperationNr = grmi.NewField("OperationNr", "OperationNr", "operationnr", grmi.TypeInt)
var ArtRouteOdsLst_Pos = grmi.NewField("Pos", "Pos", "pos", grmi.TypeInt)
var ArtRouteOdsLst_WorkPlaceId = grmi.NewField("WorkPlaceId", "WorkPlaceId", "workplaceid", grmi.TypeString)
var ArtRouteOdsLst_Descr = grmi.NewField("Descr", "Descr", "descr", grmi.TypeString)
var ArtRouteOdsLst_OdsId = grmi.NewField("OdsId", "OdsId", "odsid", grmi.TypeString)
var ArtRouteOdsLst_OdsTypeId = grmi.NewField("OdsTypeId", "OdsTypeId", "odstypeid", grmi.TypeString)
var ArtRouteOdsLst_OdsContentIdx = grmi.NewField("OdsContentIdx", "OdsContentIdx", "odscontentidx", grmi.TypeString)
var ArtRouteOdsLst_CtrlPara1 = grmi.NewField("CtrlPara1", "CtrlPara1", "ctrlpara1", grmi.TypeInt)
var ArtRouteOdsLst_CtrlPara2 = grmi.NewField("CtrlPara2", "CtrlPara2", "ctrlpara2", grmi.TypeInt)
var ArtRouteOdsLst_CtrlPara3 = grmi.NewField("CtrlPara3", "CtrlPara3", "ctrlpara3", grmi.TypeString)
var ArtRouteOdsLst_CtrlPara4 = grmi.NewField("CtrlPara4", "CtrlPara4", "ctrlpara4", grmi.TypeString)
var ArtRouteOdsLst_LastModify = grmi.NewField("LastModify", "LastModify", "undefined", grmi.TypeDateTime)
var ArtRouteOdsLst_LastUser = grmi.NewField("LastUser", "LastUser", "undefined", grmi.TypeString)
var ArtRouteOdsLst_CreateTime = grmi.NewField("CreateTime", "CreateTime", "undefined", grmi.TypeDateTime)

//ArtRouteOdsLst的元数据
var ArtRouteOdsLst = grmi.NewEntity(
	"ODS_ArtRouteOdsLst",
	func() interface{} { return &model.ArtRouteOdsLst{} },
	map[string]grmi.Field{
		ArtRouteOdsLst_ArtId.Name:         ArtRouteOdsLst_ArtId,
		ArtRouteOdsLst_OperationNr.Name:   ArtRouteOdsLst_OperationNr,
		ArtRouteOdsLst_Pos.Name:           ArtRouteOdsLst_Pos,
		ArtRouteOdsLst_WorkPlaceId.Name:   ArtRouteOdsLst_WorkPlaceId,
		ArtRouteOdsLst_Descr.Name:         ArtRouteOdsLst_Descr,
		ArtRouteOdsLst_OdsId.Name:         ArtRouteOdsLst_OdsId,
		ArtRouteOdsLst_OdsTypeId.Name:     ArtRouteOdsLst_OdsTypeId,
		ArtRouteOdsLst_OdsContentIdx.Name: ArtRouteOdsLst_OdsContentIdx,
		ArtRouteOdsLst_CtrlPara1.Name:     ArtRouteOdsLst_CtrlPara1,
		ArtRouteOdsLst_CtrlPara2.Name:     ArtRouteOdsLst_CtrlPara2,
		ArtRouteOdsLst_CtrlPara3.Name:     ArtRouteOdsLst_CtrlPara3,
		ArtRouteOdsLst_CtrlPara4.Name:     ArtRouteOdsLst_CtrlPara4,
		ArtRouteOdsLst_LastModify.Name:    ArtRouteOdsLst_LastModify,
		ArtRouteOdsLst_LastUser.Name:      ArtRouteOdsLst_LastUser,
		ArtRouteOdsLst_CreateTime.Name:    ArtRouteOdsLst_CreateTime,
	})
