package ods

import (
	"leit.com/LAPP_GAAS_GFrame/grmi"
	model "leit.com/LAPP_GAAS_GFrame/models/ods"
)

//OdsType的字段元数据
var OdsType_OdsTypeId = grmi.NewField("OdsTypeId", "OdsTypeId", "odstypeid", grmi.TypeString)
var OdsType_Descr = grmi.NewField("Descr", "Descr", "descr", grmi.TypeString)
var OdsType_Width = grmi.NewField("Width", "Width", "width", grmi.TypeInt)
var OdsType_Height = grmi.NewField("Height", "Height", "height", grmi.TypeInt)
var OdsType_Player = grmi.NewField("Player", "Player", "player", grmi.TypeString)
var OdsType_CtrlPara1 = grmi.NewField("CtrlPara1", "CtrlPara1", "ctrlpara1", grmi.TypeInt)
var OdsType_CtrlPara2 = grmi.NewField("CtrlPara2", "CtrlPara2", "ctrlpara2", grmi.TypeInt)
var OdsType_CtrlPara3 = grmi.NewField("CtrlPara3", "CtrlPara3", "ctrlpara3", grmi.TypeString)
var OdsType_CtrlPara4 = grmi.NewField("CtrlPara4", "CtrlPara4", "ctrlpara4", grmi.TypeString)
var OdsType_LastModify = grmi.NewField("LastModify", "LastModify", "undefined", grmi.TypeDateTime)
var OdsType_LastUser = grmi.NewField("LastUser", "LastUser", "undefined", grmi.TypeString)
var OdsType_CreateTime = grmi.NewField("CreateTime", "CreateTime", "undefined", grmi.TypeDateTime)

//OdsType的元数据
var OdsType = grmi.NewEntity(
	"ODS_OdsType",
	func() interface{} { return &model.OdsType{} },
	map[string]grmi.Field{
		OdsType_OdsTypeId.Name:  OdsType_OdsTypeId,
		OdsType_Descr.Name:      OdsType_Descr,
		OdsType_Width.Name:      OdsType_Width,
		OdsType_Height.Name:     OdsType_Height,
		OdsType_Player.Name:     OdsType_Player,
		OdsType_CtrlPara1.Name:  OdsType_CtrlPara1,
		OdsType_CtrlPara2.Name:  OdsType_CtrlPara2,
		OdsType_CtrlPara3.Name:  OdsType_CtrlPara3,
		OdsType_CtrlPara4.Name:  OdsType_CtrlPara4,
		OdsType_LastModify.Name: OdsType_LastModify,
		OdsType_LastUser.Name:   OdsType_LastUser,
		OdsType_CreateTime.Name: OdsType_CreateTime,
	})
