package qm

import (
	"leit.com/LAPP_GAAS_GFrame/grmi"
	model "leit.com/LAPP_GAAS_GFrame/models/qm"
)

//ArtView的字段元数据
var ArtView_ArtId = grmi.NewField("ArtId", "ArtId", "artid", grmi.TypeString)
var ArtView_ViewId = grmi.NewField("ViewId", "ViewId", "viewid", grmi.TypeString)
var ArtView_Pos = grmi.NewField("Pos", "Pos", "pos", grmi.TypeInt)
var ArtView_Descr = grmi.NewField("Descr", "Descr", "descr", grmi.TypeString)
var ArtView_ViewPicture = grmi.NewField("ViewPicture", "ViewPicture", "viewpicture", grmi.TypeString)
var ArtView_LastModify = grmi.NewField("LastModify", "LastModify", "undefined", grmi.TypeDateTime)
var ArtView_LastUser = grmi.NewField("LastUser", "LastUser", "undefined", grmi.TypeString)
var ArtView_CreateTime = grmi.NewField("CreateTime", "CreateTime", "undefined", grmi.TypeDateTime)

//ArtView的元数据
var ArtView = grmi.NewEntity(
	"QM_ArtView",
	func() interface{} { return &model.ArtView{} },
	map[string]grmi.Field{
		ArtView_ArtId.Name:       ArtView_ArtId,
		ArtView_ViewId.Name:      ArtView_ViewId,
		ArtView_Pos.Name:         ArtView_Pos,
		ArtView_Descr.Name:       ArtView_Descr,
		ArtView_ViewPicture.Name: ArtView_ViewPicture,
		ArtView_LastModify.Name:  ArtView_LastModify,
		ArtView_LastUser.Name:    ArtView_LastUser,
		ArtView_CreateTime.Name:  ArtView_CreateTime,
	})
