package qm

import (
	"leit.com/LAPP_GAAS_GFrame/grmi"
	model "leit.com/LAPP_GAAS_GFrame/models/qm"
)

//ViewValst的字段元数据
var ViewValst_ViewId = grmi.NewField("ViewId", "ViewId", "viewid", grmi.TypeString)
var ViewValst_Pos = grmi.NewField("Pos", "Pos", "pos", grmi.TypeInt)
var ViewValst_ValName = grmi.NewField("ValName", "ValName", "valname", grmi.TypeString)
var ViewValst_XStart = grmi.NewField("XStart", "XStart", "xstart", grmi.TypeInt)
var ViewValst_YStart = grmi.NewField("YStart", "YStart", "ystart", grmi.TypeInt)
var ViewValst_Width = grmi.NewField("Width", "Width", "width", grmi.TypeInt)
var ViewValst_Height = grmi.NewField("Height", "Height", "height", grmi.TypeInt)
var ViewValst_Descr = grmi.NewField("Descr", "Descr", "descr", grmi.TypeString)
var ViewValst_LastModify = grmi.NewField("LastModify", "LastModify", "undefined", grmi.TypeDateTime)
var ViewValst_LastUser = grmi.NewField("LastUser", "LastUser", "undefined", grmi.TypeString)
var ViewValst_CreateTime = grmi.NewField("CreateTime", "CreateTime", "undefined", grmi.TypeDateTime)

//ViewValst的元数据
var ViewValst = grmi.NewEntity(
	"QM_ViewValst",
	func() interface{} { return &model.ViewValst{} },
	map[string]grmi.Field{
		ViewValst_ViewId.Name:     ViewValst_ViewId,
		ViewValst_Pos.Name:        ViewValst_Pos,
		ViewValst_ValName.Name:    ViewValst_ValName,
		ViewValst_XStart.Name:     ViewValst_XStart,
		ViewValst_YStart.Name:     ViewValst_YStart,
		ViewValst_Width.Name:      ViewValst_Width,
		ViewValst_Height.Name:     ViewValst_Height,
		ViewValst_Descr.Name:      ViewValst_Descr,
		ViewValst_LastModify.Name: ViewValst_LastModify,
		ViewValst_LastUser.Name:   ViewValst_LastUser,
		ViewValst_CreateTime.Name: ViewValst_CreateTime,
	})
