package base

import (
	"leit.com/LAPP_GAAS_GFrame/grmi"
	"xorm.io/core"
)

//AttributeValst的实体映射
type AttributeValst struct {
	PlantNr    int           `xorm:"pk int 'PlantNr'" json:"AttributeValst-PlantNr"`
	AttrCode   int           `xorm:"pk int 'AttrCode'" json:"AttributeValst-AttrCode"`
	Pos        int           `xorm:"pk int 'Pos'" json:"AttributeValst-Pos"`
	AttrValue  string        `xorm:"nvarchar(100) 'AttrValue' not null" json:"AttributeValst-AttrValue"`
	Descr      string        `xorm:"nvarchar(100) 'Descr' not null" json:"AttributeValst-Descr"`
	ShortCode  string        `xorm:"nvarchar(20) 'ShortCode' not null" json:"AttributeValst-ShortCode"`
	Valformat  string        `xorm:"nvarchar(40) 'Valformat' not null" json:"AttributeValst-Valformat"`
	LastModify grmi.DateTime `xorm:"datetime 'LastModify' not null updated" json:"AttributeValst-LastModify"`
	LastUser   string        `xorm:"nvarchar(20) 'LastUser' not null" json:"AttributeValst-LastUser"`
	CreateTime grmi.DateTime `xorm:"datetime 'CreateTime' not null created" json:"AttributeValst-CreateTime"`
}

//获取AttributeValst的主键
func (self *AttributeValst) GetKey() core.PK {
	return core.PK{self.PlantNr, self.AttrCode, self.Pos}
}
