package base

import (
	"leit.com/LAPP_GAAS_GFrame/grmi"
	"xorm.io/core"
)

//StatusColor的实体映射
type StatusColor struct {
	PlantNr        int           `xorm:"pk int 'PlantNr'" json:"StatusColor-PlantNr"`
	StatusObj      string        `xorm:"pk nvarchar(40) 'StatusObj'" json:"StatusColor-StatusObj"`
	StatusVal      string        `xorm:"pk nvarchar(20) 'StatusVal'" json:"StatusColor-StatusVal"`
	Descr          string        `xorm:"nvarchar(100) 'Descr' not null" json:"StatusColor-Descr"`
	StatusRgb      string        `xorm:"nvarchar(20) 'StatusRgb' not null" json:"StatusColor-StatusRgb"`
	StatusHexColor string        `xorm:"nvarchar(10) 'StatusHexColor' not null" json:"StatusColor-StatusHexColor"`
	StatusBitmap   string        `xorm:"nvarchar(100) 'StatusBitmap' not null" json:"StatusColor-StatusBitmap"`
	LastModify     grmi.DateTime `xorm:"datetime 'LastModify' not null updated" json:"StatusColor-LastModify"`
	LastUser       string        `xorm:"nvarchar(20) 'LastUser' not null" json:"StatusColor-LastUser"`
	CreateTime     grmi.DateTime `xorm:"datetime 'CreateTime' not null created" json:"StatusColor-CreateTime"`
}

//获取StatusColor的主键
func (self *StatusColor) GetKey() core.PK {
	return core.PK{self.PlantNr, self.StatusObj, self.StatusVal}
}
