package base

import (
	"leit.com/LAPP_GAAS_GFrame/grmi"
	"xorm.io/core"
)

//Uom的实体映射
type Uom struct {
	PlantNr        int           `xorm:"pk int 'PlantNr'" json:"Uom-PlantNr"`
	UomId          string        `xorm:"pk nvarchar(40) 'UomId'" json:"Uom-UomId"`
	UomName        string        `xorm:"nvarchar(100) 'UomName' not null" json:"Uom-UomName"`
	UomType        string        `xorm:"nvarchar(20) 'UomType' not null" json:"Uom-UomType"`
	BasicUomToggle bool          `xorm:"bit 'BasicUomToggle' not null" json:"Uom-BasicUomToggle"`
	BasicUom       string        `xorm:"nvarchar(40) 'BasicUom' not null" json:"Uom-BasicUom"`
	ConvertRatio   float64       `xorm:"float 'ConvertRatio' not null" json:"Uom-ConvertRatio"`
	LastModify     grmi.DateTime `xorm:"datetime 'LastModify' not null updated" json:"Uom-LastModify"`
	LastUser       string        `xorm:"nvarchar(20) 'LastUser' not null" json:"Uom-LastUser"`
	CreateTime     grmi.DateTime `xorm:"datetime 'CreateTime' not null created" json:"Uom-CreateTime"`
}

//获取Uom的主键
func (self *Uom) GetKey() core.PK {
	return core.PK{self.PlantNr, self.UomId}
}
