package base

import (
	"leit.com/LAPP_GAAS_GFrame/grmi"
	"xorm.io/core"
)

//WeekModelLst的实体映射
type WeekModelLst struct {
	PlantNr     int           `xorm:"pk int 'PlantNr'" json:"WeekModelLst-PlantNr"`
	WeekModelNr int           `xorm:"pk int 'WeekModelNr'" json:"WeekModelLst-WeekModelNr"`
	WorkDate    int           `xorm:"pk int 'WorkDate'" json:"WeekModelLst-WorkDate"`
	DayModelNr  int           `xorm:"int 'DayModelNr' not null" json:"WeekModelLst-DayModelNr"`
	LastModify  grmi.DateTime `xorm:"datetime 'LastModify' not null updated" json:"WeekModelLst-LastModify"`
	LastUser    string        `xorm:"nvarchar(20) 'LastUser' not null" json:"WeekModelLst-LastUser"`
	CreateTime  grmi.DateTime `xorm:"datetime 'CreateTime' not null created" json:"WeekModelLst-CreateTime"`
}

//获取WeekModelLst的主键
func (self *WeekModelLst) GetKey() core.PK {
	return core.PK{self.PlantNr, self.WeekModelNr, self.WorkDate}
}
