package base

import (
	"leit.com/LAPP_GAAS_GFrame/grmi"
	"xorm.io/core"
)

//WorkCalendar的实体映射
type WorkCalendar struct {
	PlantNr        int           `xorm:"pk int 'PlantNr'" json:"WorkCalendar-PlantNr"`
	WorkCalendarNr int           `xorm:"pk int 'WorkCalendarNr'" json:"WorkCalendar-WorkCalendarNr"`
	Descr          string        `xorm:"nvarchar(100) 'Descr' not null" json:"WorkCalendar-Descr"`
	LastModify     grmi.DateTime `xorm:"datetime 'LastModify' not null updated" json:"WorkCalendar-LastModify"`
	LastUser       string        `xorm:"nvarchar(20) 'LastUser' not null" json:"WorkCalendar-LastUser"`
	CreateTime     grmi.DateTime `xorm:"datetime 'CreateTime' not null created" json:"WorkCalendar-CreateTime"`
}

//获取WorkCalendar的主键
func (self *WorkCalendar) GetKey() core.PK {
	return core.PK{self.PlantNr, self.WorkCalendarNr}
}
