package log

import (
	"leit.com/LAPP_GAAS_GFrame/grmi"
	"xorm.io/core"
)

//PackTemplateItemlst的实体映射
type PackTemplateItemlst struct {
	PlantNr        int           `xorm:"pk int 'PlantNr'" json:"LOG_PackTemplateItemlst-PlantNr"`
	PackTemplateId string        `xorm:"pk nvarchar(40) 'PackTemplateId'" json:"LOG_PackTemplateItemlst-PackTemplateId"`
	Pos            int           `xorm:"pk int 'Pos'" json:"LOG_PackTemplateItemlst-Pos"`
	PosCode        string        `xorm:"nvarchar(40) 'PosCode' not null" json:"LOG_PackTemplateItemlst-PosCode"`
	MaterialId     string        `xorm:"nvarchar(40) 'MaterialId' not null" json:"LOG_PackTemplateItemlst-MaterialId"`
	Seq            int           `xorm:"int 'Seq' not null" json:"LOG_PackTemplateItemlst-Seq"`
	PlanQty        int           `xorm:"int 'PlanQty' not null" json:"LOG_PackTemplateItemlst-PlanQty"`
	PKTMPICustC1   string        `xorm:"nvarchar(40) 'PKTMPI_CustC1' not null" json:"LOG_PackTemplateItemlst-PKTMPI_CustC1"`
	PKTMPICustC2   string        `xorm:"nvarchar(40) 'PKTMPI_CustC2' not null" json:"LOG_PackTemplateItemlst-PKTMPI_CustC2"`
	PKTMPICustI1   int           `xorm:"int 'PKTMPI_CustI1' not null" json:"LOG_PackTemplateItemlst-PKTMPI_CustI1"`
	PKTMPICustI2   int           `xorm:"int 'PKTMPI_CustI2' not null" json:"LOG_PackTemplateItemlst-PKTMPI_CustI2"`
	LastModify     grmi.DateTime `xorm:"datetime 'LastModify' not null updated" json:"LOG_PackTemplateItemlst-LastModify"`
	LastUser       string        `xorm:"nvarchar(20) 'LastUser' not null" json:"LOG_PackTemplateItemlst-LastUser"`
	CreateTime     grmi.DateTime `xorm:"datetime 'CreateTime' not null created" json:"LOG_PackTemplateItemlst-CreateTime"`
}

//获取PackTemplateItemlst的主键
func (self *PackTemplateItemlst) GetKey() core.PK {
	return core.PK{self.PlantNr, self.PackTemplateId, self.Pos}
}
