package log

import (
	"leit.com/LAPP_GAAS_GFrame/grmi"
	"xorm.io/core"
)

//PackTemplatePrintlst的实体映射
type PackTemplatePrintlst struct {
	PlantNr        int           `xorm:"pk int 'PlantNr'" json:"LOG_PackTemplatePrintlst-PlantNr"`
	PackTemplateId string        `xorm:"pk nvarchar(40) 'PackTemplateId'" json:"LOG_PackTemplatePrintlst-PackTemplateId"`
	Pos            int           `xorm:"pk int 'Pos'" json:"LOG_PackTemplatePrintlst-Pos"`
	VarName        string        `xorm:"nvarchar(20) 'VarName' not null" json:"LOG_PackTemplatePrintlst-VarName"`
	VarValue       string        `xorm:"nvarchar(100) 'VarValue' not null" json:"LOG_PackTemplatePrintlst-VarValue"`
	VarType        string        `xorm:"nvarchar(10) 'VarType' not null" json:"LOG_PackTemplatePrintlst-VarType"`
	VarPos         string        `xorm:"nvarchar(20) 'VarPos' not null" json:"LOG_PackTemplatePrintlst-VarPos"`
	Picture        string        `xorm:"nvarchar(40) 'Picture' not null" json:"LOG_PackTemplatePrintlst-Picture"`
	IsIdxToggle    bool          `xorm:"bit 'IsIdxToggle' not null" json:"LOG_PackTemplatePrintlst-IsIdxToggle"`
	KeyVal         string        `xorm:"nvarchar(40) 'KeyVal' not null" json:"LOG_PackTemplatePrintlst-KeyVal"`
	LastModify     grmi.DateTime `xorm:"datetime 'LastModify' not null updated" json:"LOG_PackTemplatePrintlst-LastModify"`
	LastUser       string        `xorm:"nvarchar(20) 'LastUser' not null" json:"LOG_PackTemplatePrintlst-LastUser"`
	CreateTime     grmi.DateTime `xorm:"datetime 'CreateTime' not null created" json:"LOG_PackTemplatePrintlst-CreateTime"`
}

//获取PackTemplatePrintlst的主键
func (self *PackTemplatePrintlst) GetKey() core.PK {
	return core.PK{self.PlantNr, self.PackTemplateId, self.Pos}
}
