package log

import (
	"leit.com/LAPP_GAAS_GFrame/grmi"
	"xorm.io/core"
)

//VendorArtLst的实体映射
type VendorArtLst struct {
	PlantNr    int           `xorm:"pk int 'PlantNr'" json:"LOG_VendorArtLst-PlantNr"`
	ArtId      string        `xorm:"pk nvarchar(40) 'ArtId'" json:"LOG_VendorArtLst-ArtId"`
	VendorId   string        `xorm:"nvarchar(40) 'VendorId' not null" json:"LOG_VendorArtLst-VendorId"`
	Pos        int           `xorm:"int 'Pos' not null" json:"LOG_VendorArtLst-Pos"`
	CtrlLevel  int           `xorm:"int 'CtrlLevel' not null" json:"LOG_VendorArtLst-CtrlLevel"`
	CtrlPara1  int           `xorm:"int 'CtrlPara1' not null" json:"LOG_VendorArtLst-CtrlPara1"`
	CtrlPara2  int           `xorm:"int 'CtrlPara2' not null" json:"LOG_VendorArtLst-CtrlPara2"`
	CtrlPara3  string        `xorm:"nvarchar(100) 'CtrlPara3' not null" json:"LOG_VendorArtLst-CtrlPara3"`
	CtrlPara4  string        `xorm:"nvarchar(100) 'CtrlPara4' not null" json:"LOG_VendorArtLst-CtrlPara4"`
	LastModify grmi.DateTime `xorm:"datetime 'LastModify' not null updated" json:"LOG_VendorArtLst-LastModify"`
	LastUser   string        `xorm:"nvarchar(20) 'LastUser' not null" json:"LOG_VendorArtLst-LastUser"`
	CreateTime grmi.DateTime `xorm:"datetime 'CreateTime' not null created" json:"LOG_VendorArtLst-CreateTime"`
}

//获取VendorArtLst的主键
func (self *VendorArtLst) GetKey() core.PK {
	return core.PK{self.PlantNr, self.ArtId}
}
