package log

import (
	"leit.com/LAPP_GAAS_GFrame/grmi"
	"xorm.io/core"
)

//VendorUserLst的实体映射
type VendorUserLst struct {
	PlantNr    int           `xorm:"pk int 'PlantNr'" json:"LOG_VendorUserLst-PlantNr"`
	VendorId   string        `xorm:"pk nvarchar(40) 'VendorId'" json:"LOG_VendorUserLst-VendorId"`
	UserId     string        `xorm:"nvarchar(40) 'UserId' not null" json:"LOG_VendorUserLst-UserId"`
	Pos        int           `xorm:"int 'Pos' not null" json:"LOG_VendorUserLst-Pos"`
	CtrlLevel  int           `xorm:"int 'CtrlLevel' not null" json:"LOG_VendorUserLst-CtrlLevel"`
	CtrlPara1  int           `xorm:"int 'CtrlPara1' not null" json:"LOG_VendorUserLst-CtrlPara1"`
	CtrlPara2  int           `xorm:"int 'CtrlPara2' not null" json:"LOG_VendorUserLst-CtrlPara2"`
	CtrlPara3  string        `xorm:"nvarchar(100) 'CtrlPara3' not null" json:"LOG_VendorUserLst-CtrlPara3"`
	CtrlPara4  string        `xorm:"nvarchar(100) 'CtrlPara4' not null" json:"LOG_VendorUserLst-CtrlPara4"`
	LastModify grmi.DateTime `xorm:"datetime 'LastModify' not null updated" json:"LOG_VendorUserLst-LastModify"`
	LastUser   string        `xorm:"nvarchar(20) 'LastUser' not null" json:"LOG_VendorUserLst-LastUser"`
	CreateTime grmi.DateTime `xorm:"datetime 'CreateTime' not null created" json:"LOG_VendorUserLst-CreateTime"`
}

//获取VendorUserLst的主键
func (self *VendorUserLst) GetKey() core.PK {
	return core.PK{self.PlantNr, self.VendorId}
}
