package ods

import (
	"leit.com/LAPP_GAAS_GFrame/grmi"
	"xorm.io/core"
)

//ArtRouteStepOdsLst的实体映射
type ArtRouteStepOdsLst struct {
	PlantNr       int           `xorm:"pk int 'PlantNr'" json:"ODS_ArtRouteStepOdsLst-PlantNr"`
	ArtId         string        `xorm:"pk nvarchar(40) 'ArtId'" json:"ODS_ArtRouteStepOdsLst-ArtId"`
	OperationNr   int           `xorm:"pk int 'OperationNr'" json:"ODS_ArtRouteStepOdsLst-OperationNr"`
	Step          int           `xorm:"pk int 'Step'" json:"ODS_ArtRouteStepOdsLst-Step"`
	Pos           int           `xorm:"pk int 'Pos'" json:"ODS_ArtRouteStepOdsLst-Pos"`
	WorkPlaceId   string        `xorm:"nvarchar(40) 'WorkPlaceId' not null" json:"ODS_ArtRouteStepOdsLst-WorkPlaceId"`
	Descr         string        `xorm:"nvarchar(100) 'Descr' not null" json:"ODS_ArtRouteStepOdsLst-Descr"`
	OdsId         string        `xorm:"nvarchar(40) 'OdsId' not null" json:"ODS_ArtRouteStepOdsLst-OdsId"`
	OdsTypeId     string        `xorm:"nvarchar(40) 'OdsTypeId' not null" json:"ODS_ArtRouteStepOdsLst-OdsTypeId"`
	OdsContentIdx string        `xorm:"nvarchar(255) 'OdsContentIdx' not null" json:"ODS_ArtRouteStepOdsLst-OdsContentIdx"`
	CtrlPara1     int           `xorm:"int 'CtrlPara1' not null" json:"ODS_ArtRouteStepOdsLst-CtrlPara1"`
	CtrlPara2     int           `xorm:"int 'CtrlPara2' not null" json:"ODS_ArtRouteStepOdsLst-CtrlPara2"`
	CtrlPara3     string        `xorm:"nvarchar(100) 'CtrlPara3' not null" json:"ODS_ArtRouteStepOdsLst-CtrlPara3"`
	CtrlPara4     string        `xorm:"nvarchar(100) 'CtrlPara4' not null" json:"ODS_ArtRouteStepOdsLst-CtrlPara4"`
	LastModify    grmi.DateTime `xorm:"datetime 'LastModify' not null updated" json:"ODS_ArtRouteStepOdsLst-LastModify"`
	LastUser      string        `xorm:"nvarchar(20) 'LastUser' not null" json:"ODS_ArtRouteStepOdsLst-LastUser"`
	CreateTime    grmi.DateTime `xorm:"datetime 'CreateTime' not null created" json:"ODS_ArtRouteStepOdsLst-CreateTime"`
}

//获取ArtRouteStepOdsLst的主键
func (self *ArtRouteStepOdsLst) GetKey() core.PK {
	return core.PK{self.PlantNr, self.ArtId, self.OperationNr, self.Step, self.Pos}
}
