package ods

import (
	"leit.com/LAPP_GAAS_GFrame/grmi"
	"xorm.io/core"
)

//OdsType的实体映射
type OdsType struct {
	PlantNr    int           `xorm:"pk int 'PlantNr'" json:"ODS_OdsType-PlantNr"`
	OdsTypeId  string        `xorm:"pk nvarchar(40) 'OdsTypeId'" json:"ODS_OdsType-OdsTypeId"`
	Descr      string        `xorm:"nvarchar(100) 'Descr' not null" json:"ODS_OdsType-Descr"`
	Width      int           `xorm:"int 'Width' not null" json:"ODS_OdsType-Width"`
	Height     int           `xorm:"int 'Height' not null" json:"ODS_OdsType-Height"`
	Player     string        `xorm:"nvarchar(100) 'Player' not null" json:"ODS_OdsType-Player"`
	CtrlPara1  int           `xorm:"int 'CtrlPara1' not null" json:"ODS_OdsType-CtrlPara1"`
	CtrlPara2  int           `xorm:"int 'CtrlPara2' not null" json:"ODS_OdsType-CtrlPara2"`
	CtrlPara3  string        `xorm:"nvarchar(100) 'CtrlPara3' not null" json:"ODS_OdsType-CtrlPara3"`
	CtrlPara4  string        `xorm:"nvarchar(100) 'CtrlPara4' not null" json:"ODS_OdsType-CtrlPara4"`
	LastModify grmi.DateTime `xorm:"datetime 'LastModify' not null updated" json:"ODS_OdsType-LastModify"`
	LastUser   string        `xorm:"nvarchar(20) 'LastUser' not null" json:"ODS_OdsType-LastUser"`
	CreateTime grmi.DateTime `xorm:"datetime 'CreateTime' not null created" json:"ODS_OdsType-CreateTime"`
}

//获取OdsType的主键
func (self *OdsType) GetKey() core.PK {
	return core.PK{self.PlantNr, self.OdsTypeId}
}
