package om

import (
	"leit.com/LAPP_GAAS_GFrame/grmi"
	"xorm.io/core"
)

//ProdOrderStatus的实体映射
type ProdOrderStatus struct {
	PlantNr            int           `xorm:"pk int 'PlantNr'" json:"OM_ProdOrderStatus-PlantNr"`
	ProdOrderId        string        `xorm:"pk nvarchar(40) 'ProdOrderId'" json:"OM_ProdOrderStatus-ProdOrderId"`
	Status             int           `xorm:"int 'Status' not null" json:"OM_ProdOrderStatus-Status"`
	TriggerEvent       string        `xorm:"nvarchar(40) 'TriggerEvent' not null" json:"OM_ProdOrderStatus-TriggerEvent"`
	TriggerObjectId    string        `xorm:"nvarchar(40) 'TriggerObjectId' not null" json:"OM_ProdOrderStatus-TriggerObjectId"`
	TriggerSubObjectId string        `xorm:"nvarchar(40) 'TriggerSubObjectId' not null" json:"OM_ProdOrderStatus-TriggerSubObjectId"`
	LastModify         grmi.DateTime `xorm:"datetime 'LastModify' not null updated" json:"OM_ProdOrderStatus-LastModify"`
	LastUser           string        `xorm:"nvarchar(20) 'LastUser' not null" json:"OM_ProdOrderStatus-LastUser"`
	CreateTime         grmi.DateTime `xorm:"datetime 'CreateTime' not null created" json:"OM_ProdOrderStatus-CreateTime"`
}

//获取ProdOrderStatus的主键
func (self *ProdOrderStatus) GetKey() core.PK {
	return core.PK{self.PlantNr, self.ProdOrderId}
}
