package qm

import (
	"leit.com/LAPP_GAAS_GFrame/grmi"
	"xorm.io/core"
)

//ArtView的实体映射
type ArtView struct {
	PlantNr     int           `xorm:"pk int 'PlantNr'" json:"QM_ArtView-PlantNr"`
	ArtId       string        `xorm:"pk nvarchar(40) 'ArtId'" json:"QM_ArtView-ArtId"`
	ViewId      string        `xorm:"pk nvarchar(40) 'ViewId'" json:"QM_ArtView-ViewId"`
	Pos         int           `xorm:"int 'Pos' not null" json:"QM_ArtView-Pos"`
	Descr       string        `xorm:"nvarchar(100) 'Descr' not null" json:"QM_ArtView-Descr"`
	ViewPicture string        `xorm:"nvarchar(100) 'ViewPicture' not null" json:"QM_ArtView-ViewPicture"`
	LastModify  grmi.DateTime `xorm:"datetime 'LastModify' not null updated" json:"QM_ArtView-LastModify"`
	LastUser    string        `xorm:"nvarchar(20) 'LastUser' not null" json:"QM_ArtView-LastUser"`
	CreateTime  grmi.DateTime `xorm:"datetime 'CreateTime' not null created" json:"QM_ArtView-CreateTime"`
}

//获取ArtView的主键
func (self *ArtView) GetKey() core.PK {
	return core.PK{self.PlantNr, self.ArtId, self.ViewId}
}
