package qm

import (
	"leit.com/LAPP_GAAS_GFrame/grmi"
	"xorm.io/core"
)

//DefectGrp的实体映射
type DefectGrp struct {
	PlantNr     int           `xorm:"pk int 'PlantNr'" json:"QM_DefectGrp-PlantNr"`
	DefectGrpId string        `xorm:"pk nvarchar(20) 'DefectGrpId'" json:"QM_DefectGrp-DefectGrpId"`
	Descr       string        `xorm:"nvarchar(100) 'Descr' not null" json:"QM_DefectGrp-Descr"`
	LastModify  grmi.DateTime `xorm:"datetime 'LastModify' not null updated" json:"QM_DefectGrp-LastModify"`
	LastUser    string        `xorm:"nvarchar(20) 'LastUser' not null" json:"QM_DefectGrp-LastUser"`
	CreateTime  grmi.DateTime `xorm:"datetime 'CreateTime' not null created" json:"QM_DefectGrp-CreateTime"`
}

//获取DefectGrp的主键
func (self *DefectGrp) GetKey() core.PK {
	return core.PK{self.PlantNr, self.DefectGrpId}
}
