package qm

import (
	"leit.com/LAPP_GAAS_GFrame/grmi"
	"xorm.io/core"
)

//DefectGrpReasonLst的实体映射
type DefectGrpReasonLst struct {
	PlantNr        int           `xorm:"pk int 'PlantNr'" json:"QM_DefectGrpReasonLst-PlantNr"`
	DefectGrpId    string        `xorm:"pk nvarchar(20) 'DefectGrpId'" json:"QM_DefectGrpReasonLst-DefectGrpId"`
	DefectReasonId string        `xorm:"pk nvarchar(20) 'DefectReasonId'" json:"QM_DefectGrpReasonLst-DefectReasonId"`
	Pos            int           `xorm:"int 'pos' not null" json:"QM_DefectGrpReasonLst-pos"`
	LastModify     grmi.DateTime `xorm:"datetime 'LastModify' not null updated" json:"QM_DefectGrpReasonLst-LastModify"`
	LastUser       string        `xorm:"nvarchar(20) 'LastUser' not null" json:"QM_DefectGrpReasonLst-LastUser"`
	CreateTime     grmi.DateTime `xorm:"datetime 'CreateTime' not null created" json:"QM_DefectGrpReasonLst-CreateTime"`
}

//获取DefectGrpReasonLst的主键
func (self *DefectGrpReasonLst) GetKey() core.PK {
	return core.PK{self.PlantNr, self.DefectGrpId, self.DefectReasonId}
}
