package qm

import (
	"leit.com/LAPP_GAAS_GFrame/grmi"
	"xorm.io/core"
)

//DefectReason的实体映射
type DefectReason struct {
	PlantNr        int           `xorm:"pk int 'PlantNr'" json:"QM_DefectReason-PlantNr"`
	DefectReasonId string        `xorm:"pk nvarchar(20) 'DefectReasonId'" json:"QM_DefectReason-DefectReasonId"`
	Descr          string        `xorm:"nvarchar(100) 'Descr' not null" json:"QM_DefectReason-Descr"`
	LastModify     grmi.DateTime `xorm:"datetime 'LastModify' not null updated" json:"QM_DefectReason-LastModify"`
	LastUser       string        `xorm:"nvarchar(20) 'LastUser' not null" json:"QM_DefectReason-LastUser"`
	CreateTime     grmi.DateTime `xorm:"datetime 'CreateTime' not null created" json:"QM_DefectReason-CreateTime"`
}

//获取DefectReason的主键
func (self *DefectReason) GetKey() core.PK {
	return core.PK{self.PlantNr, self.DefectReasonId}
}
