package qm

import (
	"leit.com/LAPP_GAAS_GFrame/grmi"
	"xorm.io/core"
)

//ViewDefectGrplst的实体映射
type ViewDefectGrplst struct {
	PlantNr     int           `xorm:"pk int 'PlantNr'" json:"QM_ViewDefectGrplst-PlantNr"`
	ViewId      string        `xorm:"pk nvarchar(20) 'ViewId'" json:"QM_ViewDefectGrplst-ViewId"`
	DefectGrpId string        `xorm:"pk nvarchar(20) 'DefectGrpId'" json:"QM_ViewDefectGrplst-DefectGrpId"`
	Pos         int           `xorm:"int 'Pos' not null" json:"QM_ViewDefectGrplst-Pos"`
	LastModify  grmi.DateTime `xorm:"datetime 'LastModify' not null updated" json:"QM_ViewDefectGrplst-LastModify"`
	LastUser    string        `xorm:"nvarchar(20) 'LastUser' not null" json:"QM_ViewDefectGrplst-LastUser"`
	CreateTime  grmi.DateTime `xorm:"datetime 'CreateTime' not null created" json:"QM_ViewDefectGrplst-CreateTime"`
}

//获取ViewDefectGrplst的主键
func (self *ViewDefectGrplst) GetKey() core.PK {
	return core.PK{self.PlantNr, self.ViewId, self.DefectGrpId}
}
