package base

import (
	model "leit.com/LAPP_GAAS_GFrame/models/base"
	"leit.com/LAPP_GAAS_GFrame/services/base/implments"
	"leit.com/LAPP_GAAS_GFrame/web/models"
)

type ArticleService interface {
	Select(map[string]string, *models.Usertab) (interface{}, error)
	InsertOne(*models.Usertab, *model.Article) error
	DeleteOne(*models.Usertab, string) error
	SelectOne(*models.Usertab, string) (*model.Article, error)
	UpdateOne(*models.Usertab, *model.Article) error
}

func NewArticleService() ArticleService {
	return implments.NewArticleServiceImplement()
}
