package base

import (
	model "leit.com/LAPP_GAAS_GFrame/models/base"
	"leit.com/LAPP_GAAS_GFrame/services/base/implments"
	"leit.com/LAPP_GAAS_GFrame/web/models"
)

type CodeParserService interface {
	Select(map[string]string, *models.Usertab) (interface{}, error)
	InsertOne(*models.Usertab, *model.CodeParser) error
	DeleteOne(*models.Usertab, string) error
	SelectOne(*models.Usertab, string) (*model.CodeParser, error)
	UpdateOne(*models.Usertab, *model.CodeParser) error
}

func NewCodeParserService() CodeParserService {
	return implments.NewCodeParserServiceImplement()
}
