package base

import (
	model "leit.com/LAPP_GAAS_GFrame/models/base"
	"leit.com/LAPP_GAAS_GFrame/services/base/implments"
	"leit.com/LAPP_GAAS_GFrame/web/models"
)

type PlantService interface {
	Select(map[string]string, *models.Usertab) (interface{}, error)
	InsertOne(*models.Usertab, *model.Plant) error
	DeleteOne(*models.Usertab) error
	SelectOne(*models.Usertab) (*model.Plant, error)
	UpdateOne(*models.Usertab, *model.Plant) error
}

func NewPlantService() PlantService {
	return implments.NewPlantServiceImplement()
}
