package base

import (
	model "leit.com/LAPP_GAAS_GFrame/models/base"
	"leit.com/LAPP_GAAS_GFrame/services/base/implments"
	"leit.com/LAPP_GAAS_GFrame/web/models"
)

type WeekModelLstService interface {
	Select(map[string]string, *models.Usertab) (interface{}, error)
	InsertOne(*models.Usertab, *model.WeekModelLst) error
	DeleteOne(*models.Usertab, int, int) error
	SelectOne(*models.Usertab, int, int) (*model.WeekModelLst, error)
	UpdateOne(*models.Usertab, *model.WeekModelLst) error
}

func NewWeekModelLstService() WeekModelLstService {
	return implments.NewWeekModelLstServiceImplement()
}
