package base

import (
	model "leit.com/LAPP_GAAS_GFrame/models/base"
	"leit.com/LAPP_GAAS_GFrame/services/base/implments"
	"leit.com/LAPP_GAAS_GFrame/web/models"
)

type WorkLineSpecialDayService interface {
	Select(map[string]string, *models.Usertab) (interface{}, error)
	InsertOne(*models.Usertab, *model.WorkLineSpecialDay) error
	DeleteOne(*models.Usertab, string, string) error
	SelectOne(*models.Usertab, string, string) (*model.WorkLineSpecialDay, error)
	UpdateOne(*models.Usertab, *model.WorkLineSpecialDay) error
}

func NewWorkLineSpecialDayService() WorkLineSpecialDayService {
	return implments.NewWorkLineSpecialDayServiceImplement()
}
