package log

import (
	model "leit.com/LAPP_GAAS_GFrame/models/log"
	"leit.com/LAPP_GAAS_GFrame/services/log/implments"
	"leit.com/LAPP_GAAS_GFrame/web/models"
)

type PackOrderService interface {
	Select(map[string]string, *models.Usertab) (interface{}, error)
	InsertOne(*models.Usertab, *model.PackOrder) error
	DeleteOne(*models.Usertab, string) error
	SelectOne(*models.Usertab, string) (*model.PackOrder, error)
	UpdateOne(*models.Usertab, *model.PackOrder) error
}

func NewPackOrderService() PackOrderService {
	return implments.NewPackOrderServiceImplement()
}
