package log

import (
	model "leit.com/LAPP_GAAS_GFrame/models/log"
	"leit.com/LAPP_GAAS_GFrame/services/log/implments"
	"leit.com/LAPP_GAAS_GFrame/web/models"
)

type PackTemplateService interface {
	Select(map[string]string, *models.Usertab) (interface{}, error)
	InsertOne(*models.Usertab, *model.PackTemplate) error
	DeleteOne(*models.Usertab, string) error
	SelectOne(*models.Usertab, string) (*model.PackTemplate, error)
	UpdateOne(*models.Usertab, *model.PackTemplate) error
}

func NewPackTemplateService() PackTemplateService {
	return implments.NewPackTemplateServiceImplement()
}
