package log

import (
	model "leit.com/LAPP_GAAS_GFrame/models/log"
	"leit.com/LAPP_GAAS_GFrame/services/log/implments"
	"leit.com/LAPP_GAAS_GFrame/web/models"
)

type VendorService interface {
	Select(map[string]string, *models.Usertab) (interface{}, error)
	InsertOne(*models.Usertab, *model.Vendor) error
	DeleteOne(*models.Usertab, string) error
	SelectOne(*models.Usertab, string) (*model.Vendor, error)
	UpdateOne(*models.Usertab, *model.Vendor) error
}

func NewVendorService() VendorService {
	return implments.NewVendorServiceImplement()
}
