package ods

import (
	model "leit.com/LAPP_GAAS_GFrame/models/ods"
	"leit.com/LAPP_GAAS_GFrame/services/ods/implments"
	"leit.com/LAPP_GAAS_GFrame/web/models"
)

type OdsStepLstService interface {
	Select(map[string]string, *models.Usertab) (interface{}, error)
	InsertOne(*models.Usertab, *model.OdsStepLst) error
	DeleteOne(*models.Usertab, string, int) error
	SelectOne(*models.Usertab, string, int) (*model.OdsStepLst, error)
	UpdateOne(*models.Usertab, *model.OdsStepLst) error
}

func NewOdsStepLstService() OdsStepLstService {
	return implments.NewOdsStepLstServiceImplement()
}
