package qm

import (
	model "leit.com/LAPP_GAAS_GFrame/models/qm"
	"leit.com/LAPP_GAAS_GFrame/services/qm/implments"
	"leit.com/LAPP_GAAS_GFrame/web/models"
)

type DefectGrpService interface {
	Select(map[string]string, *models.Usertab) (interface{}, error)
	InsertOne(*models.Usertab, *model.DefectGrp) error
	DeleteOne(*models.Usertab, string) error
	SelectOne(*models.Usertab, string) (*model.DefectGrp, error)
	UpdateOne(*models.Usertab, *model.DefectGrp) error
}

func NewDefectGrpService() DefectGrpService {
	return implments.NewDefectGrpServiceImplement()
}
