package log

import (
	"github.com/kataras/iris/v12/core/router"
	"leit.com/LAPP_GAAS_GFrame/grmi"
	svr "leit.com/LAPP_GAAS_GFrame/services/log"
)

func RegisterRoutes() {
	grmi.RegisterRouteMapping("/log", func(party router.Party) {

		// artdemandhead
		artdemandhead := party.Party("/artdemandhead")

		var serviceOfArtDemandHead = svr.NewArtDemandHeadService()

		// artdemandhead Insert
		// RegisterInsertOneArtDemandHead(artdemandhead, "/insert", serviceOfArtDemandHead.InsertOne)

		// artdemandhead Delete
		// RegisterDeleteOneArtDemandHead(artdemandhead, "/delete/{artId:string}/{demandId:string}", serviceOfArtDemandHead.DeleteOne)

		// artdemandhead Select
		RegisterSelectArtDemandHead(artdemandhead, "/query", serviceOfArtDemandHead.Select)
		RegisterSelectOneArtDemandHead(artdemandhead, "/get", serviceOfArtDemandHead.SelectOne)

		// artdemandhead Update
		// RegisterUpdateOneArtDemandHead(artdemandhead, "/update", serviceOfArtDemandHead.UpdateOne)

		// vendor
		vendor := party.Party("/vendor")

		var serviceOfVendor = svr.NewVendorService()

		// vendor Insert
		// RegisterInsertOneVendor(vendor, "/insert", serviceOfVendor.InsertOne)

		// vendor Delete
		// RegisterDeleteOneVendor(vendor, "/delete/{vendorId:string}", serviceOfVendor.DeleteOne)

		// vendor Select
		RegisterSelectVendor(vendor, "/query", serviceOfVendor.Select)
		RegisterSelectOneVendor(vendor, "/get", serviceOfVendor.SelectOne)

		// vendor Update
		// RegisterUpdateOneVendor(vendor, "/update", serviceOfVendor.UpdateOne)

		// vendoruserlst
		vendoruserlst := party.Party("/vendoruserlst")

		var serviceOfVendorUserLst = svr.NewVendorUserLstService()

		// vendoruserlst Insert
		// RegisterInsertOneVendorUserLst(vendoruserlst, "/insert", serviceOfVendorUserLst.InsertOne)

		// vendoruserlst Delete
		// RegisterDeleteOneVendorUserLst(vendoruserlst, "/delete/{vendorId:string}", serviceOfVendorUserLst.DeleteOne)

		// vendoruserlst Select
		RegisterSelectVendorUserLst(vendoruserlst, "/query", serviceOfVendorUserLst.Select)
		RegisterSelectOneVendorUserLst(vendoruserlst, "/get", serviceOfVendorUserLst.SelectOne)

		// vendoruserlst Update
		// RegisterUpdateOneVendorUserLst(vendoruserlst, "/update", serviceOfVendorUserLst.UpdateOne)

		// vendorartlst
		vendorartlst := party.Party("/vendorartlst")

		var serviceOfVendorArtLst = svr.NewVendorArtLstService()

		// vendorartlst Insert
		// RegisterInsertOneVendorArtLst(vendorartlst, "/insert", serviceOfVendorArtLst.InsertOne)

		// vendorartlst Delete
		// RegisterDeleteOneVendorArtLst(vendorartlst, "/delete/{artId:string}", serviceOfVendorArtLst.DeleteOne)

		// vendorartlst Select
		RegisterSelectVendorArtLst(vendorartlst, "/query", serviceOfVendorArtLst.Select)
		RegisterSelectOneVendorArtLst(vendorartlst, "/get", serviceOfVendorArtLst.SelectOne)

		// vendorartlst Update
		// RegisterUpdateOneVendorArtLst(vendorartlst, "/update", serviceOfVendorArtLst.UpdateOne)

		// packorder
		packorder := party.Party("/packorder")

		var serviceOfPackOrder = svr.NewPackOrderService()

		// packorder Insert
		// RegisterInsertOnePackOrder(packorder, "/insert", serviceOfPackOrder.InsertOne)

		// packorder Delete
		// RegisterDeleteOnePackOrder(packorder, "/delete/{packOrderId:string}", serviceOfPackOrder.DeleteOne)

		// packorder Select
		RegisterSelectPackOrder(packorder, "/query", serviceOfPackOrder.Select)
		RegisterSelectOnePackOrder(packorder, "/get", serviceOfPackOrder.SelectOne)

		// packorder Update
		// RegisterUpdateOnePackOrder(packorder, "/update", serviceOfPackOrder.UpdateOne)

		// packorderitemlst
		packorderitemlst := party.Party("/packorderitemlst")

		var serviceOfPackOrderItemlst = svr.NewPackOrderItemlstService()

		// packorderitemlst Insert
		// RegisterInsertOnePackOrderItemlst(packorderitemlst, "/insert", serviceOfPackOrderItemlst.InsertOne)

		// packorderitemlst Delete
		// RegisterDeleteOnePackOrderItemlst(packorderitemlst, "/delete/{packOrderId:string}/{pos:int}", serviceOfPackOrderItemlst.DeleteOne)

		// packorderitemlst Select
		RegisterSelectPackOrderItemlst(packorderitemlst, "/query", serviceOfPackOrderItemlst.Select)
		RegisterSelectOnePackOrderItemlst(packorderitemlst, "/get", serviceOfPackOrderItemlst.SelectOne)

		// packorderitemlst Update
		// RegisterUpdateOnePackOrderItemlst(packorderitemlst, "/update", serviceOfPackOrderItemlst.UpdateOne)

		// packtemplate
		packtemplate := party.Party("/packtemplate")

		var serviceOfPackTemplate = svr.NewPackTemplateService()

		// packtemplate Insert
		// RegisterInsertOnePackTemplate(packtemplate, "/insert", serviceOfPackTemplate.InsertOne)

		// packtemplate Delete
		// RegisterDeleteOnePackTemplate(packtemplate, "/delete/{packTemplateId:string}", serviceOfPackTemplate.DeleteOne)

		// packtemplate Select
		RegisterSelectPackTemplate(packtemplate, "/query", serviceOfPackTemplate.Select)
		RegisterSelectOnePackTemplate(packtemplate, "/get", serviceOfPackTemplate.SelectOne)

		// packtemplate Update
		// RegisterUpdateOnePackTemplate(packtemplate, "/update", serviceOfPackTemplate.UpdateOne)

		// packtemplateitemlst
		packtemplateitemlst := party.Party("/packtemplateitemlst")

		var serviceOfPackTemplateItemlst = svr.NewPackTemplateItemlstService()

		// packtemplateitemlst Insert
		// RegisterInsertOnePackTemplateItemlst(packtemplateitemlst, "/insert", serviceOfPackTemplateItemlst.InsertOne)

		// packtemplateitemlst Delete
		// RegisterDeleteOnePackTemplateItemlst(packtemplateitemlst, "/delete/{packTemplateId:string}/{pos:int}", serviceOfPackTemplateItemlst.DeleteOne)

		// packtemplateitemlst Select
		RegisterSelectPackTemplateItemlst(packtemplateitemlst, "/query", serviceOfPackTemplateItemlst.Select)
		RegisterSelectOnePackTemplateItemlst(packtemplateitemlst, "/get", serviceOfPackTemplateItemlst.SelectOne)

		// packtemplateitemlst Update
		// RegisterUpdateOnePackTemplateItemlst(packtemplateitemlst, "/update", serviceOfPackTemplateItemlst.UpdateOne)

		// packtemplateprintlst
		packtemplateprintlst := party.Party("/packtemplateprintlst")

		var serviceOfPackTemplatePrintlst = svr.NewPackTemplatePrintlstService()

		// packtemplateprintlst Insert
		// RegisterInsertOnePackTemplatePrintlst(packtemplateprintlst, "/insert", serviceOfPackTemplatePrintlst.InsertOne)

		// packtemplateprintlst Delete
		// RegisterDeleteOnePackTemplatePrintlst(packtemplateprintlst, "/delete/{packTemplateId:string}/{pos:int}", serviceOfPackTemplatePrintlst.DeleteOne)

		// packtemplateprintlst Select
		RegisterSelectPackTemplatePrintlst(packtemplateprintlst, "/query", serviceOfPackTemplatePrintlst.Select)
		RegisterSelectOnePackTemplatePrintlst(packtemplateprintlst, "/get", serviceOfPackTemplatePrintlst.SelectOne)

		// packtemplateprintlst Update
		// RegisterUpdateOnePackTemplatePrintlst(packtemplateprintlst, "/update", serviceOfPackTemplatePrintlst.UpdateOne)

		// packtype
		packtype := party.Party("/packtype")

		var serviceOfPackType = svr.NewPackTypeService()

		// packtype Insert
		// RegisterInsertOnePackType(packtype, "/insert", serviceOfPackType.InsertOne)

		// packtype Delete
		// RegisterDeleteOnePackType(packtype, "/delete/{packTypeId:string}", serviceOfPackType.DeleteOne)

		// packtype Select
		RegisterSelectPackType(packtype, "/query", serviceOfPackType.Select)
		RegisterSelectOnePackType(packtype, "/get", serviceOfPackType.SelectOne)

		// packtype Update
		// RegisterUpdateOnePackType(packtype, "/update", serviceOfPackType.UpdateOne)

	})
}

func init() {
	RegisterRoutes()
}
